use crate::read_mappings::*;
use lazy_static::lazy_static;
use maplit::hashmap;
use std::collections::HashMap;

lazy_static! {

#[derive(Debug)]
pub static ref HASH_MAP: HashMap<&'static str, Script> = hashmap!{


    "marchen" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11cb6}", "\u{11cb5}", "𑲎ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑱲", "𑱳", "𑱴", "𑱴ʿ\u{11cae}", "𑱵", "𑲂", "𑲃", "𑲄", "𑲄ʿ\u{11cae}", "𑱹", "𑱺ʽ", "𑱻ʽ", "𑱼ʽ", "𑱼\u{11cae}ʽ", "𑱽ʽ", "𑱺", "𑱻", "𑱼", "𑱼ʿ\u{11cae}", "𑱽", "𑱾", "𑱿", "𑲀", "𑲀ʿ\u{11cae}", "𑲁", "𑲉", "𑲊", "𑲋", "𑲅", "𑲌", "𑲌ʽ", "𑲍", "𑲎"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑱲ʽ", "𑱳ʽ", "𑱴ʽ", "𑲇", "𑱼ʽ", "𑱼\u{11cae}ʽ", "𑱿ʽ", "𑲉ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11cb6}𑱴ʽ", "\u{11cb6}𑲄ʽ", "\u{11cb6}𑱼ʽ", "\u{11cb6}𑱼ʽ", "\u{11cb6}𑲀ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑲋ʽ", "𑲋ʽ", "𑲊ʽ", "𑱽ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["༠", "༡", "༢", "༣", "༤", "༥", "༦", "༧", "༨", "༩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑲎ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑲏𑲴\u{11cb6}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", "𑱱", "𑱱𑱱"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑲏", "𑲏\u{11cb0}", "𑲏𑲱", "𑲏𑲱\u{11cb0}", "𑲏\u{11cb2}", "𑲏\u{11cb2}\u{11cb0}", "𑲊𑲱ʽ", "𑲊𑲱\u{11cb0}ʽ", "𑲋𑲱ʽ", "𑲋𑲱\u{11cb0}ʽ", "𑲏\u{11cb3}", "𑲏\u{11cb3}\u{11cb0}", "𑲏𑲴", "𑲏\u{11cb0}𑲴"].iter().map(|&s| s.into()).collect(), modern: ["𑲏\u{11cb3}ʽ", "𑲏\u{11cb0}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑲏\u{11cb3}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑲏\u{11cb3}ʽ", "𑲏𑲴ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11cb0}", "𑲱", "𑲱\u{11cb0}", "\u{11cb2}", "\u{11cb2}\u{11cb0}", "\u{11caa}𑲱ʽ", "\u{11caa}𑲱\u{11cb0}ʽ", "\u{11cab}𑲱ʽ", "\u{11cab}𑲱\u{11cb0}ʽ", "\u{11cb3}", "\u{11cb3}\u{11cb0}", "𑲴", "\u{11cb0}𑲴"].iter().map(|&s| s.into()).collect(), modern: ["\u{11cb3}ʽ", "\u{11cb0}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11cb3}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11cb3}ʽ", "𑲴ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "khudawadi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{112df}ʽ", "\u{112df}", "𑋞\u{112ea}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{112e9}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑊺", "𑊻", "𑊼", "𑊾", "𑊿", "𑋀", "𑋁", "𑋂", "𑋄", "𑋅", "𑋆", "𑋇", "𑋈", "𑋋", "𑋌", "𑋍", "𑋎", "𑋏", "𑋐", "𑋑", "𑋒", "𑋓", "𑋔", "𑋖", "𑋗", "𑋘", "𑋙", "𑋚", "𑋛", "𑋜", "𑋜\u{112e9}", "𑋝", "𑋞"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑊺\u{112e9}", "𑊻\u{112e9}", "𑊾\u{112e9}", "𑋂\u{112e9}", "𑋊", "𑋋\u{112e9}", "𑋓\u{112e9}", "𑋘\u{112e9}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{112df}𑊼ʽ", "\u{112df}𑋂ʽ", "\u{112df}𑋈ʽ", "\u{112df}𑋏ʽ", "\u{112df}𑋔ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑋚\u{112e9}", "𑋚\u{112e9}ʽ", "𑋙\u{112e9}", "𑋑\u{112e9}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑋰", "𑋱", "𑋲", "𑋳", "𑋴", "𑋵", "𑋶", "𑋷", "𑋸", "𑋹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑋞\u{112ea}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑊸\u{112df}"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑊰", "𑊱", "𑊲", "𑊳", "𑊴", "𑊵", "𑋙𑋡ʽ", "𑋙𑋢ʽ", "𑋚𑋡ʽ", "𑋚𑋢ʽ", "𑊶", "𑊷", "𑊸", "𑊹"].iter().map(|&s| s.into()).collect(), modern: ["𑊶ʽ", "𑊱ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑊶ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑊶ʽ", "𑊸ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑋠", "𑋡", "𑋢", "\u{112e3}", "\u{112e4}", "\u{112ea}𑋙𑋡ʽ", "\u{112ea}𑋙𑋢ʽ", "\u{112ea}𑋚𑋡ʽ", "\u{112ea}𑋚𑋢ʽ", "\u{112e5}", "\u{112e6}", "\u{112e7}", "\u{112e8}"].iter().map(|&s| s.into()).collect(), modern: ["\u{112e5}ʽ", "𑋠ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{112e5}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{112e5}ʽ", "\u{112e7}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{112ea}"].iter().map(|&s| s.into()).collect() } },




    "thai" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{e4d}ʽ", "\u{e4d}", "ห\u{e4c}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ก", "ข", "ค", "ฆ", "ง", "จ", "ฉ", "ช", "ฌ", "ญ", "ฏ", "ฐ", "ฑ", "ฒ", "ณ", "ต", "ถ", "ท", "ธ", "น", "ป", "ผ", "พ", "ภ", "ม", "ย", "ร", "ล", "ว", "ศ", "ษ", "ส", "ห"].iter().map(|&s| s.into()).collect(), persoarabic: ["กʽ", "ฃ", "ฅ", "ซ", "รʽ", "ร\u{e3a}หʽ", "ฟ", "ยʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{e4d}คʽ", "\u{e4d}ชʽ", "\u{e4d}ฑʽ", "\u{e4d}ทʽ", "\u{e4d}พʽ"].iter().map(|&s| s.into()).collect(), south: ["ฬ", "ฬʽ", "รʽ", "นʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["๐", "๑", "๒", "๓", "๔", "๕", "๖", "๗", "๘", "๙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ห\u{e4c}ʽ"].iter().map(|&s| s.into()).collect(), om: ["โอ\u{e4d}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "ฯ", "๚"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["อ", "อา", "อ\u{e34}", "อ\u{e35}", "อ\u{e38}", "อ\u{e39}", "ฤ", "ฤๅ", "ฦ", "ฦๅ", "อเ", "อไ", "อโ", "อเา"].iter().map(|&s| s.into()).collect(), modern: ["อแะ", "อเาะ"].iter().map(|&s| s.into()).collect(), sinhala: ["อแ"].iter().map(|&s| s.into()).collect(), south: ["อเะ", "อโะ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["า", "\u{e34}", "\u{e35}", "\u{e38}", "\u{e39}", "\u{e3a}ฤ", "\u{e3a}ฤๅ", "\u{e3a}ฦ", "\u{e3a}ฦๅ", "เ", "ไ", "โ", "เา"].iter().map(|&s| s.into()).collect(), modern: ["แะ", "เาะ"].iter().map(|&s| s.into()).collect(), sinhala: ["แ"].iter().map(|&s| s.into()).collect(), south: ["เะ", "โะ"].iter().map(|&s| s.into()).collect(), virama: ["\u{e3a}"].iter().map(|&s| s.into()).collect() } },





    "telugu" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{c00}", "ం", "ః"].iter().map(|&s| s.into()).collect(), nukta: ["·"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["క", "ఖ", "గ", "ఘ", "ఙ", "చ", "ఛ", "జ", "ఝ", "ఞ", "ట", "ఠ", "డ", "ఢ", "ణ", "త", "థ", "ద", "ధ", "న", "ప", "ఫ", "బ", "భ", "మ", "య", "ర", "ల", "వ", "శ", "ష", "స", "హ"].iter().map(|&s| s.into()).collect(), persoarabic: ["క·", "ఖ·", "గ·", "జ·", "డ·", "ఢ·", "ఫ·", "య·"].iter().map(|&s| s.into()).collect(), sinhala: ["ఁˆగ", "ఁˆజ", "ఁˆడ", "ఁˆద", "ఁˆబ"].iter().map(|&s| s.into()).collect(), south: ["ళ", "ఴ", "ఱ", "న·"].iter().map(|&s| s.into()).collect() }, numerals: ["౦", "౧", "౨", "౩", "౪", "౫", "౬", "౭", "౮", "౯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ఃʼ"].iter().map(|&s| s.into()).collect(), om: ["ఓం"].iter().map(|&s| s.into()).collect(), symbols: ["ఽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["అ", "ఆ", "ఇ", "ఈ", "ఉ", "ఊ", "ఋ", "ౠ", "ఌ", "ౡ", "ఏ", "ఐ", "ఓ", "ఔ"].iter().map(|&s| s.into()).collect(), modern: ["ఎ\u{952}\u{200b}", "ఒ\u{952}\u{200b}"].iter().map(|&s| s.into()).collect(), sinhala: ["ఏ\u{952}\u{200b}"].iter().map(|&s| s.into()).collect(), south: ["ఎ", "ఒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{c3e}", "\u{c3f}", "\u{c40}", "ు", "ూ", "ృ", "ౄ", "\u{c62}", "\u{c63}", "\u{c47}", "\u{c48}", "\u{c4b}", "\u{c4c}"].iter().map(|&s| s.into()).collect(), modern: ["\u{c46}\u{952}\u{200b}", "\u{c4a}\u{952}\u{200b}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{c47}\u{952}\u{200b}"].iter().map(|&s| s.into()).collect(), south: ["\u{c46}", "\u{c4a}"].iter().map(|&s| s.into()).collect(), virama: ["\u{c4d}"].iter().map(|&s| s.into()).collect() } },




    "bataksima" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1bf0}ʽ", "\u{1bf0}", "\u{1bf1}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᯃ", "ᯃʽ", "ᯏ", "ᯏʽ", "ᯝ", "ᯙʽ", "ᯙʽ", "ᯐ", "ᯐʽ", "ᯠ", "ᯖʽ", "ᯖʽ", "ᯑʽ", "ᯑʽ", "ᯉʽ", "ᯖ", "ᯖʽ", "ᯑ", "ᯑʽ", "ᯉ", "ᯈ", "ᯈʽ", "ᯅ", "ᯅʽ", "ᯕ", "ᯜ", "ᯓ", "ᯟ", "ᯌ", "ᯙʽ", "ᯙʽ", "ᯙ", "ᯃʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᯃʽ", "ᯃʽ", "ᯏʽ", "ᯐʽ", "ᯑʽ", "ᯑʽ", "ᯈʽ", "ᯜʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1bf0}ᯏʽ", "\u{1bf0}ᯐʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯅʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯟʽ", "ᯟʽ", "ᯓʽ", "ᯉʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{1bf1}ʼ"].iter().map(|&s| s.into()).collect(), om: ["ᯥᯕ᯳ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", "."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᯁ", "ᯁʽ", "ᯤ", "ᯤʽ", "ᯥ", "ᯥʽ", "ᯓᯮʽ", "ᯓᯮʽ", "ᯟᯮʽ", "ᯟᯮʽ", "ᯤʽ", "ᯀᯤʽ", "ᯥʽ", "ᯀᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯤʽ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᯤʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯤʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "ᯫ", "ᯫʽ", "ᯮ", "ᯮʽ", "ᯓᯮʽ", "ᯓᯮʽ", "ᯟᯮʽ", "ᯟᯮʽ", "\u{1be9}ʽ", "ᯤʽ", "ᯬʽ", "\u{1bed}"].iter().map(|&s| s.into()).collect(), modern: ["\u{1be9}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1be9}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1be9}", "ᯬ"].iter().map(|&s| s.into()).collect(), virama: ["᯳"].iter().map(|&s| s.into()).collect() } },




    "ipa" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{303}ʽ", "\u{303}", "h"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kʰ", "g", "gʰ", "ŋ", "t\u{361}ʃ", "t\u{361}ʃʰ", "d\u{361}ʒ", "d\u{361}ʒʰ", "ɲ", "ʈ", "ʈʰ", "ɖ", "ɖʰ", "ɳ", "t\u{32a}", "t\u{32a}ʰ", "d\u{32a}", "d\u{32a}ʰ", "n\u{32a}", "p", "pʰ", "b", "bʰ", "m", "j", "ɾ", "l", "ʋ", "ʃ", "ʂ", "s\u{32a}", "ɦ"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "x", "ɣ", "z", "ɽ", "ɽʰ", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᵑɡ", "ᶮd\u{361}ʒ", "ᶯɖ", "ⁿd", "ᵐb"].iter().map(|&s| s.into()).collect(), south: ["ɭ", "ɻ", "r", "n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["xʽ"].iter().map(|&s| s.into()).collect(), om: ["oːm"].iter().map(|&s| s.into()).collect(), symbols: ["ə\u{338}", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ə", "ɑː", "ɪ", "iː", "u", "uː", "ɾɨ", "ɾɨː", "lɨ", "lɨː", "eː", "əɪ", "oː", "əu"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ɔ"].iter().map(|&s| s.into()).collect(), sinhala: ["æː"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ɑː", "ɪ", "iː", "u", "uː", "ɾɨ", "ɾɨː", "lɨ", "lɨː", "eː", "əɪ", "oː", "əu"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ɔ"].iter().map(|&s| s.into()).collect(), sinhala: ["æː"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "soyombo" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11a96}ʽ", "\u{11a96}", "𑪗"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑩜", "𑩝", "𑩞", "𑩟", "𑩠", "𑩵", "𑩶", "𑩷", "𑩤", "𑩥", "𑩦", "𑩧", "𑩨", "𑩩", "𑩪", "𑩫", "𑩬", "𑩭", "𑩮", "𑩯", "𑩰", "𑩱", "𑩲", "𑩳", "𑩴", "𑩻", "𑩼", "𑩽", "𑩾", "𑩿", "𑪀", "𑪁", "𑪂"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑩜ʽ", "𑩝ʽ", "𑩞ʽ", "𑩹", "𑨖ʽ", "𑩨ʽ", "𑩩ʽ", "𑩱ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11a96}𑩞ʽ", "\u{11a96}𑩷ʽ", "\u{11a96}𑩨ʽ", "\u{11a96}𑩭ʽ", "\u{11a96}𑩲ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑩽ʽ", "𑩽ʽ", "𑩼ʽ", "𑩯ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑪗ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑩐\u{11a56}\u{11a96}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", "𑪛", "𑪜"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑩐", "𑩐\u{11a5b}", "𑩐\u{11a51}", "𑩐\u{11a51}\u{11a5b}", "𑩐\u{11a52}", "𑩐\u{11a52}\u{11a5b}", "𑩐\u{11a59}", "𑩐\u{11a59}\u{11a5b}", "𑩐\u{11a5a}", "𑩐\u{11a5a}\u{11a5b}", "𑩐\u{11a54}", "𑩐𑩗", "𑩐\u{11a56}", "𑩐𑩘"].iter().map(|&s| s.into()).collect(), modern: ["𑩐\u{11a54}ʽ", "𑩐\u{11a55}"].iter().map(|&s| s.into()).collect(), sinhala: ["𑩐\u{11a54}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑩐\u{11a54}ʽ", "𑩐\u{11a56}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11a5b}", "\u{11a51}", "\u{11a51}\u{11a5b}", "\u{11a52}", "\u{11a52}\u{11a5b}", "\u{11a59}", "\u{11a59}\u{11a5b}", "\u{11a5a}", "\u{11a5a}\u{11a5b}", "\u{11a54}", "𑩗", "\u{11a56}", "𑩘"].iter().map(|&s| s.into()).collect(), modern: ["\u{11a54}ʽ", "\u{11a55}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11a54}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11a54}ʽ", "\u{11a56}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11a99}"].iter().map(|&s| s.into()).collect() } },




    "shan" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1036}ʽ", "\u{1036}", "း"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ၵ", "ၶ", "ၷ", "ꧠ", "င", "ၸ", "ꧡ", "ꩡ", "ꧢ", "ၺ", "ꩦ", "ꩧ", "ꩨ", "ꩩ", "ꧣ", "တ", "ထ", "ၻ", "ꩪ", "ၼ", "ပ", "ၽ", "ၿ", "ꧤ", "မ", "ယ", "ရ", "လ", "ဝ", "သ\u{103a}ယ", "သျʽ", "သ", "ႁ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ၵʽ", "ၶʽ", "ၷʽ", "ၹ", "ꩨʽ", "ꩩʽ", "ၾ", "ယʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1036}ၷʽ", "\u{1036}ꩡʽ", "\u{1036}ꩨʽ", "\u{1036}ၻʽ", "\u{1036}ၿʽ"].iter().map(|&s| s.into()).collect(), south: ["ꩮ", "ꩮʽ", "ရʽ", "ၼʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["႐", "႑", "႒", "႓", "႔", "႕", "႖", "႗", "႘", "႙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["းʽ"].iter().map(|&s| s.into()).collect(), om: ["ဢေႃ\u{1036}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "၊", "။"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ဢ", "ဢႃ", "ဢ\u{102d}", "ဢ\u{102e}", "ဢ\u{102f}", "ဢ\u{1030}", "ရ\u{102d}ʽ", "ရ\u{102e}ʽ", "လ\u{102d}ʽ", "လ\u{102e}ʽ", "ဢေ", "ဢ\u{1086}", "ဢေႃ", "ဢဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ဢႄ", "ဢႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ဢႄʽ"].iter().map(|&s| s.into()).collect(), south: ["ဢေʽ", "ဢေႃʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ႃ", "\u{102d}", "\u{102e}", "\u{102f}", "\u{1030}", "\u{103a}ရ\u{102d}ʽ", "\u{103a}ရ\u{102e}ʽ", "\u{103a}လ\u{102d}ʽ", "\u{103a}လ\u{102e}ʽ", "ေ", "\u{1086}", "ေႃ", "ဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ႄ", "ႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ႄʽ"].iter().map(|&s| s.into()).collect(), south: ["ေʽ", "ေႃʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{103a}"].iter().map(|&s| s.into()).collect() } },




    "grantha" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11301}", "𑌂", "𑌃"].iter().map(|&s| s.into()).collect(), nukta: ["\u{1133c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑌕", "𑌖", "𑌗", "𑌘", "𑌙", "𑌚", "𑌛", "𑌜", "𑌝", "𑌞", "𑌟", "𑌠", "𑌡", "𑌢", "𑌣", "𑌤", "𑌥", "𑌦", "𑌧", "𑌨", "𑌪", "𑌫", "𑌬", "𑌭", "𑌮", "𑌯", "𑌰", "𑌲", "𑌵", "𑌶", "𑌷", "𑌸", "𑌹"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑌕\u{1133c}", "𑌖\u{1133c}", "𑌗\u{1133c}", "𑌜\u{1133c}", "𑌡\u{1133c}", "𑌢\u{1133c}", "𑌫\u{1133c}", "𑌯\u{1133c}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11301}ʽ𑌗", "\u{11301}ʽ𑌜", "\u{11301}ʽ𑌡", "\u{11301}ʽ𑌦", "\u{11301}ʽ𑌬"].iter().map(|&s| s.into()).collect(), south: ["𑌳", "𑌳\u{1133c}", "𑌰\u{1133c}", "𑌨\u{1133c}"].iter().map(|&s| s.into()).collect() }, numerals: ["௦", "௧", "௨", "௩", "௪", "௫", "௬", "௭", "௮", "௯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑌃ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑍐"].iter().map(|&s| s.into()).collect(), symbols: ["𑌽", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑌅", "𑌆", "𑌇", "𑌈", "𑌉", "𑌊", "𑌋", "𑍠", "𑌌", "𑍡", "𑌏", "𑌐", "𑌓", "𑌔"].iter().map(|&s| s.into()).collect(), modern: ["𑌏ʽ", "𑌆ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑌏ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑌏\u{11300}", "𑌓\u{11300}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{1133e}", "𑌿", "\u{11340}", "𑍁", "𑍂", "𑍃", "𑍄", "𑍢", "𑍣", "𑍇", "𑍈", "𑍋", "\u{11357}"].iter().map(|&s| s.into()).collect(), modern: ["𑍇ʽ", "\u{1133e}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑍇ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑍇\u{11300}", "𑍋\u{11300}"].iter().map(|&s| s.into()).collect(), virama: ["𑍍"].iter().map(|&s| s.into()).collect() } },




    "javanese" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a980}", "\u{a981}", "ꦃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{a9b3}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꦏ", "ꦑ", "ꦒ", "ꦓ", "ꦔ", "ꦕ", "ꦖ", "ꦗ", "ꦙ", "ꦚ", "ꦛ", "ꦜ", "ꦝ", "ꦞ", "ꦟ", "ꦠ", "ꦡ", "ꦢ", "ꦣ", "ꦤ", "ꦥ", "ꦦ", "ꦧ", "ꦨ", "ꦩ", "ꦪ", "ꦫ", "ꦭ", "ꦮ", "ꦯ", "ꦰ", "ꦱ", "ꦲ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꦏ\u{a9b3}", "ꦑ\u{a9b3}", "ꦒ\u{a9b3}", "ꦗ\u{a9b3}", "ꦝ\u{a9b3}", "ꦞ\u{a9b3}", "ꦦ\u{a9b3}", "ꦪ\u{a9b3}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a980}ꦒʽ", "\u{a980}ꦗʽ", "\u{a980}ꦝʽ", "\u{a980}ꦢʽ", "\u{a980}ꦧʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦭ\u{a9b3}", "ꦰ\u{a9b3}", "ꦫ\u{a9b3}", "ꦤ\u{a9b3}"].iter().map(|&s| s.into()).collect() }, numerals: ["꧐", "꧑", "꧒", "꧓", "꧔", "꧕", "꧖", "꧗", "꧘", "꧙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꦃʽ"].iter().map(|&s| s.into()).collect(), om: ["ꦎ\u{a980}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "꧈", "꧉"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꦄ", "ꦄꦴ", "ꦆ", "ꦇ", "ꦈ", "ꦈꦴ", "ꦉ", "ꦉꦴ", "ꦊ", "ꦋ", "ꦌ", "ꦍ", "ꦎ", "ꦎꦴ"].iter().map(|&s| s.into()).collect(), modern: ["ꦄ\u{a9bc}", "ꦄꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꦄ\u{a9bc}ꦴ"].iter().map(|&s| s.into()).collect(), south: ["ꦌʽ", "ꦎʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꦴ", "\u{a9b6}", "\u{a9b7}", "\u{a9b8}", "\u{a9b9}", "\u{a9bd}", "꧀ꦉꦴ", "꧀ꦊ", "꧀ꦋ", "ꦺ", "ꦻ", "ꦺꦴ", "ꦻꦴ"].iter().map(|&s| s.into()).collect(), modern: ["\u{a9bc}", "ꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a9bc}ꦴ"].iter().map(|&s| s.into()).collect(), south: ["ꦺʽ", "ꦺꦴʽ"].iter().map(|&s| s.into()).collect(), virama: ["꧀"].iter().map(|&s| s.into()).collect() } },




    "zanabazarsquare" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11a35}", "\u{11a38}", "𑨹"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑨋", "𑨌", "𑨍", "𑨎", "𑨏", "𑨣", "𑨤", "𑨥", "𑨦", "𑨓", "𑨔", "𑨕", "𑨖", "𑨗", "𑨘", "𑨙", "𑨚", "𑨛", "𑨜", "𑨝", "𑨞", "𑨟", "𑨠", "𑨡", "𑨢", "𑨪", "𑨫", "𑨬", "𑨭", "𑨮", "𑨯", "𑨰", "𑨱"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑨋ʽ", "𑨌ʽ", "𑨍ʽ", "𑨨", "𑨖ʽ", "𑨗ʽ", "𑨟ʽ", "𑨪ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11a35}𑨍ʽ", "\u{11a35}𑨥ʽ", "\u{11a35}𑨖ʽ", "\u{11a35}𑨛ʽ", "\u{11a35}𑨠ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑨬ʽ", "𑨬ʽ", "𑨫ʽ", "𑨝ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑨹ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑨀\u{11a06}\u{11a35}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", "𑩂", "𑩃"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑨀", "𑨀\u{11a0a}", "𑨀\u{11a01}", "𑨀\u{11a01}\u{11a0a}", "𑨀\u{11a02}", "𑨀\u{11a02}\u{11a0a}", "𑨫\u{11a09}", "𑨫\u{11a09}\u{11a0a}", "𑨬\u{11a09}", "𑨬\u{11a09}\u{11a0a}", "𑨀\u{11a04}", "𑨀\u{11a04}\u{11a0a}", "𑨀\u{11a06}", "𑨀\u{11a06}\u{11a0a}"].iter().map(|&s| s.into()).collect(), modern: ["𑨀\u{11a04}ʽ", "𑨀\u{11a05}"].iter().map(|&s| s.into()).collect(), sinhala: ["𑨀\u{11a04}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑨀\u{11a04}ʽ", "𑨀\u{11a06}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11a0a}", "\u{11a01}", "\u{11a01}\u{11a0a}", "\u{11a02}", "\u{11a02}\u{11a0a}", "\u{11a34}𑨫\u{11a09}", "\u{11a34}𑨫\u{11a09}\u{11a0a}", "\u{11a34}𑨬\u{11a09}", "\u{11a34}𑨬\u{11a09}\u{11a0a}", "\u{11a04}", "\u{11a04}\u{11a0a}", "\u{11a06}", "\u{11a06}\u{11a0a}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11a04}ʽ", "\u{11a05}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11a04}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11a04}ʽ", "\u{11a06}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11a34}"].iter().map(|&s| s.into()).collect() } },




    "tailaing" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1036}ʽ", "\u{1036}", "း"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["က", "ၵ", "ꧩ", "ꧪ", "င", "ၸ", "ꩬ", "ꧫ", "ꧬ", "ꧧ", "ꩦ", "ꩧ", "ꧭ", "ꧮ", "ꧯ", "တ", "ထ", "ꧻ", "ꧼ", "ꩫ", "ပ", "ꧤ", "ꧽ", "ꧾ", "မ", "ယ", "ꩺ", "လ", "ဝ", "ꧬʽ", "ꧬʽ", "ꧬ", "ၯ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ကʽ", "ၵʽ", "ꧩʽ", "ꧫʽ", "ꧭʽ", "ꧮʽ", "ꧨ", "ယʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1036}ၵʽ", "\u{1036}ꧫʽ", "\u{1036}ꧭʽ", "\u{1036}ꧻʽ", "\u{1036}ꧽʽ"].iter().map(|&s| s.into()).collect(), south: ["ꧺ", "ꧺʽ", "ꩺʽ", "ꩫʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["꧰", "꧱", "꧲", "꧳", "꧴", "꧵", "꧶", "꧷", "꧸", "꧹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["းʽ"].iter().map(|&s| s.into()).collect(), om: ["အေႃ\u{1036}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "၊", "။"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["အ", "အႃ", "အ\u{102d}", "အ\u{102e}", "အ\u{102f}", "အ\u{1030}", "ꩺ\u{102d}ʽ", "ꩺ\u{102e}ʽ", "လ\u{102d}ʽ", "လ\u{102e}ʽ", "အေ", "အ\u{1086}", "အေႃ", "အဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["အေʽ", "အႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["အေʽ"].iter().map(|&s| s.into()).collect(), south: ["အေʽ", "အေႃʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ႃ", "\u{102d}", "\u{102e}", "\u{102f}", "\u{1030}", "\u{103a}ꩺ\u{102d}ʽ", "\u{103a}ꩺ\u{102e}ʽ", "\u{103a}လ\u{102d}ʽ", "\u{103a}လ\u{102e}ʽ", "ေ", "\u{1086}", "ေႃ", "ဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ႄ", "ႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ႄʽ"].iter().map(|&s| s.into()).collect(), south: ["ေʽ", "ေႃʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{103a}"].iter().map(|&s| s.into()).collect() } },




    "shahmukhi" => Script { combiningsigns: CombiningSign { ayogavaha: ["ںʽ", "ں", "ہ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ک\u{64e}", "کھ\u{64e}", "گ\u{64e}", "گھ\u{64e}", "نʽ\u{64e}", "چ\u{64e}", "چھ\u{64e}", "ج\u{64e}", "جھ\u{64e}", "نʽ\u{64e}", "ٹ\u{64e}", "ٹھ\u{64e}", "ڈ\u{64e}", "ڈھ\u{64e}", "ݨ\u{64e}", "ت\u{64e}", "تھ\u{64e}", "د\u{64e}", "دھ\u{64e}", "ن\u{64e}", "پ\u{64e}", "پھ\u{64e}", "ب\u{64e}", "بھ\u{64e}", "م\u{64e}", "ی\u{64e}", "ر\u{64e}", "ل\u{64e}", "و\u{64e}", "ش\u{64e}", "ش\u{64e}ʽ", "س\u{64e}", "ہ\u{64e}"].iter().map(|&s| s.into()).collect(), persoarabic: ["ق\u{64e}", "خ\u{64e}", "غ\u{64e}", "ز\u{64e}", "ڑ\u{64e}", "ڑھ\u{64e}", "ف\u{64e}", "ی\u{64e}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ںگʽ\u{64e}", "ںجʽ\u{64e}", "ںڈʽ\u{64e}", "ںدʽ\u{64e}", "ںبʽ\u{64e}"].iter().map(|&s| s.into()).collect(), south: ["ࣇ\u{64e}", "لʽ\u{64e}", "رʽ\u{64e}", "نʽ\u{64e}"].iter().map(|&s| s.into()).collect() }, numerals: ["۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ہʽ"].iter().map(|&s| s.into()).collect(), om: ["اوم\u{652}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "۔", "۔۔"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ا\u{64e}", "آ", "ا\u{650}", "ا\u{650}ی", "ا\u{64f}", "ا\u{64f}و", "ر\u{650}ʽ", "ر\u{650}یʽ", "ل\u{650}ʽ", "ل\u{650}یʽ", "ای", "ا\u{64e}\u{64e}ی", "او", "ا\u{64e}\u{64e}و"].iter().map(|&s| s.into()).collect(), modern: ["ایʽ", "آʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["اےʽ"].iter().map(|&s| s.into()).collect(), south: ["ایʽ", "اوʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ا", "\u{650}", "\u{650}ی", "\u{64f}", "\u{64f}و", "\u{652}ر\u{650}ʽ", "\u{652}ر\u{650}یʽ", "\u{652}ل\u{650}ʽ", "\u{652}ل\u{650}یʽ", "ی", "\u{64e}\u{64e}ی", "و", "\u{64e}\u{64e}و"].iter().map(|&s| s.into()).collect(), modern: ["یʽ", "اʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["یʽ"].iter().map(|&s| s.into()).collect(), south: ["یʽ", "وʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{652}"].iter().map(|&s| s.into()).collect() } },




    "ranjana" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{901}", "\u{902}", "ः"].iter().map(|&s| s.into()).collect(), nukta: ["\u{93c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["क", "ख", "ग", "घ", "ङ", "च", "छ", "ज", "झ", "ञ", "ट", "ठ", "ड", "ढ", "ण", "त", "थ", "द", "ध", "न", "प", "फ", "ब", "भ", "म", "य", "र", "ल", "व", "श", "ष", "स", "ह"].iter().map(|&s| s.into()).collect(), persoarabic: ["कʽ", "खʽ", "गʽ", "जʽ", "डʽ", "ढʽ", "फʽ", "यʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{901}ʽग", "\u{901}ʽज", "\u{901}ʽड", "\u{901}ʽद", "\u{901}ʽब"].iter().map(|&s| s.into()).collect(), south: ["लʽ", "लʽ", "रʽ", "नʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ःʽ"].iter().map(|&s| s.into()).collect(), om: ["ॐ"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["अ", "आ", "इ", "ई", "उ", "ऊ", "ऋ", "ॠ", "ऌ", "ॡ", "ए", "ऐ", "ओ", "औ"].iter().map(|&s| s.into()).collect(), modern: ["एʽ", "आʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["एʽ"].iter().map(|&s| s.into()).collect(), south: ["एʽ", "ओʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ा", "ि", "ी", "\u{941}", "\u{942}", "\u{943}", "\u{944}", "\u{962}", "\u{963}", "\u{947}", "\u{948}", "ो", "ौ"].iter().map(|&s| s.into()).collect(), modern: ["\u{947}ʽ", "ाʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{947}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{947}ʽ", "ोʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{94d}"].iter().map(|&s| s.into()).collect() } },




    "hebrew" => Script { combiningsigns: CombiningSign { ayogavaha: ["מ\u{5b0}ʼ", "מ\u{5b0}ʼ", "ה\u{5bc}\u{5b0}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʾ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["כ\u{5bc}", "כʽ", "ג", "גʽ", "נʽ", "צ׳", "צ׳ʽ", "ג׳", "ג׳ʽ", "נʽ", "טʽ", "טʽ", "דʽ", "דʽ", "נʽ", "ט", "טʽ", "ד", "דʽ", "נ", "פ\u{5bc}", "פ\u{5bc}ʽ", "ב\u{5bc}", "ב\u{5bc}ʽ", "מ", "ײ", "ר", "ל", "װ", "ש\u{5c1}ʽ", "ש\u{5c1}", "ס", "ה"].iter().map(|&s| s.into()).collect(), persoarabic: ["ק", "כ", "ג\u{5bc}", "ז", "דʽ", "דʽ", "פ", "ײʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["נ\u{5b0}ג\u{5b7}ʽ", "נ\u{5b0}ג\u{5b7}׳ʽ", "נ\u{5b0}ד\u{5b7}ʽ", "נ\u{5b0}ד\u{5b7}ʽ", "מ\u{5b0}ב\u{5bc}\u{5b7}ʽ"].iter().map(|&s| s.into()).collect(), south: ["לʽ", "לʽ", "רʽ", "נʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ה\u{5b0}ʽ"].iter().map(|&s| s.into()).collect(), om: ["או\u{5b9}מ\u{5b0}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'ʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["א\u{5b7}", "א\u{5b8}", "א\u{5b4}", "א\u{5b4}י", "א\u{5bb}", "או\u{5bc}", "ר\u{5bb}ʽ", "רו\u{5bc}ʽ", "ל\u{5bb}ʽ", "לו\u{5bc}ʽ", "א\u{5b5}", "א\u{5b7}ײ\u{5b0}ʽ", "או\u{5b9}", "א\u{5b7}ו\u{5b0}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["א\u{5b8}ʽ", "א\u{5b9}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["א\u{5b5}ʽ"].iter().map(|&s| s.into()).collect(), south: ["א\u{5b6}", "א\u{5b9}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{5b8}", "\u{5b4}", "\u{5b4}י", "\u{5bb}", "ו\u{5bc}", "\u{5b0}ר\u{5bb}ʽ", "\u{5b0}רו\u{5bc}ʽ", "\u{5b0}ל\u{5bb}ʽ", "\u{5b0}לו\u{5bc}ʽ", "\u{5b5}", "\u{5b7}ײ\u{5b0}ʽ", "ו\u{5b9}", "\u{5b7}ו\u{5b0}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{5b8}ʽ", "\u{5b9}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{5b5}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{5b6}", "\u{5b9}"].iter().map(|&s| s.into()).collect(), virama: ["\u{5b0}"].iter().map(|&s| s.into()).collect() } },




    "chakma" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11100}", "\u{11101}", "\u{11102}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑄇", "𑄈", "𑄉", "𑄊", "𑄋", "𑄌", "𑄍", "𑄎", "𑄏", "𑄐", "𑄑", "𑄒", "𑄓", "𑄔", "𑄕", "𑄖", "𑄗", "𑄘", "𑄙", "𑄚", "𑄛", "𑄜", "𑄝", "𑄞", "𑄟", "𑄡", "𑄢", "𑄣", "𑄤", "𑄥ʽ", "𑄥ʽ", "𑄥", "𑄦"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑄇ʽ", "𑄈ʽ", "𑄉ʽ", "𑄎ʽ", "𑄓ʽ", "𑄔ʽ", "𑄜ʽ", "𑄠"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11100}𑄉ʽ", "\u{11100}𑄎ʽ", "\u{11100}𑄓ʽ", "\u{11100}𑄘ʽ", "\u{11100}𑄝ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑄣ʽ", "𑄣ʽ", "𑄢ʽ", "𑄚ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑄶", "𑄷", "𑄸", "𑄹", "𑄺", "𑄻", "𑄼", "𑄽", "𑄾", "𑄿"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{11102}ʼ"].iter().map(|&s| s.into()).collect(), om: ["𑄃\u{1112e}\u{11100}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "𑅁", "𑅂"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑄃", "𑄃\u{11127}", "𑄃\u{11128}", "𑄃\u{11129}", "𑄃\u{1112a}", "𑄃\u{1112b}", "𑄢\u{11128}ʽ", "𑄢\u{11129}ʽ", "𑅄\u{11128}ʽ", "𑅄\u{11129}ʽ", "𑄃𑄬", "𑄃\u{11130}", "𑄃\u{1112e}", "𑄃\u{1112f}"].iter().map(|&s| s.into()).collect(), modern: ["𑄃𑄬𑄬ʽ", "𑄃𑅅"].iter().map(|&s| s.into()).collect(), sinhala: ["𑄃𑄬ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑄃𑄬ʽ", "𑄃\u{1112e}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11127}", "\u{11128}", "\u{11129}", "\u{1112a}", "\u{1112b}", "\u{11133}𑄢\u{11128}ʽ", "\u{11133}𑄢\u{11129}ʽ", "\u{11133}𑅄\u{11128}ʽ", "\u{11133}𑅄\u{11129}ʽ", "𑄬", "\u{11130}", "\u{1112e}", "\u{1112f}"].iter().map(|&s| s.into()).collect(), modern: ["𑄬𑄬", "𑅅"].iter().map(|&s| s.into()).collect(), sinhala: ["𑄬ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑄬ʽ", "\u{1112e}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11134}"].iter().map(|&s| s.into()).collect() } },




    "assamese" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{981}", "ং", "ঃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{9bc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ক", "খ", "গ", "ঘ", "ঙ", "চ", "ছ", "জ", "ঝ", "ঞ", "ট", "ঠ", "ড", "ঢ", "ণ", "ত", "থ", "দ", "ধ", "ন", "প", "ফ", "ব", "ভ", "ম", "য", "র", "ল", "ৱ", "শ", "ষ", "স", "হ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ক\u{9bc}", "খ\u{9bc}", "গ\u{9bc}", "জ\u{9bc}", "ড়", "ঢ়", "ফ\u{9bc}", "য়"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{981}ˆগ", "\u{981}ˆজ", "\u{981}ˆড", "\u{981}ˆদ", "\u{981}ˆব"].iter().map(|&s| s.into()).collect(), south: ["ল\u{9bc}", "ষ\u{9bc}", "র\u{9bc}", "ন\u{9bc}"].iter().map(|&s| s.into()).collect() }, numerals: ["০", "১", "২", "৩", "৪", "৫", "৬", "৭", "৮", "৯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ঃʼ"].iter().map(|&s| s.into()).collect(), om: ["ও\u{981}"].iter().map(|&s| s.into()).collect(), symbols: ["ঽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["অ", "আ", "ই", "ঈ", "উ", "ঊ", "ঋ", "ৠ", "ঌ", "ৡ", "এ", "ঐ", "ও", "ঔ"].iter().map(|&s| s.into()).collect(), modern: ["এʼ", "আʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["এˇ"].iter().map(|&s| s.into()).collect(), south: ["এ˘", "ও˘"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{9be}", "ি", "ী", "\u{9c1}", "\u{9c2}", "\u{9c3}", "\u{9c4}", "\u{9e2}", "\u{9e3}", "ে", "ৈ", "ো", "ৌ"].iter().map(|&s| s.into()).collect(), modern: ["েʼ", "\u{9be}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["েˇ"].iter().map(|&s| s.into()).collect(), south: ["ে˘", "ো˘"].iter().map(|&s| s.into()).collect(), virama: ["\u{9cd}"].iter().map(|&s| s.into()).collect() } },




    "thaana" => Script { combiningsigns: CombiningSign { ayogavaha: ["މ\u{7b0}ʽ", "މ\u{7b0}ʽ", "ހ\u{7a6}\u{7b0}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ކ\u{7a6}", "ކʽ\u{7a6}", "ގ\u{7a6}", "ގʽ\u{7a6}", "ނʽ\u{7a6}", "ޗ\u{7a6}", "ޗʽ\u{7a6}", "ޖ\u{7a6}", "ޖʽ\u{7a6}", "ޏ\u{7a6}", "ޓ\u{7a6}", "ޓʽ\u{7a6}", "ޑ\u{7a6}", "ޑʽ\u{7a6}", "ޱ\u{7a6}", "ތ\u{7a6}", "ތʽ\u{7a6}", "ދ\u{7a6}", "ދʽ\u{7a6}", "ނ\u{7a6}", "ޕ\u{7a6}", "ޕʽ\u{7a6}", "ބ\u{7a6}", "ބʽ\u{7a6}", "މ\u{7a6}", "ޔ\u{7a6}", "ރ\u{7a6}", "ލ\u{7a6}", "ވ\u{7a6}", "ޝ\u{7a6}", "ށ\u{7a6}", "ސ\u{7a6}", "ހ\u{7a6}"].iter().map(|&s| s.into()).collect(), persoarabic: ["ޤ\u{7a6}", "ޚ\u{7a6}", "ޣ\u{7a6}", "ޒ\u{7a6}", "ޑʽ\u{7a6}", "ޑʽ\u{7a6}", "ފ\u{7a6}", "ޔʽ\u{7a6}"].iter().map(|&s| s.into()).collect(), sinhala: ["ނގ\u{7a6}", "ނޖ\u{7a6}", "ނޑ\u{7a6}", "ނދ\u{7a6}", "ނބ\u{7a6}"].iter().map(|&s| s.into()).collect(), south: ["ޅ\u{7a6}", "ޅʽ\u{7a6}", "ރʽ\u{7a6}", "ނʽ\u{7a6}"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ހ\u{7a6}\u{7b0}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["އ\u{7af}މ\u{7a6}\u{7b0}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "۔", "۔۔"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["އ\u{7a6}", "އ\u{7a7}", "އ\u{7a8}", "އ\u{7a9}", "އ\u{7aa}", "އ\u{7ab}", "ރ\u{7aa}", "ރ\u{7ab}", "ލ\u{7aa}", "ލ\u{7ab}", "އ\u{7ad}", "އ\u{7a6}އ\u{7a8}ʽ", "އ\u{7af}", "އ\u{7a6}އ\u{7aa}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["އ\u{7ac}ʽ", "އ\u{7a7}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["އ\u{7ad}ʽ"].iter().map(|&s| s.into()).collect(), south: ["އ\u{7ac}", "އ\u{7ae}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{7a7}", "\u{7a8}", "\u{7a9}", "\u{7aa}", "\u{7ab}", "\u{7b0}ރ\u{7aa}", "\u{7b0}ރ\u{7ab}", "\u{7b0}ލ\u{7aa}", "\u{7b0}ލ\u{7ab}", "\u{7ad}", "\u{7a6}އ\u{7a8}ʽ", "\u{7af}", "\u{7a6}އ\u{7aa}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{7ac}ʽ", "\u{7a7}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{7ad}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{7ac}", "\u{7ae}"].iter().map(|&s| s.into()).collect(), virama: ["\u{7b0}"].iter().map(|&s| s.into()).collect() } },




    "newa" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11443}", "\u{11444}", "𑑅"].iter().map(|&s| s.into()).collect(), nukta: ["\u{11446}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑐎", "𑐏", "𑐐", "𑐑", "𑐒", "𑐔", "𑐕", "𑐖", "𑐗", "𑐘", "𑐚", "𑐛", "𑐜", "𑐝", "𑐞", "𑐟", "𑐠", "𑐡", "𑐢", "𑐣", "𑐥", "𑐦", "𑐧", "𑐨", "𑐩", "𑐫", "𑐬", "𑐮", "𑐰", "𑐱", "𑐲", "𑐳", "𑐴"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑐎\u{11446}", "𑐏\u{11446}", "𑐐\u{11446}", "𑐖\u{11446}", "𑐜\u{11446}", "𑐝\u{11446}", "𑐦\u{11446}", "𑐫\u{11446}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11443}𑐐ʽ", "\u{11443}𑐖ʽ", "\u{11443}𑐜ʽ", "\u{11443}𑐡ʽ", "\u{11443}𑐧ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑐮\u{11446}", "𑐲\u{11446}", "𑐬\u{11446}", "𑐣\u{11446}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑑐", "𑑑", "𑑒", "𑑓", "𑑔", "𑑕", "𑑖", "𑑗", "𑑘", "𑑙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑑅ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑑉"].iter().map(|&s| s.into()).collect(), symbols: ["𑑇", "𑑋", "𑑌"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑐀", "𑐁", "𑐂", "𑐃", "𑐄", "𑐅", "𑐆", "𑐇", "𑐈", "𑐉", "𑐊", "𑐋", "𑐌", "𑐍"].iter().map(|&s| s.into()).collect(), modern: ["𑐊ʽ", "𑐁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑐊ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑐊ʽ", "𑐌ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑐵", "𑐶", "𑐷", "\u{11438}", "\u{11439}", "\u{1143a}", "\u{1143b}", "\u{1143c}", "\u{1143d}", "\u{1143e}", "\u{1143f}", "𑑀", "𑑁"].iter().map(|&s| s.into()).collect(), modern: ["\u{1143e}ʽ", "𑐶ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1143e}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1143e}ʽ", "𑑀ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11442}"].iter().map(|&s| s.into()).collect() } },




    "cham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{aa43}", "\u{aa4c}", "ꩍ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꨆ", "ꨇ", "ꨈ", "ꨉ", "ꨋ", "ꨌ", "ꨍ", "ꨎ", "ꨏ", "ꨑ", "ꨓʽ", "ꨔʽ", "ꨕʽ", "ꨖʽ", "ꨘʽ", "ꨓ", "ꨔ", "ꨕ", "ꨖ", "ꨘ", "ꨚ", "ꨜ", "ꨝ", "ꨞ", "ꨠ", "ꨢ", "ꨣ", "ꨤ", "ꨥ", "ꨦʽ", "ꨦ", "ꨧ", "ꨨ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꨆʽ", "ꨇʽ", "ꨈʽ", "ꨎʽ", "ꨕʽ", "ꨖʽ", "ꨜʽ", "ꨥʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{aa4c}ꨈʽ", "ꨒ", "ꨙʽ", "ꨙ", "ꨡ"].iter().map(|&s| s.into()).collect(), south: ["ꨤʽ", "ꨤʽ", "ꨣʽ", "ꨘʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["꩐", "꩑", "꩒", "꩓", "꩔", "꩕", "꩖", "꩗", "꩘", "꩙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꩍʽ"].iter().map(|&s| s.into()).collect(), om: ["ꨅ\u{aa4c}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "꩝", "꩞"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꨀ", "ꨀ\u{aa29}", "ꨁ", "ꨁ\u{aa29}", "ꨂ", "ꨂ\u{aa29}", "ꨣ\u{aa2e}", "ꨣ\u{aa2e}\u{aa29}", "ꨤ\u{aa2e}", "ꨤ\u{aa2e}\u{aa29}", "ꨃ", "ꨄ", "ꨅ", "ꨀꨯ\u{aa31}"].iter().map(|&s| s.into()).collect(), modern: ["ꨃʽ", "ꨀ\u{aa29}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꨃʽ"].iter().map(|&s| s.into()).collect(), south: ["ꨃʽ", "ꨅʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{aa29}", "\u{aa2a}", "\u{aa2b}", "\u{aa2d}", "\u{aa2d}\u{aa29}", "ʾꨣ\u{aa2e}", "ʾꨣ\u{aa2e}\u{aa29}", "ʾꨤ\u{aa2e}", "ʾꨤ\u{aa2e}\u{aa29}", "ꨯ\u{aa2e}", "ꨰ", "ꨯ", "ꨯ\u{aa31}"].iter().map(|&s| s.into()).collect(), modern: ["ꨯ\u{aa2e}ʽ", "\u{aa29}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꨯ\u{aa2e}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ꨯ\u{aa2e}ʽ", "\u{aa2e}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "siddham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{115bc}", "\u{115bd}", "𑖾"].iter().map(|&s| s.into()).collect(), nukta: ["\u{115c0}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑖎", "𑖏", "𑖐", "𑖑", "𑖒", "𑖓", "𑖔", "𑖕", "𑖖", "𑖗", "𑖘", "𑖙", "𑖚", "𑖛", "𑖜", "𑖝", "𑖞", "𑖟", "𑖠", "𑖡", "𑖢", "𑖣", "𑖤", "𑖥", "𑖦", "𑖧", "𑖨", "𑖩", "𑖪", "𑖫", "𑖬", "𑖭", "𑖮"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑖎\u{115c0}", "𑖏\u{115c0}", "𑖐\u{115c0}", "𑖕\u{115c0}", "𑖚\u{115c0}", "𑖛\u{115c0}", "𑖣\u{115c0}", "𑖧\u{115c0}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{115bc}ʽ𑖐", "\u{115bc}ʽ𑖕", "\u{115bc}ʽ𑖚", "\u{115bc}ʽ𑖟", "\u{115bc}ʽ𑖤"].iter().map(|&s| s.into()).collect(), south: ["𑖩\u{115c0}", "𑖬\u{115c0}", "𑖨\u{115c0}", "𑖡\u{115c0}"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑖾ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑖌\u{115bc}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𑗂", "𑗃"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑖀", "𑖁", "𑖂", "𑖃", "𑖄", "𑖅", "𑖆", "𑖇", "𑖈", "𑖉", "𑖊", "𑖋", "𑖌", "𑖍"].iter().map(|&s| s.into()).collect(), modern: ["𑖊ʽ", "𑖁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑖊ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑖊ʽ", "𑖌ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{115af}", "𑖰", "𑖱", "\u{115b2}", "\u{115b3}", "\u{115b4}", "\u{115b5}", "\u{115bf}𑖩𑖰ʽ", "\u{115bf}𑖩𑖱ʽ", "𑖸", "𑖹", "𑖺", "𑖻"].iter().map(|&s| s.into()).collect(), modern: ["𑖸ʽ", "\u{115af}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑖸ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑖸ʽ", "𑖺ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{115bf}"].iter().map(|&s| s.into()).collect() } },




    "tamilextended" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{d01}", "ം", "ഃ"].iter().map(|&s| s.into()).collect(), nukta: ["·"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ക", "ഖ", "ഗ", "ഘ", "ങ", "ച", "ഛ", "ജ", "ഝ", "ഞ", "ട", "ഠ", "ഡ", "ഢ", "ണ", "ത", "ഥ", "ദ", "ധ", "ന", "പ", "ഫ", "ബ", "ഭ", "മ", "യ", "ര", "ല", "വ", "ശ", "ഷ", "സ", "ഹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ക·", "ഖ·", "ഗ·", "ജ·", "ഡ·", "ഢ·", "ഫ·", "യ·"].iter().map(|&s| s.into()).collect(), sinhala: ["ംˆഗ", "ംˆജ", "ംˆഡ", "ംˆദ", "ംˆബ"].iter().map(|&s| s.into()).collect(), south: ["ള", "ഴ", "റ", "ഩ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ஃ"].iter().map(|&s| s.into()).collect(), om: ["ௐ"].iter().map(|&s| s.into()).collect(), symbols: ["ഽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["അ", "ആ", "ഇ", "ഈ", "ഉ", "ഊ", "ഋ", "ൠ", "ഌ", "ൡ", "ഏ", "ഐ", "ഓ", "ഔ"].iter().map(|&s| s.into()).collect(), modern: ["എʼ", "ആʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ഏˇ"].iter().map(|&s| s.into()).collect(), south: ["എ", "ഒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{d3e}", "ി", "ീ", "\u{d41}", "\u{d42}", "\u{d43}", "\u{d44}", "\u{d62}", "\u{d63}", "േ", "ൈ", "ോ", "\u{d57}"].iter().map(|&s| s.into()).collect(), modern: ["െʼ", "\u{d3e}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["േˇ"].iter().map(|&s| s.into()).collect(), south: ["െ", "ൊ"].iter().map(|&s| s.into()).collect(), virama: ["\u{d4d}\u{200c}"].iter().map(|&s| s.into()).collect() } },




    "oldpersian" => Script { combiningsigns: CombiningSign { ayogavaha: ["𐎶ʽ", "𐎶ʽ", "𐏃ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𐎣", "𐎧ʽ", "𐎥", "𐎥ʽ", "𐎴ʽ", "𐎨", "𐎨ʽ", "𐎩", "𐎩ʽ", "𐎴ʽ", "𐎫ʽ", "𐎫ʽ", "𐎭ʽ", "𐎭ʽ", "𐎴ʽ", "𐎫", "𐎰", "𐎭", "𐎭ʽ", "𐎴", "𐎱", "𐎱ʽ", "𐎲", "𐎲", "𐎶", "𐎹", "𐎼", "𐎾", "𐎺", "𐏁", "𐏂", "𐎿", "𐏃"].iter().map(|&s| s.into()).collect(), persoarabic: ["𐎣ʽ", "𐎧", "𐎥ʽ", "𐏀", "𐎭ʽ", "𐎭ʽ", "𐎳", "𐎹ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐎴𐎥ʽ", "𐎴𐎩ʽ", "𐎴𐎭ʽ", "𐎴𐎭ʽ", "𐎶𐎲ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐎾ʽ", "𐎾ʽ", "𐎼ʽ", "𐎴ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𐎧ʽ"].iter().map(|&s| s.into()).collect(), om: ["𐎢𐎶ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𐏐𐏐", "𐏐𐏐ʽ"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𐎠", "𐎠ʽ", "𐎡", "𐎡ʽ", "𐎢", "𐎢ʽ", "𐎽𐎢ʽ", "𐎽𐎢ʽ", "𐎾𐎢ʽ", "𐎾𐎢ʽ", "𐎡ʽ", "𐎠𐎡", "𐎢ʽ", "𐎠𐎢"].iter().map(|&s| s.into()).collect(), modern: ["𐎡ʽ", "𐎠ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐎡ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐎡ʽ", "𐎢ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["_𐎠", "_𐎡", "𐎡𐎹ʽ", "_𐎢", "𐎢𐎺ʽ", "𐎽𐎢ʽ", "𐎽𐎢ʽ", "𐎾𐎢ʽ", "𐎾𐎢ʽ", "𐎡ʽ", "<𐎠𐎡", "𐎢ʽ", "<𐎠𐎢"].iter().map(|&s| s.into()).collect(), modern: ["𐎡ʽ", "𐎠ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐎡ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐎡ʽ", "𐎢ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʽʽ"].iter().map(|&s| s.into()).collect() } },




    "masaramgondi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11d40}ʽ", "\u{11d40}", "\u{11d41}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑴌", "𑴍", "𑴎", "𑴏", "𑴐", "𑴑", "𑴒", "𑴓", "𑴔", "𑴕", "𑴖", "𑴗", "𑴘", "𑴙", "𑴚", "𑴛", "𑴜", "𑴝", "𑴞", "𑴟", "𑴠", "𑴡", "𑴢", "𑴣", "𑴤", "𑴥", "𑴦", "𑴧", "𑴨", "𑴩", "𑴪", "𑴫", "𑴬"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑴌\u{11d42}", "𑴍\u{11d42}", "𑴎\u{11d42}", "𑴓\u{11d42}", "𑴘\u{11d42}", "𑴙\u{11d42}", "𑴡\u{11d42}", "𑴥\u{11d42}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11d40}𑴎ʽ", "\u{11d40}𑴓ʽ", "\u{11d40}𑴘ʽ", "\u{11d40}𑴝ʽ", "\u{11d40}𑴢ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑴭", "𑴭\u{11d42}", "𑴦\u{11d42}", "𑴟\u{11d42}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑵐", "𑵑", "𑵒", "𑵓", "𑵔", "𑵕", "𑵖", "𑵗", "𑵘", "𑵙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{11d41}ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑴉\u{11d40}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑴀", "𑴁", "𑴂", "𑴃", "𑴄", "𑴅", "𑴦\u{11d36}", "𑴦\u{11d35}ʽ", "𑴧\u{11d34}ʽ", "𑴧\u{11d35}ʽ", "𑴆", "𑴈", "𑴉", "𑴋"].iter().map(|&s| s.into()).collect(), modern: ["𑴆\u{11d43}", "𑴁\u{11d43}"].iter().map(|&s| s.into()).collect(), sinhala: ["𑴆\u{11d43}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑴆ʽ", "𑴉ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11d31}", "\u{11d32}", "\u{11d33}", "\u{11d34}", "\u{11d35}", "\u{11d36}", "\u{11d45}𑴦\u{11d35}ʽ", "\u{11d45}𑴧\u{11d34}ʽ", "\u{11d45}𑴧\u{11d35}ʽ", "\u{11d3a}", "\u{11d3c}", "\u{11d3d}", "\u{11d3f}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11d3a}\u{11d43}", "\u{11d31}\u{11d43}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11d3a}\u{11d43}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11d3a}ʽ", "\u{11d3d}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11d45}"].iter().map(|&s| s.into()).collect() } },




    "mro" => Script { combiningsigns: CombiningSign { ayogavaha: ["𖩃ʽ", "𖩃ʽ", "𖩉ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𖩌", "𖩈", "𖩌ʽ", "𖩈ʽ", "𖩁", "𖩋", "𖩋ʽ", "𖩋ʽ", "𖩋ʽ", "𖩏ʽ", "𖩀ʽ", "𖩕ʽ", "𖩅ʽ", "𖩅ʽ", "𖩏ʽ", "𖩀", "𖩕", "𖩅", "𖩅ʽ", "𖩏", "𖩐", "𖩇", "𖩄", "𖩄ʽ", "𖩃", "𖩂", "𖩓", "𖩍", "𖩗", "𖩔ʽ", "𖩔ʽ", "𖩔", "𖩉"].iter().map(|&s| s.into()).collect(), persoarabic: ["𖩌ʽ", "𖩈ʽ", "𖩌ʽ", "𖩋ʽ", "𖩅ʽ", "𖩅ʽ", "𖩇ʽ", "𖩂ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𖩁𖩌ʽ", "𖩏𖩋ʽ", "𖩏𖩅ʽ", "𖩏𖩅ʽ", "𖩃𖩄ʽ"].iter().map(|&s| s.into()).collect(), south: ["𖩍ʽ", "𖩍ʽ", "𖩓ʽ", "𖩏ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𖩠", "𖩡", "𖩢", "𖩣", "𖩤", "𖩥", "𖩦", "𖩧", "𖩨", "𖩩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𖩌ʽ"].iter().map(|&s| s.into()).collect(), om: ["𖩑𖩃"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𖩮", "𖩯"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𖩒", "𖩆", "𖩊", "𖩊ʽ", "𖩑ʽ", "𖩑ʽ", "𖩓𖩑ʽ", "𖩓𖩑ʽ", "𖩍𖩑ʽ", "𖩍𖩑ʽ", "𖩘", "𖩆𖩂ʽ", "𖩑", "𖩖"].iter().map(|&s| s.into()).collect(), modern: ["𖩘ʽ", "𖩝"].iter().map(|&s| s.into()).collect(), sinhala: ["𖩘ʽ"].iter().map(|&s| s.into()).collect(), south: ["𖩘ʽ", "𖩑ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𖩆", "𖩊", "𖩊ʽ", "𖩑ʽ", "𖩑ʽ", "𖩓𖩑ʽ", "𖩓𖩑ʽ", "𖩍𖩑ʽ", "𖩍𖩑ʽ", "𖩘", "𖩆𖩂ʽ", "𖩑", "𖩖"].iter().map(|&s| s.into()).collect(), modern: ["𖩘ʽ", "𖩝"].iter().map(|&s| s.into()).collect(), sinhala: ["𖩘ʽ"].iter().map(|&s| s.into()).collect(), south: ["𖩘ʽ", "𖩑ʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "lepcha" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᰴʽ", "ᰴ", "ᰝʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{1c37}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᰀ", "ᰂ", "ᰃ", "ᰃʽ", "ᰅ", "ᰆ", "ᰇ", "ᰈ", "ᰈʽ", "ᰉ", "ᱍ", "ᱎ", "ᱏ", "ᱏʽ", "ᰍʽ", "ᰊ", "ᰋ", "ᰌ", "ᰌʽ", "ᰍ", "ᰎ", "ᰐ", "ᰓ", "ᰓʽ", "ᰕ", "ᰚ", "ᰛ", "ᰜ", "ᰟ", "ᰡ", "ᰡ\u{1c37}", "ᰠ", "ᰝ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᰀ\u{1c37}", "ᰂ\u{1c37}", "ᰃ\u{1c37}", "ᰈ\u{1c37}", "ᱏ\u{1c37}", "ᱏ\u{1c37}ʽ", "ᰑ", "ᰚ\u{1c37}"].iter().map(|&s| s.into()).collect(), sinhala: ["ᰵᰃʽ", "\u{1c30}ᰈʽ", "\u{1c30}ᰌʽ", "\u{1c30}ᰌʽ", "\u{1c2e}ᰓʽ"].iter().map(|&s| s.into()).collect(), south: ["ᰜ\u{1c37}", "ᰜ\u{1c37}ʽ", "ᰛ\u{1c37}", "ᰍ\u{1c37}"].iter().map(|&s| s.into()).collect() }, numerals: ["᱀", "᱁", "᱂", "᱃", "᱄", "᱅", "᱆", "᱇", "᱈", "᱉"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᰝʽʼ"].iter().map(|&s| s.into()).collect(), om: ["ᰣᰨᰴ"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᰻", "᰼"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᰣ", "ᰣᰦ", "ᰣᰧ", "ᰣᰧ\u{1c36}", "ᰣᰪ", "ᰣᰫ", "ᰛᰪʽ", "ᰛᰫʽ", "ᰜᰪʽ", "ᰜᰫʽ", "ᰣ\u{1c2c}", "ᰣ\u{1c2c}ʽ", "ᰣᰨ", "ᰣᰩ"].iter().map(|&s| s.into()).collect(), modern: ["ᰣ\u{1c2c}ʽ", "ᰣᰦʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᰣ\u{1c2c}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ᰣ\u{1c2c}ʽ", "ᰣᰨʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᰦ", "ᰧ", "ᰧ\u{1c36}", "ᰪ", "ᰫ", "ʾᰛᰪʽ", "ʾᰛᰫʽ", "ʾᰜᰪʽ", "ʾᰜᰫʽ", "\u{1c2c}", "\u{1c2c}ʽ", "ᰨ", "ᰩ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1c2c}ʽ", "ᰦʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1c2c}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1c2c}ʽ", "ᰨʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "gujarati" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a81}", "\u{a82}", "ઃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{abc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ક", "ખ", "ગ", "ઘ", "ઙ", "ચ", "છ", "જ", "ઝ", "ઞ", "ટ", "ઠ", "ડ", "ઢ", "ણ", "ત", "થ", "દ", "ધ", "ન", "પ", "ફ", "બ", "ભ", "મ", "ય", "ર", "લ", "વ", "શ", "ષ", "સ", "હ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ક\u{abc}", "ખ\u{abc}", "ગ\u{abc}", "જ\u{abc}", "ડ\u{abc}", "ઢ\u{abc}", "ફ\u{abc}", "ય\u{abc}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a81}ˆગ", "\u{a81}ˆજ", "\u{a81}ˆડ", "\u{a81}ˆદ", "\u{a81}ˆબ"].iter().map(|&s| s.into()).collect(), south: ["ળ", "ળ\u{abc}", "ર\u{abc}", "ન\u{abc}"].iter().map(|&s| s.into()).collect() }, numerals: ["૦", "૧", "૨", "૩", "૪", "૫", "૬", "૭", "૮", "૯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ઃʼ"].iter().map(|&s| s.into()).collect(), om: ["ૐ"].iter().map(|&s| s.into()).collect(), symbols: ["ઽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["અ", "આ", "ઇ", "ઈ", "ઉ", "ઊ", "ઋ", "ૠ", "ઌ", "ૡ", "એ", "ઐ", "ઓ", "ઔ"].iter().map(|&s| s.into()).collect(), modern: ["ઍ", "ઑ"].iter().map(|&s| s.into()).collect(), sinhala: ["ઍˇ"].iter().map(|&s| s.into()).collect(), south: ["એ˘", "ઓ˘"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ા", "િ", "ી", "\u{ac1}", "\u{ac2}", "\u{ac3}", "\u{ac4}", "\u{ae2}", "\u{ae3}", "\u{ac7}", "\u{ac8}", "ો", "ૌ"].iter().map(|&s| s.into()).collect(), modern: ["\u{ac5}", "ૉ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{ac5}ˇ"].iter().map(|&s| s.into()).collect(), south: ["\u{ac7}˘", "ો˘"].iter().map(|&s| s.into()).collect(), virama: ["\u{acd}"].iter().map(|&s| s.into()).collect() } },




    "iastpali" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṃ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ṅ", "c", "ch", "j", "jh", "ñ", "ṭ", "ṭh", "ḍ", "ḍh", "ṇ", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}h", "ġ", "z", "r\u{324}", "r\u{324}h", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["ḷ", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["oṃ"].iter().map(|&s| s.into()).collect(), symbols: ["'ʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "l\u{324}", "l\u{324}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "l\u{324}", "l\u{324}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "bataktoba" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1bf0}ʽ", "\u{1bf0}", "ᯂ᯲ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᯂ", "ᯂʽ", "ᯎ", "ᯎʽ", "ᯝ", "ᯘʽ", "ᯘʽ", "ᯐ", "ᯐʽ", "ᯠ", "ᯗʽ", "ᯗʽ", "ᯑʽ", "ᯑʽ", "ᯉʽ", "ᯗ", "ᯗʽ", "ᯑ", "ᯑʽ", "ᯉ", "ᯇ", "ᯇʽ", "ᯅ", "ᯅʽ", "ᯔ", "ᯛ", "ᯒ", "ᯞ", "ᯍ", "ᯘʽ", "ᯘʽ", "ᯘ", "ᯂʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᯂʽ", "ᯂʽ", "ᯎʽ", "ᯐʽ", "ᯑʽ", "ᯑʽ", "ᯇʽ", "ᯛʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1bf0}ᯎʽ", "\u{1bf0}ᯐʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯅʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯞʽ", "ᯞʽ", "ᯒʽ", "ᯉʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᯂ᯲ʽʼ"].iter().map(|&s| s.into()).collect(), om: ["ᯥᯔ᯲ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", "."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᯀ", "ᯀʽ", "ᯤ", "ᯤʽ", "ᯥ", "ᯥʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "ᯤʽ", "ᯀᯤʽ", "ᯥʽ", "ᯀᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯤʽ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᯤʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯤʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "ᯪ", "ᯪʽ", "ᯮ", "ᯮʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "\u{1be9}ʽ", "ᯤʽ", "ᯬʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1be9}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1be9}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1be9}", "ᯬ"].iter().map(|&s| s.into()).collect(), virama: ["᯲"].iter().map(|&s| s.into()).collect() } },




    "kharoshthi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{10a0e}ʽ", "\u{10a0e}", "\u{10a0f}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𐨐", "𐨑", "𐨒", "𐨓", "𐨣ʽ", "𐨕", "𐨖", "𐨗", "𐨗ʽ", "𐨙", "𐨚", "𐨛", "𐨜", "𐨝", "𐨞", "𐨟", "𐨠", "𐨡", "𐨢", "𐨣", "𐨤", "𐨥", "𐨦", "𐨧", "𐨨", "𐨩", "𐨪", "𐨫", "𐨬", "𐨭", "𐨮", "𐨯", "𐨱"].iter().map(|&s| s.into()).collect(), persoarabic: ["𐨲", "𐨑ʽ", "𐨒ʽ", "𐨰", "𐨜ʽ", "𐨝ʽ", "𐨥ʽ", "𐨩ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{10a0e}𐨒ʽ", "\u{10a0e}𐨗ʽ", "\u{10a0e}𐨜ʽ", "\u{10a0e}𐨡ʽ", "\u{10a0e}𐨦ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐨫ʽ", "𐨫ʽ", "𐨪ʽ", "𐨣ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{10a0f}ʽ"].iter().map(|&s| s.into()).collect(), om: ["𐨀\u{10a05}\u{10a0e}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𐩖", "𐩗"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𐨀", "𐨀\u{10a0c}", "𐨀\u{10a01}", "𐨀\u{10a01}\u{10a0c}", "𐨀\u{10a02}", "𐨀\u{10a02}\u{10a0c}", "𐨀\u{10a03}", "𐨀\u{10a03}\u{10a0c}", "𐨫\u{10a02}ʽ", "𐨫\u{10a02}\u{10a0c}ʽ", "𐨀\u{10a05}", "𐨀\u{10a05}\u{10a0c}", "𐨀\u{10a06}", "𐨀\u{10a06}\u{10a0c}"].iter().map(|&s| s.into()).collect(), modern: ["𐨀\u{10a05}ʽ", "𐨀\u{10a0c}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐨀\u{10a05}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐨀\u{10a05}ʽ", "𐨀\u{10a06}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{10a0c}", "\u{10a01}", "\u{10a01}\u{10a0c}", "\u{10a02}", "\u{10a02}\u{10a0c}", "\u{10a03}", "\u{10a03}\u{10a0c}", "\u{10a3f}𐨫\u{10a02}ʽ", "\u{10a3f}𐨫\u{10a02}\u{10a0c}ʽ", "\u{10a05}", "\u{10a05}\u{10a0c}", "\u{10a06}", "\u{10a06}\u{10a0c}"].iter().map(|&s| s.into()).collect(), modern: ["\u{10a05}ʽ", "\u{10a0c}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{10a05}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{10a05}ʽ", "\u{10a06}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{10a3f}"].iter().map(|&s| s.into()).collect() } },




    "granthagrantamil" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{981}", "ং", "ঃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{9bc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ক", "খ", "গ", "ঘ", "ঙ", "চ", "ছ", "জ", "ঝ", "ঞ", "ট", "ঠ", "ড", "ঢ", "ণ", "ত", "থ", "দ", "ধ", "ন", "প", "ফ", "ব", "ভ", "ম", "য", "র", "ল", "ৱ", "শ", "ষ", "স", "হ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ক\u{9bc}", "খ\u{9bc}", "গ\u{9bc}", "জ\u{9bc}", "ড\u{9bc}", "ঢ\u{9bc}", "ফ\u{9bc}", "য\u{9bc}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{981}ˆগ", "\u{981}ˆজ", "\u{981}ˆড", "\u{981}ˆদ", "\u{981}ˆব"].iter().map(|&s| s.into()).collect(), south: ["ৰ", "ৰ\u{9bc}", "র\u{9bc}", "ন\u{9bc}"].iter().map(|&s| s.into()).collect() }, numerals: ["০", "১", "২", "৩", "৪", "৫", "৬", "৭", "৮", "৯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ঃʼ"].iter().map(|&s| s.into()).collect(), om: ["ওং"].iter().map(|&s| s.into()).collect(), symbols: ["ঽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["অ", "আ", "ই", "ঈ", "উ", "ঊ", "ঋ", "ৠ", "ঌ", "ৡ", "এ", "ঐ", "ও", "ঔ"].iter().map(|&s| s.into()).collect(), modern: ["এʼ", "আʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["এˇ"].iter().map(|&s| s.into()).collect(), south: ["এ\u{e014}", "ও\u{e014}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{9be}", "ি", "ী", "\u{9c1}", "\u{9c2}", "\u{9c3}", "\u{9c4}", "\u{9e2}", "\u{9e3}", "ে", "ৈ", "ো", "ৌ"].iter().map(|&s| s.into()).collect(), modern: ["েʼ", "\u{9be}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["েˇ"].iter().map(|&s| s.into()).collect(), south: ["ে\u{e014}", "ো\u{e014}"].iter().map(|&s| s.into()).collect(), virama: ["\u{9cd}"].iter().map(|&s| s.into()).collect() } },




    "brahmi" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑀀", "\u{11001}", "𑀂"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑀓", "𑀔", "𑀕", "𑀖", "𑀗", "𑀘", "𑀙", "𑀚", "𑀛", "𑀜", "𑀝", "𑀞", "𑀟", "𑀠", "𑀡", "𑀢", "𑀣", "𑀤", "𑀥", "𑀦", "𑀧", "𑀨", "𑀩", "𑀪", "𑀫", "𑀬", "𑀭", "𑀮", "𑀯", "𑀰", "𑀱", "𑀲", "𑀳"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑀓ʽ", "𑀔ʽ", "𑀕ʽ", "𑀚ʽ", "𑀟ʽ", "𑀠ʽ", "𑀨ʽ", "𑀬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑀀𑀕ʽ", "𑀀𑀚ʽ", "𑀀𑀟ʽ", "𑀀𑀤ʽ", "𑀀𑀩ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑀴", "𑀴ʽ", "𑀭ʽ", "𑀦ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑁦", "𑁧", "𑁨", "𑁩", "𑁪", "𑁫", "𑁬", "𑁭", "𑁮", "𑁯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑀂ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑀑\u{11001}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𑁇", "𑁈"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑀅", "𑀆", "𑀇", "𑀈", "𑀉", "𑀊", "𑀋", "𑀌", "𑀍", "𑀎", "𑀏", "𑀐", "𑀑", "𑀒"].iter().map(|&s| s.into()).collect(), modern: ["𑀏ʽ", "𑀆ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑀏ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑀏ʽ", "𑀑ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11038}", "\u{1103a}", "\u{1103b}", "\u{1103c}", "\u{1103d}", "\u{1103e}", "\u{1103f}", "\u{11040}", "\u{11041}", "\u{11042}", "\u{11043}", "\u{11044}", "\u{11045}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11042}ʽ", "\u{11038}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11042}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11042}ʽ", "\u{11044}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11046}"].iter().map(|&s| s.into()).collect() } },




    "tibetan" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{f83}", "\u{f7e}", "ཿ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{f39}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ཀ", "ཁ", "ག", "གྷ", "ང", "ཙ", "ཚ", "ཛ", "ཛྷ", "ཉ", "ཊ", "ཋ", "ཌ", "ཌྷ", "ཎ", "ཏ", "ཐ", "ད", "དྷ", "ན", "པ", "ཕ", "བ", "བྷ", "མ", "ཡ", "ར", "ལ", "ཝ", "ཤ", "ཥ", "ས", "ཧ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ཀ\u{f39}", "ཁ\u{f39}", "ག\u{f39}", "ཟ", "ཌ\u{f39}", "ཌྷ\u{f39}", "ཕ\u{f39}", "ཡ\u{f39}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{f83}ཀʽ", "\u{f83}ཛʽ", "\u{f83}ཌʽ", "\u{f83}དʽ", "\u{f83}བʽ"].iter().map(|&s| s.into()).collect(), south: ["ལ\u{f39}", "ཥ\u{f39}", "ར\u{f39}", "ན\u{f39}"].iter().map(|&s| s.into()).collect() }, numerals: ["༠", "༡", "༢", "༣", "༤", "༥", "༦", "༧", "༨", "༩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ཿʽ"].iter().map(|&s| s.into()).collect(), om: ["ༀ"].iter().map(|&s| s.into()).collect(), symbols: ["྅", "།", "༎"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ཨ", "ཨ\u{f71}", "ཨ\u{f72}", "ཨ\u{f71}\u{f72}", "ཨ\u{f74}", "ཨ\u{f71}\u{f74}", "ར\u{f80}", "ར\u{f71}\u{f80}", "ལ\u{f80}", "ལ\u{f71}\u{f80}", "ཨ\u{f7a}", "ཨ\u{f7b}", "ཨ\u{f7c}", "ཨ\u{f7d}"].iter().map(|&s| s.into()).collect(), modern: ["ཨ\u{f7a}ʽ", "ཨ\u{f71}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ཨ\u{f7a}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ཨ\u{f7a}ʽ", "ཨ\u{f7c}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{f71}", "\u{f72}", "\u{f71}\u{f72}", "\u{f74}", "\u{f71}\u{f74}", "\u{fb2}\u{f80}", "\u{fb2}\u{f71}\u{f80}", "\u{fb3}\u{f80}", "\u{fb3}\u{f71}\u{f80}", "\u{f7a}", "\u{f7b}", "\u{f7c}", "\u{f7d}"].iter().map(|&s| s.into()).collect(), modern: ["\u{f7a}ʽ", "\u{f71}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{f7a}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{f7a}ʽ", "\u{f7c}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{f84}"].iter().map(|&s| s.into()).collect() } },




    "romancolloquial" => Script { combiningsigns: CombiningSign { ayogavaha: ["m'", "m'", "h"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ng", "ch", "chh", "j", "jh", "nj", "t'", "th", "d'", "dh", "n", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "sh", "sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "kh", "g", "z", "r'", "r'h", "f", "y"].iter().map(|&s| s.into()).collect(), sinhala: ["ng", "nj", "nd", "nd", "mb"].iter().map(|&s| s.into()).collect(), south: ["l", "zh", "r", "n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["g"].iter().map(|&s| s.into()).collect(), om: ["Om"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "a", "i", "i", "u", "u", "ri", "ri", "li", "li", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["a", "i", "i", "u", "u", "ri", "ri", "li", "li", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "malayalam" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{d01}", "ം", "ഃ"].iter().map(|&s| s.into()).collect(), nukta: ["·"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ക", "ഖ", "ഗ", "ഘ", "ങ", "ച", "ഛ", "ജ", "ഝ", "ഞ", "ട", "ഠ", "ഡ", "ഢ", "ണ", "ത", "ഥ", "ദ", "ധ", "ന", "പ", "ഫ", "ബ", "ഭ", "മ", "യ", "ര", "ല", "വ", "ശ", "ഷ", "സ", "ഹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ക·", "ഖ·", "ഗ·", "ജ·", "ഡ·", "ഢ·", "ഫ·", "യ·"].iter().map(|&s| s.into()).collect(), sinhala: ["ംˆഗ", "ംˆജ", "ംˆഡ", "ംˆദ", "ംˆബ"].iter().map(|&s| s.into()).collect(), south: ["ള", "ഴ", "റ", "ഩ"].iter().map(|&s| s.into()).collect() }, numerals: ["൦", "൧", "൨", "൩", "൪", "൫", "൬", "൭", "൮", "൯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ഃʼ"].iter().map(|&s| s.into()).collect(), om: ["ഓം"].iter().map(|&s| s.into()).collect(), symbols: ["ഽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["അ", "ആ", "ഇ", "ഈ", "ഉ", "ഊ", "ഋ", "ൠ", "ഌ", "ൡ", "ഏ", "ഐ", "ഓ", "ഔ"].iter().map(|&s| s.into()).collect(), modern: ["എʼ", "ആʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ഏˇ"].iter().map(|&s| s.into()).collect(), south: ["എ", "ഒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{d3e}", "ി", "ീ", "\u{d41}", "\u{d42}", "\u{d43}", "\u{d44}", "\u{d62}", "\u{d63}", "േ", "ൈ", "ോ", "\u{d57}"].iter().map(|&s| s.into()).collect(), modern: ["െʼ", "\u{d3e}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["േˇ"].iter().map(|&s| s.into()).collect(), south: ["െ", "ൊ"].iter().map(|&s| s.into()).collect(), virama: ["\u{d4d}"].iter().map(|&s| s.into()).collect() } },




    "hanifirohingya" => Script { combiningsigns: CombiningSign { ayogavaha: ["𐴣ʽ", "𐴣", "𐴇ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʾ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𐴑", "𐴑ʽ", "𐴒", "𐴒ʽ", "𐴚", "𐴆", "𐴆ʽ", "𐴅", "𐴅ʽ", "𐴛", "𐴄", "𐴄ʽ", "𐴋", "𐴋ʽ", "𐴕ʽ", "𐴃", "𐴃ʽ", "𐴊", "𐴊ʽ", "𐴕", "𐴂", "𐴂ʽ", "𐴁", "𐴁ʽ", "𐴔", "𐴘", "𐴌", "𐴓", "𐴖", "𐴐", "𐴐ʽ", "𐴏", "𐴇"].iter().map(|&s| s.into()).collect(), persoarabic: ["𐴑ʽ", "𐴈", "𐴒ʽ", "𐴎", "𐴍", "𐴍ʽ", "𐴉", "𐴘ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐴣𐴒ʽ", "𐴣𐴅ʽ", "𐴣𐴋ʽ", "𐴣𐴊ʽ", "𐴣𐴁ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐴓ʽ", "𐴓ʽ", "𐴌ʽ", "𐴕ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𐴰", "𐴱", "𐴲", "𐴳", "𐴴", "𐴵", "𐴶", "𐴷", "𐴸", "𐴹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𐴈ʽ"].iter().map(|&s| s.into()).collect(), om: ["𐴀𐴡𐴴𐴔"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "۔", "۔۔"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𐴝", "𐴝\u{10d24}", "𐴞", "𐴞\u{10d24}", "𐴟", "𐴟\u{10d24}", "𐴌𐴟ʽ", "𐴌𐴟\u{10d24}ʽ", "𐴓𐴟ʽ", "𐴓𐴟\u{10d24}ʽ", "𐴠\u{10d24}", "𐴝𐴙", "𐴡\u{10d24}", "𐴝𐴗"].iter().map(|&s| s.into()).collect(), modern: ["𐴠ʽ", "𐴝\u{10d24}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐴠\u{10d24}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐴠", "𐴡"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𐴝\u{10d24}", "𐴞", "𐴞\u{10d24}", "𐴟", "𐴟\u{10d24}", "𐴌𐴟ʽ", "𐴌𐴟\u{10d24}ʽ", "𐴓𐴟ʽ", "𐴓𐴟\u{10d24}ʽ", "𐴠\u{10d24}", "𐴝𐴙", "𐴡\u{10d24}", "𐴝𐴗"].iter().map(|&s| s.into()).collect(), modern: ["𐴠ʽ", "𐴝\u{10d24}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𐴠\u{10d24}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐴠", "𐴡"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "nandinagari" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑧞ʽ", "𑧞", "𑧟"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑦮", "𑦯", "𑦰", "𑦱", "𑦲", "𑦳", "𑦴", "𑦵", "𑦶", "𑦷", "𑦸", "𑦹", "𑦺", "𑦻", "𑦼", "𑦽", "𑦾", "𑦿", "𑧀", "𑧁", "𑧂", "𑧃", "𑧄", "𑧅", "𑧆", "𑧇", "𑧈", "𑧉", "𑧊", "𑧋", "𑧌", "𑧍", "𑧎"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑦮ʽ", "𑦯ʽ", "𑦰ʽ", "𑦵ʽ", "𑦺ʽ", "𑦻ʽ", "𑧃ʽ", "𑧇ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑧞ʽ𑦰", "𑧞ʽ𑦵", "𑧞ʽ𑦺", "𑧞ʽ𑦿", "𑧞ʽ𑧄"].iter().map(|&s| s.into()).collect(), south: ["𑧏ʽ", "𑧏", "𑧐", "𑧁ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["೦", "೧", "೨", "೩", "೪", "೫", "೬", "೭", "೮", "೯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑧟ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑦬𑧞"].iter().map(|&s| s.into()).collect(), symbols: ["𑧡", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑦠", "𑦡", "𑦢", "𑦣", "𑦤", "𑦥", "𑦦", "𑦧", "𑧉\u{119d4}ʽ", "𑧉\u{119d5}ʽ", "𑦪", "𑦫", "𑦬", "𑦭"].iter().map(|&s| s.into()).collect(), modern: ["𑦪ʽ", "𑦡ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑦪ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑦪ʽ", "𑦬ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑧑", "𑧒", "𑧓", "\u{119d4}", "\u{119d5}", "\u{119d6}", "\u{119d7}", "\u{119e0}𑧉\u{119d4}ʽ", "\u{119e0}𑧉\u{119d5}ʽ", "\u{119da}", "\u{119db}", "𑧜", "𑧝"].iter().map(|&s| s.into()).collect(), modern: ["𑧑ʽ", "\u{119da}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{119da}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{119da}ʽ", "𑧜ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{119e0}"].iter().map(|&s| s.into()).collect() } },




    "isopali" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṁ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ṅ", "c", "ch", "j", "jh", "ñ", "ṭ", "ṭh", "ḍ", "ḍh", "ṇ", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}h", "ġ", "z", "ṛ", "ṛh", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["ḷ", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["ōṁ"].iter().map(|&s| s.into()).collect(), symbols: ["’ʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "buginese" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᨆʽ", "ᨆʽ", "ᨖʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᨀ", "ᨀʽ", "ᨁ", "ᨁʽ", "ᨂ", "ᨌ", "ᨌʽ", "ᨍ", "ᨍʽ", "ᨎ", "ᨈʽ", "ᨈʽ", "ᨉʽ", "ᨉʽ", "ᨊʽ", "ᨈ", "ᨈʽ", "ᨉ", "ᨉʽ", "ᨊ", "ᨄ", "ᨄʽ", "ᨅ", "ᨅʽ", "ᨆ", "ᨐ", "ᨑ", "ᨒ", "ᨓ", "ᨔʽ", "ᨔʽ", "ᨔ", "ᨖ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᨀʽ", "ᨀʽ", "ᨁʽ", "ᨍʽ", "ᨉʽ", "ᨉʽ", "ᨄʽ", "ᨐʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᨂᨁʽ", "ᨎᨍʽ", "ᨊᨉʽ", "ᨊᨉʽ", "ᨆᨅʽ"].iter().map(|&s| s.into()).collect(), south: ["ᨒʽ", "ᨒʽ", "ᨑʽ", "ᨊʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᨖʽʼ"].iter().map(|&s| s.into()).collect(), om: ["ᨕᨚᨆʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "᨞", "᨞᨞"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᨕ", "ᨕʽ", "ᨕ\u{1a17}", "ᨕ\u{1a17}ʽ", "ᨕ\u{1a18}", "ᨕ\u{1a18}ʽ", "ᨑ\u{1a18}ʽ", "ᨑ\u{1a18}ʽ", "ᨒ\u{1a18}ʽ", "ᨒ\u{1a18}ʽ", "ᨕᨙʽ", "ᨕᨕ\u{1a17}ʽ", "ᨕᨚʽ", "ᨕᨕ\u{1a18}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᨕ\u{1a1b}", "ᨕʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᨕ\u{1a1b}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ᨕᨙ", "ᨕᨚ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1a17}", "\u{1a17}ʽ", "\u{1a18}", "\u{1a18}ʽ", "ᨑ\u{1a18}ʽ", "ᨑ\u{1a18}ʽ", "ᨒ\u{1a18}ʽ", "ᨒ\u{1a18}ʽ", "ᨙʽ", "ᨕ\u{1a17}ʽ", "ᨚʽ", "ᨕ\u{1a18}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1a1b}", "ʽʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1a1b}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ᨙ", "ᨚ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "siddhamdevanagari" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{901}", "\u{902}", "ः"].iter().map(|&s| s.into()).collect(), nukta: ["\u{93c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["क", "ख", "ग", "घ", "ङ", "च", "छ", "ज", "झ", "ञ", "ट", "ठ", "ड", "ढ", "ण", "त", "थ", "द", "ध", "न", "प", "फ", "ब", "भ", "म", "य", "र", "ल", "व", "श", "ष", "स", "ह"].iter().map(|&s| s.into()).collect(), persoarabic: ["क़", "ख़", "ग़", "ज़", "ड़", "ढ़", "फ़", "य़"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{901}ʽग", "\u{901}ʽज", "\u{901}ʽड", "\u{901}ʽद", "\u{901}ʽब"].iter().map(|&s| s.into()).collect(), south: ["ल\u{93c}", "ष\u{93c}", "ऱ", "ऩ"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ःʽ"].iter().map(|&s| s.into()).collect(), om: ["ॐ"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["अ", "आ", "इ", "ई", "उ", "ऊ", "ऋ", "ॠ", "ऌ", "ॡ", "ए", "ऐ", "ओ", "औ"].iter().map(|&s| s.into()).collect(), modern: ["एʽ", "आʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["एʽ"].iter().map(|&s| s.into()).collect(), south: ["एʽ", "ओʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ा", "ि", "ी", "\u{941}", "\u{942}", "\u{943}", "\u{944}", "\u{962}", "\u{963}", "\u{947}", "\u{948}", "ो", "ौ"].iter().map(|&s| s.into()).collect(), modern: ["\u{947}ʽ", "ाʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{947}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{947}ʽ", "ोʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{94d}"].iter().map(|&s| s.into()).collect() } },




    "khojki" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11234}ʽ", "\u{11234}", "𑈪𑈵ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{11236}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑈈", "𑈉", "𑈊", "𑈌", "𑈍", "𑈎", "𑈏", "𑈐", "𑈐ʽ", "𑈓", "𑈔", "𑈕", "𑈖", "𑈗", "𑈘", "𑈙", "𑈚", "𑈛", "𑈝", "𑈞", "𑈟", "𑈠", "𑈡", "𑈣", "𑈤", "𑈥", "𑈦", "𑈧", "𑈨", "𑈩\u{11236}", "𑈩\u{11236}ʽ", "𑈩", "𑈪"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑈈\u{11236}", "𑈉\u{11236}", "𑈊\u{11236}", "𑈐\u{11236}", "𑈖\u{11236}", "𑈗\u{11236}", "𑈠\u{11236}", "𑈥\u{11236}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11234}𑈊ʽ", "\u{11234}𑈐ʽ", "\u{11234}𑈖ʽ", "\u{11234}𑈛ʽ", "\u{11234}𑈡ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑈫", "𑈫\u{11236}", "𑈦\u{11236}", "𑈞\u{11236}"].iter().map(|&s| s.into()).collect() }, numerals: ["૦", "૧", "૨", "૩", "૪", "૫", "૬", "૭", "૮", "૯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑈪𑈵ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑈆\u{11234}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𑈸", "𑈹"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑈀", "𑈁", "𑈂", "𑈂ʽ", "𑈃", "𑈃ʽ", "𑈦𑈭ʽ", "𑈦𑈮ʽ", "𑈧𑈭ʽ", "𑈧𑈮ʽ", "𑈄", "𑈅", "𑈆", "𑈇"].iter().map(|&s| s.into()).collect(), modern: ["𑈄ʽ", "𑈁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑈄ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑈄ʽ", "𑈆ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑈬", "𑈭", "𑈮", "\u{1122f}", "\u{1122f}ʽ", "𑈵𑈦𑈭ʽ", "𑈵𑈦𑈮ʽ", "𑈵𑈧𑈭ʽ", "𑈵𑈧𑈮ʽ", "\u{11230}", "\u{11231}", "𑈲", "𑈳"].iter().map(|&s| s.into()).collect(), modern: ["\u{11230}ʽ", "𑈬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11230}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11230}ʽ", "𑈲ʽ"].iter().map(|&s| s.into()).collect(), virama: ["𑈵"].iter().map(|&s| s.into()).collect() } },




    "phagspa" => Script { combiningsigns: CombiningSign { ayogavaha: ["ꡳ", "ꡳʽ", "ꡜʾʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꡀ", "ꡁ", "ꡂ", "ṾꡂṾꡜṾ", "ꡃ", "ꡐ", "ꡑ", "ꡒ", "ṾꡒṾꡜṾ", "ꡇ", "ꡩ", "ꡪ", "ꡫ", "ṾꡫṾꡜṾ", "ꡬ", "ꡈ", "ꡉ", "ꡊ", "ṾꡊṾꡜṾ", "ꡋ", "ꡌ", "ꡍ", "ꡎ", "ṾꡎṾꡜṾ", "ꡏ", "ꡗ", "ꡘ", "ꡙ", "ꡓ", "ꡚ", "ꡚʽ", "ꡛ", "ꡜ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꡢ", "ꡣ", "ꡥ", "ꡕ", "ꡫʽ", "ꡫṾꡜʽ", "ꡤ", "ꡭ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꡳꡂʽ", "ꡳꡒʽ", "ꡳꡨʽ", "ꡳꡊʽ", "ꡳꡎʽ"].iter().map(|&s| s.into()).collect(), south: ["ꡙʽ", "ꡙʽ", "ꡘʽ", "ꡋʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꡜʽ"].iter().map(|&s| s.into()).collect(), om: ["ṿꡡꡳ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "꡶", "꡷"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ṿꡝ", "ṿꡝꡖ", "ṿꡞ", "ṿꡞꡖ", "ṿꡟ", "ṿꡟꡖ", "ṿꡘꡞʽ", "ṿꡘꡖꡞʽ", "ṿꡙꡞʽ", "ṿꡙꡖꡞʽ", "ṿꡠ", "ṿꡠꡖ", "ṿꡡ", "ṿꡡꡖ"].iter().map(|&s| s.into()).collect(), modern: ["ꡠʽ", "ꡝꡖʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꡠʽ"].iter().map(|&s| s.into()).collect(), south: ["ꡠʽ", "ꡡʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꡖ", "ꡞ", "ꡖꡞ", "ꡟ", "ꡖꡟ", "ꡱꡞ", "ꡖꡱꡞʽ", "ʾꡙꡞʽ", "ʾꡙꡖꡞʽ", "ꡠ", "ꡖꡠ", "ꡡ", "ꡖꡡ"].iter().map(|&s| s.into()).collect(), modern: ["ꡠʽ", "ꡖʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꡠʽ"].iter().map(|&s| s.into()).collect(), south: ["ꡠʽ", "ꡡʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "itrans" => Script { combiningsigns: CombiningSign { ayogavaha: [".N", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "~N", "ch", "Ch", "j", "jh", "~n", "T", "Th", "D", "Dh", "N", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "sh", "Sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "K", "G", "z", ".D", ".Dh", "f", "Y"].iter().map(|&s| s.into()).collect(), sinhala: ["n*g", "n*j", "n*D", "n*d", "m*b"].iter().map(|&s| s.into()).collect(), south: ["L", "zh", "R", "^n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["K^"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: [".a", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "R^i", "R^I", "L^i", "L^I", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["e.c", "A.c"].iter().map(|&s| s.into()).collect(), sinhala: ["a.C"].iter().map(|&s| s.into()).collect(), south: ["^e", "^o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "R^i", "R^I", "L^i", "L^I", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["e.c", "A.c"].iter().map(|&s| s.into()).collect(), sinhala: ["a.C"].iter().map(|&s| s.into()).collect(), south: ["^e", "^o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "lao2" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{ecd}ʽ", "\u{ecd}", "ຫ\u{eba}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{eb0a}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ກ", "ຂ", "ຄ", "ຄʽ", "ງ", "ຈ", "ສ", "ຊ", "ຊʽ", "ຍ", "ຕʽ", "ຖʽ", "ທʽ", "ທʽ", "ນʽ", "ຕ", "ຖ", "ທ", "ທʽ", "ນ", "ປ", "ຜ", "ພ", "ພʽ", "ມ", "ຍ", "ຣ", "ລ", "ວ", "ສʽ", "ສʽ", "ສ", "ຫ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ກʽ", "ຂʽ", "ຄʽ", "ຊʽ", "ດʽ", "ທʽ", "ຝ", "ຢʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{ecd}ຄʽ", "\u{ecd}ຊʽ", "\u{ecd}ທʽ", "\u{ecd}ທʽ", "\u{ecd}ພʽ"].iter().map(|&s| s.into()).collect(), south: ["ລʽ", "ລʽ", "ຮ", "ນʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["໐", "໑", "໒", "໓", "໔", "໕", "໖", "໗", "໘", "໙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ຫ\u{eba}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ໂອງ\u{eba}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "ຯ", "ຯຯ"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ອ", "ອາ", "ອ\u{eb4}", "ອ\u{eb5}", "ອ\u{eb8}", "ອ\u{eb9}", "ຣ\u{eb8}ʽ", "ຣ\u{eb9}ʽ", "ລ\u{eb8}ʽ", "ລ\u{eb9}ʽ", "ເອ", "ໄອ", "ໂອ", "ເອ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ແອະ", "ເອາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ແອ"].iter().map(|&s| s.into()).collect(), south: ["ເອະ", "ໂອະ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["າ", "\u{eb4}", "\u{eb5}", "\u{eb8}", "\u{eb9}", "\u{eba}ຣ\u{eb8}ʽ", "\u{eba}ຣ\u{eb9}ʽ", "\u{eba}ລ\u{eb8}ʽ", "\u{eba}ລ\u{eb9}ʽ", "ເ", "ໄ", "ໂ", "ເ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ແະ", "ເາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ແ"].iter().map(|&s| s.into()).collect(), south: ["ເະ", "ໂະ"].iter().map(|&s| s.into()).collect(), virama: ["\u{eba}"].iter().map(|&s| s.into()).collect() } },




    "sorasompeng" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑃖ʽ", "𑃖ʽ", "𑃞ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["𑃨ʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑃟", "𑃟𑃠", "𑃕", "𑃕𑃠", "𑃗", "𑃓", "𑃓𑃠", "𑃠", "𑃠𑃠", "𑃡", "𑃑𑃨", "𑃑𑃨𑃠", "𑃔", "𑃔𑃠", "𑃙𑃨", "𑃑", "𑃑𑃠", "𑃔𑃨", "𑃔𑃨𑃠ʽ", "𑃙", "𑃛", "𑃛𑃠", "𑃒", "𑃒𑃠", "𑃖", "𑃜", "𑃝", "𑃘", "𑃚", "𑃐𑃠ʽ", "𑃐𑃨", "𑃐", "𑃞"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑃟ʽ", "𑃟𑃠ʽ", "𑃕ʽ", "𑃠ʽ", "𑃝𑃔", "𑃝𑃔𑃠", "𑃛𑃠ʽ", "𑃜ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑃗𑃕ʽ", "𑃡𑃓ʽ", "𑃙𑃨𑃔ʽ", "𑃙𑃔ʽ", "𑃖𑃛ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑃘𑃨", "𑃘𑃨ʽ", "𑃘ʽ", "𑃙ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑃰", "𑃱", "𑃲", "𑃳", "𑃴", "𑃵", "𑃶", "𑃷", "𑃸", "𑃹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑃞ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑃦𑃖ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ə", "𑃢", "𑃤", "𑃤ʽ", "𑃥", "𑃥ʽ", "𑃝𑃤ʽ", "𑃝𑃤ʽ", "𑃘𑃤ʽ", "𑃘𑃤ʽ", "𑃣", "𑃧", "𑃦", "𑃦𑃥"].iter().map(|&s| s.into()).collect(), modern: ["𑃣ʽ", "𑃢ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑃣ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑃣ʽ", "𑃦ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑃢", "𑃤", "𑃤ʽ", "𑃥", "𑃥ʽ", "𑃝𑃤ʽ", "𑃝𑃤ʽ", "𑃘𑃤ʽ", "𑃘𑃤ʽ", "𑃣", "𑃧", "𑃦", "𑃦𑃥"].iter().map(|&s| s.into()).collect(), modern: ["𑃣ʽ", "𑃢ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑃣ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑃣ʽ", "𑃦ʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "mahajani" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑅧ʽ", "𑅧ʽ", "𑅱ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{11173}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑅕", "𑅖", "𑅗", "𑅘", "𑅧ʽ", "𑅙", "𑅚", "𑅛", "𑅜", "𑅝", "𑅞", "𑅟", "𑅠", "𑅡", "𑅢", "𑅣", "𑅤", "𑅥", "𑅦", "𑅧", "𑅨", "𑅩", "𑅪", "𑅫", "𑅬", "𑅛ʽ", "𑅭", "𑅮", "𑅯", "𑅰\u{11173}", "𑅖\u{11173}ʽ", "𑅰", "𑅱"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑅕\u{11173}", "𑅖\u{11173}", "𑅗\u{11173}", "𑅛\u{11173}", "𑅲", "𑅡\u{11173}", "𑅩\u{11173}", "𑅛ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑅧𑅗ʽ", "𑅧𑅛ʽ", "𑅧𑅠ʽ", "𑅧𑅥ʽ", "𑅧𑅪ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑅮\u{11173}", "𑅮\u{11173}ʽ", "𑅭\u{11173}", "𑅧\u{11173}"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑅱ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑅔𑅬"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑅐", "𑅐ʽ", "𑅑", "𑅑ʽ", "𑅒", "𑅒ʽ", "𑅭𑅒ʽ", "𑅭𑅒ʽ", "𑅮𑅒ʽ", "𑅮𑅒ʽ", "𑅓", "𑅑ʽ", "𑅔", "𑅒ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑅓ʽ", "𑅐ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑅓ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑅓ʽ", "𑅔ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑅐ʽ", "𑅑ʽ", "ʿ𑅑", "𑅒ʽ", "𑅒ʽ", "𑅭𑅒ʽ", "𑅭𑅒ʽ", "𑅮𑅒ʽ", "𑅮𑅒ʽ", "𑅓ʽ", "𑅑ʽ", "𑅔ʽ", "𑅒ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑅓ʽ", "𑅐ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑅓ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑅓ʽ", "𑅔ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "limbu" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1932}ʽ", "\u{1932}", "ᤜ\u{193b}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᤁ", "ᤂ", "ᤃ", "ᤄ", "ᤅ", "ᤆ", "ᤇ", "ᤈ", "ᤉ", "ᤊ", "ᤋʽ", "ᤌʽ", "ᤍʽ", "ᤎʽ", "ᤏʽ", "ᤋ", "ᤌ", "ᤍ", "ᤎ", "ᤏ", "ᤐ", "ᤑ", "ᤒ", "ᤓ", "ᤔ", "ᤕ", "ᤖ", "ᤗ", "ᤘ", "ᤙ", "ᤚ", "ᤛ", "ᤜ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᤁʽ", "ᤂʽ", "ᤃʽ", "ᤈʽ", "ᤍʽ", "ᤎʽ", "ᤑʽ", "ᤕʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1932}ᤃʽ", "\u{1932}ᤈʽ", "\u{1932}ᤍʽ", "\u{1932}ᤍʽ", "\u{1932}ᤒʽ"].iter().map(|&s| s.into()).collect(), south: ["ᤗʽ", "ᤗʽ", "ᤖʽ", "ᤏʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᥆", "᥇", "᥈", "᥉", "᥊", "᥋", "᥌", "᥍", "᥎", "᥏"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᤜ\u{193b}ʽʼ"].iter().map(|&s| s.into()).collect(), om: ["ᤀᤥ\u{1932}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᤀ", "ᤀ\u{1920}", "ᤀ\u{1921}", "ᤀ\u{1921}\u{193a}", "ᤀ\u{1922}", "ᤀ\u{1922}\u{193a}", "ᤖ\u{1922}ʽ", "ᤖ\u{1922}\u{193a}ʽ", "ᤗ\u{1922}ʽ", "ᤗ\u{1922}\u{193a}ʽ", "ᤀᤣ", "ᤀᤤ", "ᤀᤥ", "ᤀᤦ"].iter().map(|&s| s.into()).collect(), modern: ["ᤀ\u{1927}ʽ", "ᤀ\u{1928}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᤀᤣʽ"].iter().map(|&s| s.into()).collect(), south: ["ᤀ\u{1927}", "ᤀ\u{1928}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{1920}", "\u{1921}", "\u{1921}\u{193a}", "\u{1922}", "\u{1922}\u{193a}", "\u{193b}ᤖ\u{1922}ʽ", "\u{193b}ᤖ\u{1922}\u{193a}ʽ", "\u{193b}ᤗ\u{1922}ʽ", "\u{193b}ᤗ\u{1922}\u{193a}ʽ", "ᤣ", "ᤤ", "ᤥ", "ᤦ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1927}ʽ", "\u{1928}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᤣʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1927}", "\u{1928}"].iter().map(|&s| s.into()).collect(), virama: ["\u{193b}"].iter().map(|&s| s.into()).collect() } },




    "tolongsiki" => Script { combiningsigns: CombiningSign { ayogavaha: ["Mʽ", "M", "hʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "K", "g", "G", "W", "c", "C", "j", "J", "Y", "t", "T", "d", "D", "N", "q", "Q", "v", "V", "n", "p", "P", "b", "B", "m", "y", "r", "l", "w", "sʽ", "sʽ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kʽ", "x", "gʽ", "jʽ", "z", "Z", "Pʽ", "yʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["Mg", "Mj", "Md", "Mv", "Mb"].iter().map(|&s| s.into()).collect(), south: ["lʽ", "lʽ", "rʽ", "nʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "¡", "¢", "£", "¤", "¥", "¦", "§", "¨", "©"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["hʽ"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "iʽ", "u", "uʽ", "ruʽ", "ruʽ", "luʽ", "luʽ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["eʽ", "Aʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["Aʽ"].iter().map(|&s| s.into()).collect(), south: ["eʽ", "aʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "iʽ", "u", "uʽ", "ruʽ", "ruʽ", "luʽ", "luʽ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["eʽ", "Aʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["Aʽ"].iter().map(|&s| s.into()).collect(), south: ["eʽ", "aʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "romansemitic" => Script { combiningsigns: CombiningSign { ayogavaha: ["ₘ", "ₘ", "h\u{33d}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kʰ", "g", "gʰ", "nʽ", "č", "čʰ", "j", "jʰ", "ɲ", "ʈ", "ʈʰ", "ɖ", "ɖʰ", "ɳ", "t", "tʰ", "d", "dʰ", "n", "p", "pʰ", "b", "bʰ", "m", "y", "r", "l", "v", "š", "ʂ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "ḫ", "ġ", "z", "ɽ", "ɽʰ", "f", "yʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{33d}gʽ", "n\u{33d}jʽ", "n\u{33d}dʽ", "n\u{33d}dʽ", "m\u{33d}bʽ"].iter().map(|&s| s.into()).collect(), south: ["ɭ", "ɭʽ", "rʽ", "nʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["h\u{33d}ʽ"].iter().map(|&s| s.into()).collect(), om: ["ō\u{302}m\u{33d}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["â", "ā\u{302}", "î", "ī\u{302}", "û", "ū\u{302}", "ruʽ", "rūʽ", "luʽ", "lūʽ", "ē\u{302}", "âŷ", "ō\u{302}", "âŵ"].iter().map(|&s| s.into()).collect(), modern: ["e\u{304}\u{302}ʽ", "a\u{304}\u{302}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["êʽ"].iter().map(|&s| s.into()).collect(), south: ["ê", "ô"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "\u{33d}ruʽ", "\u{33d}rūʽ", "\u{33d}ruʽ", "\u{33d}rūʽ", "ē", "aŷ", "ō", "aŵ"].iter().map(|&s| s.into()).collect(), modern: ["eʽ", "āʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ēʽ"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["\u{33d}"].iter().map(|&s| s.into()).collect() } },




    "takri" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{116ab}ʽ", "\u{116ab}", "𑚬"].iter().map(|&s| s.into()).collect(), nukta: ["\u{116b7}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑚊", "𑚸", "𑚌", "𑚍", "𑚎", "𑚏", "𑚐", "𑚑", "𑚒", "𑚓", "𑚔", "𑚕", "𑚖", "𑚗", "𑚘", "𑚙", "𑚚", "𑚛", "𑚜", "𑚝", "𑚞", "𑚟", "𑚠", "𑚡", "𑚢", "𑚣", "𑚤", "𑚥", "𑚦", "𑚧", "𑚋", "𑚨", "𑚩"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑚊\u{116b7}", "𑚋\u{116b7}", "𑚌\u{116b7}", "𑚑\u{116b7}", "𑚪", "𑚗\u{116b7}", "𑚟\u{116b7}", "𑚣\u{116b7}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{116ab}𑚌ʽ", "\u{116ab}𑚑ʽ", "\u{116ab}𑚖ʽ", "\u{116ab}𑚛ʽ", "\u{116ab}𑚠ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑚥\u{116b7}", "𑚥\u{116b7}ʽ", "𑚤\u{116b7}", "𑚝\u{116b7}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑛀", "𑛁", "𑛂", "𑛃", "𑛄", "𑛅", "𑛆", "𑛇", "𑛈", "𑛉"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑚬ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑚈\u{116ab}"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑚀", "𑚁", "𑚂", "𑚃", "𑚄", "𑚅", "𑚤𑚮ʽ", "𑚤𑚯ʽ", "𑚥𑚮ʽ", "𑚥𑚯ʽ", "𑚆", "𑚇", "𑚈", "𑚉"].iter().map(|&s| s.into()).collect(), modern: ["𑚆ʽ", "𑚁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑚆ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑚆", "𑚈"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{116ad}", "𑚮", "𑚯", "\u{116b0}", "\u{116b1}", "𑚶𑚤𑚮ʽ", "𑚶𑚤𑚯ʽ", "𑚶𑚥𑚮ʽ", "𑚶𑚥𑚯ʽ", "\u{116b2}", "\u{116b3}", "\u{116b4}", "\u{116b5}"].iter().map(|&s| s.into()).collect(), modern: ["\u{116b3}ʽ", "\u{116ad}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{116b3}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{116b3}ʽ", "\u{116b4}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["𑚶"].iter().map(|&s| s.into()).collect() } },




    "barahanorth" => Script { combiningsigns: CombiningSign { ayogavaha: ["~M", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["x"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "~g", "c", "C", "j", "jh", "~j", "T", "Th", "D", "Dh", "N", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "S", "Sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kx", "Kx", "gx", "z", "Dx", "Dhx", "f", "yx"].iter().map(|&s| s.into()).collect(), sinhala: ["~ng", "~nj", "~nD", "~nd", "~mb"].iter().map(|&s| s.into()).collect(), south: ["L", "Lx", "rx", "nx"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["~H"].iter().map(|&s| s.into()).collect(), om: ["oum"].iter().map(|&s| s.into()).collect(), symbols: ["&", "|", "||"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ee", "u", "oo", "Ru", "RU", "~lu", "~lU", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["~e", "~o"].iter().map(|&s| s.into()).collect(), sinhala: ["~~e"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ee", "u", "oo", "Ru", "RU", "~lu", "~lU", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["~e", "~o"].iter().map(|&s| s.into()).collect(), sinhala: ["~~e"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "sharada" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11180}", "\u{11181}", "𑆂"].iter().map(|&s| s.into()).collect(), nukta: ["\u{111ca}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑆑", "𑆒", "𑆓", "𑆔", "𑆕", "𑆖", "𑆗", "𑆘", "𑆙", "𑆚", "𑆛", "𑆜", "𑆝", "𑆞", "𑆟", "𑆠", "𑆡", "𑆢", "𑆣", "𑆤", "𑆥", "𑆦", "𑆧", "𑆨", "𑆩", "𑆪", "𑆫", "𑆬", "𑆮", "𑆯", "𑆰", "𑆱", "𑆲"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑆑\u{111ca}", "𑆒\u{111ca}", "𑆓\u{111ca}", "𑆘\u{111ca}", "𑆝\u{111ca}", "𑆞\u{111ca}", "𑆦\u{111ca}", "𑆪\u{111ca}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11180}ʽ𑆓", "\u{11180}ʽ𑆘", "\u{11180}ʽ𑆝", "\u{11180}ʽ𑆢", "\u{11180}ʽ𑆧"].iter().map(|&s| s.into()).collect(), south: ["𑆭", "𑆭\u{111ca}", "𑆫\u{111ca}", "𑆤\u{111ca}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑇐", "𑇑", "𑇒", "𑇓", "𑇔", "𑇕", "𑇖", "𑇗", "𑇘", "𑇙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑆂ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑆏\u{11180}"].iter().map(|&s| s.into()).collect(), symbols: ["𑇁", "𑇅", "𑇆"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑆃", "𑆄", "𑆅", "𑆆", "𑆇", "𑆈", "𑆉", "𑆊", "𑆋", "𑆌", "𑆍", "𑆎", "𑆏", "𑆐"].iter().map(|&s| s.into()).collect(), modern: ["𑆃\u{111be}\u{111cb}", "𑆃\u{111be}\u{111cb}𑆳"].iter().map(|&s| s.into()).collect(), sinhala: ["𑆃\u{111be}\u{111cb}ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑆍\u{111cc}", "𑆏\u{111cc}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑆳", "𑆴", "𑆵", "\u{111b6}", "\u{111b7}", "\u{111b8}", "\u{111b9}", "\u{111ba}", "\u{111bb}", "\u{111bc}", "\u{111bd}", "\u{111be}", "𑆿"].iter().map(|&s| s.into()).collect(), modern: ["\u{111be}\u{111cb}", "\u{111be}\u{111cb}𑆳"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{111be}\u{111cb}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{111bc}\u{111cc}", "\u{111be}\u{111cc}"].iter().map(|&s| s.into()).collect(), virama: ["𑇀"].iter().map(|&s| s.into()).collect() } },




    "tamilgrantha" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{981}", "ং", "ঃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{9bc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["க", "খ", "গ", "ঘ", "ங", "ச", "ছ", "ஜ", "ঝ", "ஞ", "ட", "ঠ", "ড", "ঢ", "ண", "த", "থ", "দ", "ধ", "ந", "ப", "ফ", "ব", "ভ", "ம", "ய", "ர", "ல", "வ", "ஶ", "ஷ", "ஸ", "ஹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["க\u{9bc}", "খ\u{9bc}", "গ\u{9bc}", "ஜ\u{9bc}", "ড\u{9bc}", "ঢ\u{9bc}", "ফ\u{9bc}", "ய\u{9bc}"].iter().map(|&s| s.into()).collect(), sinhala: ["ங\u{bcd}ˆগ", "ஞ\u{bcd}ˆஜ", "ண\u{bcd}ˆড", "ந\u{bcd}ˆদ", "ம\u{bcd}ˆব"].iter().map(|&s| s.into()).collect(), south: ["ள", "ழ", "ற", "ன"].iter().map(|&s| s.into()).collect() }, numerals: ["০", "১", "২", "৩", "৪", "৫", "৬", "৭", "৮", "৯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ঃʼ"].iter().map(|&s| s.into()).collect(), om: ["ௐ"].iter().map(|&s| s.into()).collect(), symbols: ["ঽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["அ", "ஆ", "இ", "ஈ", "உ", "ஊ", "ঋ", "ৠ", "ঌ", "ৡ", "ஏ", "ஐ", "ஓ", "ஔ"].iter().map(|&s| s.into()).collect(), modern: ["எʼ", "ஆʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ஏˇ"].iter().map(|&s| s.into()).collect(), south: ["எ", "ஒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{bbe}", "ி", "\u{bc0}", "ு", "ூ", "\u{9c3}", "\u{9c4}", "\u{9e2}", "\u{9e3}", "ே", "ை", "ோ", "ௌ"].iter().map(|&s| s.into()).collect(), modern: ["ெʼ", "\u{bbe}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ேˇ"].iter().map(|&s| s.into()).collect(), south: ["ெ", "ொ"].iter().map(|&s| s.into()).collect(), virama: ["\u{bcd}"].iter().map(|&s| s.into()).collect() } },




    "wancho" => Script { combiningsigns: CombiningSign { ayogavaha: ["ʿ", "ʾ", "𞋫"].iter().map(|&s| s.into()).collect(), nukta: ["Ø"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𞋔", "𞋙", "𞋅", "𞋅ʽ", "𞋝", "𞋃", "𞋃ʽ", "𞋐", "𞋐ʽ", "𞋩", "𞋋ʽ", "𞋌ʽ", "𞋄ʽ", "𞋄ʽ", "𞋉ʽ", "𞋋", "𞋌", "𞋄", "𞋄ʽ", "𞋉", "𞋊", "𞋇", "𞋂", "𞋂ʽ", "𞋘", "𞋆", "𞋗", "𞋈", "𞋓", "𞋏", "𞋏ʽ", "𞋎", "𞋚"].iter().map(|&s| s.into()).collect(), persoarabic: ["𞋔ʽ", "𞋙ʽ", "𞋅ʽ", "𞋑", "𞋄ʽ", "𞋄ʽ", "𞋍", "𞋆ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𞋝𞋅ʽ", "𞋩𞋐ʽ", "𞋉𞋄ʽ", "𞋉𞋄ʽ", "𞋘𞋂ʽ"].iter().map(|&s| s.into()).collect(), south: ["𞋟", "𞋟ʽ", "𞋗ʽ", "𞋉ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𞋰", "𞋱", "𞋲", "𞋳", "𞋴", "𞋵", "𞋶", "𞋷", "𞋸", "𞋹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𞋔ʽ"].iter().map(|&s| s.into()).collect(), om: ["𞋦ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𞋁", "𞋀", "𞋜", "𞋜ʽ", "𞋞", "𞋞ʽ", "𞋗𞋞ʽ", "𞋗𞋞ʽ", "𞋈𞋞ʽ", "𞋈𞋞ʽ", "𞋛", "𞋀𞋜", "𞋕", "𞋖"].iter().map(|&s| s.into()).collect(), modern: ["𞋛ʽ", "𞋀ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𞋛ʽ"].iter().map(|&s| s.into()).collect(), south: ["𞋛ʽ", "𞋕ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𞋀", "𞋜", "𞋜ʽ", "𞋞", "𞋞ʽ", "𞋗𞋞ʽ", "𞋗𞋞ʽ", "𞋈𞋞ʽ", "𞋈𞋞ʽ", "𞋛", "𞋀𞋜", "𞋕", "𞋖"].iter().map(|&s| s.into()).collect(), modern: ["𞋛ʽ", "𞋀ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𞋛ʽ"].iter().map(|&s| s.into()).collect(), south: ["𞋛ʽ", "𞋕ʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "khamtishan" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1036}ʽ", "\u{1036}", "း"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["က", "ၵ", "ꩠ", "ၷ", "င", "ꩡ", "ꩢ", "ꩣ", "ꩤ", "ꩥ", "ꩦ", "ꩧ", "ꩨ", "ꩩ", "ꧣ", "တ", "ထ", "ၻ", "ꩪ", "ꩫ", "ပ", "ၸ", "ၿ", "ၹ", "မ", "ယ", "ရ", "လ", "ဝ", "ꩬʽ", "ꩬʽ", "ꩬ", "ꩭ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ကʽ", "ꩱ", "ꩠʽ", "ꩲ", "ꩨʽ", "ꩩʽ", "ꩯ", "ယʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1036}ၷʽ", "\u{1036}ꩡʽ", "\u{1036}ꩨʽ", "\u{1036}ၻʽ", "\u{1036}ၿʽ"].iter().map(|&s| s.into()).collect(), south: ["ꩮ", "ꩮʽ", "ရʽ", "ၼʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["႐", "႑", "႒", "႓", "႔", "႕", "႖", "႗", "႘", "႙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["းʽ"].iter().map(|&s| s.into()).collect(), om: ["ဢေႃ\u{1036}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "၊", "။"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ဢ", "ဢႃ", "ဢ\u{102d}", "ဢ\u{102e}", "ဢ\u{102f}", "ဢ\u{1030}", "ရ\u{102d}ʽ", "ရ\u{102e}ʽ", "လ\u{102d}ʽ", "လ\u{102e}ʽ", "ဢေ", "ဢ\u{1086}", "ဢေႃ", "ဢဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ဢႄ", "ဢႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ဢႄʽ"].iter().map(|&s| s.into()).collect(), south: ["ဢေʽ", "ဢ\u{1030}ဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ႃ", "\u{102d}", "\u{102e}", "\u{102f}", "\u{1030}", "\u{103a}ရ\u{102d}ʽ", "\u{103a}ရ\u{102e}ʽ", "\u{103a}လ\u{102d}ʽ", "\u{103a}လ\u{102e}ʽ", "ေ", "\u{1086}", "ေႃ", "ဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["ႄ", "ႃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ႄʽ"].iter().map(|&s| s.into()).collect(), south: ["ေʽ", "\u{1030}ဝ\u{103a}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{103a}"].iter().map(|&s| s.into()).collect() } },




    "slp1" => Script { combiningsigns: CombiningSign { ayogavaha: ["~", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "K", "g", "G", "N", "c", "C", "j", "J", "Y", "w", "W", "q", "Q", "R", "t", "T", "d", "D", "n", "p", "P", "b", "B", "m", "y", "r", "l", "v", "S", "z", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["k0", "K0", "g0", "j0", "q0", "Q0", "P0", "Y0"].iter().map(|&s| s.into()).collect(), sinhala: ["n*g", "n*j", "n*q", "n*d", "m*b"].iter().map(|&s| s.into()).collect(), south: ["L", "L0", "r2", "n2"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["K"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "f", "F", "x", "X", "e", "E", "o", "O"].iter().map(|&s| s.into()).collect(), modern: ["e2", "o2"].iter().map(|&s| s.into()).collect(), sinhala: ["e4"].iter().map(|&s| s.into()).collect(), south: ["e1", "o1"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "f", "F", "x", "X", "e", "E", "o", "O"].iter().map(|&s| s.into()).collect(), modern: ["e2", "o2"].iter().map(|&s| s.into()).collect(), sinhala: ["e4"].iter().map(|&s| s.into()).collect(), south: ["e1", "o1"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "iso" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṁ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ṅ", "c", "ch", "j", "jh", "ñ", "ṭ", "ṭh", "ḍ", "ḍh", "ṇ", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}h", "ġ", "z", "ṛ", "ṛh", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["ḷ", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["ōṁ"].iter().map(|&s| s.into()).collect(), symbols: ["’", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "ē", "ai", "ō", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "ē", "ai", "ō", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "inter" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{e400}", "\u{e401}", "\u{e402}"].iter().map(|&s| s.into()).collect(), nukta: ["\u{e800}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["\u{e500}", "\u{e501}", "\u{e502}", "\u{e503}", "\u{e504}", "\u{e505}", "\u{e506}", "\u{e507}", "\u{e508}", "\u{e509}", "\u{e50a}", "\u{e50b}", "\u{e50c}", "\u{e50d}", "\u{e50e}", "\u{e50f}", "\u{e510}", "\u{e511}", "\u{e512}", "\u{e513}", "\u{e514}", "\u{e515}", "\u{e516}", "\u{e517}", "\u{e518}", "\u{e519}", "\u{e51a}", "\u{e51b}", "\u{e51c}", "\u{e51d}", "\u{e51e}", "\u{e51f}", "\u{e520}"].iter().map(|&s| s.into()).collect(), persoarabic: ["\u{e700}", "\u{e701}", "\u{e702}", "\u{e703}", "\u{e704}", "\u{e705}", "\u{e706}", "\u{e707}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{eb00}", "\u{eb01}", "\u{eb02}", "\u{eb03}", "\u{eb04}"].iter().map(|&s| s.into()).collect(), south: ["\u{e600}", "\u{e601}", "\u{e602}", "\u{e603}"].iter().map(|&s| s.into()).collect() }, numerals: ["\u{ed00}", "\u{ed01}", "\u{ed02}", "\u{ed03}", "\u{ed04}", "\u{ed05}", "\u{ed06}", "\u{ed07}", "\u{ed08}", "\u{ed09}"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{ec00}"].iter().map(|&s| s.into()).collect(), om: ["\u{e900}"].iter().map(|&s| s.into()).collect(), symbols: ["\u{ea00}", "\u{ea01}", "\u{ea02}"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["\u{e000}", "\u{e001}", "\u{e002}", "\u{e003}", "\u{e004}", "\u{e005}", "\u{e006}", "\u{e007}", "\u{e008}", "\u{e009}", "\u{e00a}", "\u{e00b}", "\u{e00c}", "\u{e00d}"].iter().map(|&s| s.into()).collect(), modern: ["\u{e200}", "\u{e201}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{e300}"].iter().map(|&s| s.into()).collect(), south: ["\u{e100}", "\u{e101}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{e001}", "\u{e002}", "\u{e003}", "\u{e004}", "\u{e005}", "\u{e006}", "\u{e007}", "\u{e008}", "\u{e009}", "\u{e00a}", "\u{e00b}", "\u{e00c}", "\u{e00d}"].iter().map(|&s| s.into()).collect(), modern: ["\u{e200}", "\u{e201}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{e300}"].iter().map(|&s| s.into()).collect(), south: ["\u{e100}", "\u{e101}"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "titus" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṃ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kʰ", "g", "gʰ", "ṅ", "c", "cʰ", "j", "jʰ", "ñ", "ṭ", "ṭʰ", "ḍ", "ḍʰ", "ṇ", "t", "tʰ", "d", "dʰ", "n", "p", "pʰ", "b", "bʰ", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}ʰ", "ġ", "z", "ṛ", "ṛʰ", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["ḷ", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["oṃ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "r\u{325}", "r\u{325}\u{304}", "l\u{325}", "l\u{325}\u{304}", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "batakkaro" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1bf0}ʽ", "\u{1bf0}", "\u{1bf1}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᯂ", "ᯂʽ", "ᯎ", "ᯎʽ", "ᯝ", "ᯡ", "ᯡʽ", "ᯐ", "ᯐʽ", "ᯉʽ", "ᯗʽ", "ᯗʽ", "ᯑʽ", "ᯑʽ", "ᯉʽ", "ᯗ", "ᯗʽ", "ᯑ", "ᯑʽ", "ᯉ", "ᯇ", "ᯇʽ", "ᯆ", "ᯆʽ", "ᯔ", "ᯛ", "ᯒ", "ᯞ", "ᯋ", "ᯘʽ", "ᯘʽ", "ᯘ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᯂʽ", "ᯂʽ", "ᯎʽ", "ᯐʽ", "ᯑʽ", "ᯑʽ", "ᯇʽ", "ᯛʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1bf0}ᯎʽ", "\u{1bf0}ᯐʽ", "ᯢʽ", "ᯢ", "ᯣ"].iter().map(|&s| s.into()).collect(), south: ["ᯞʽ", "ᯞʽ", "ᯒʽ", "ᯉʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{1bf1}ʼ"].iter().map(|&s| s.into()).collect(), om: ["ᯥᯔ᯳ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", "."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᯀ", "ᯀʽ", "ᯤ", "ᯤʽ", "ᯥ", "ᯥʽ", "ᯒᯬʽ", "ᯒᯬʽ", "ᯞᯬʽ", "ᯞᯬʽ", "ᯤʽ", "ᯀᯤʽ", "ᯥʽ", "ᯀᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯤʽ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᯤʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯤʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽ", "ᯫ", "ᯫʽ", "ᯬ", "ᯬʽ", "ᯒᯬʽ", "ᯒᯬʽ", "ᯞᯬʽ", "ᯞᯬʽ", "\u{1be9}ʽ", "ᯤʽ", "\u{1bed}ʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯧ", "ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1be9}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1be9}", "\u{1bed}"].iter().map(|&s| s.into()).collect(), virama: ["᯳"].iter().map(|&s| s.into()).collect() } },




    "batakmanda" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1bf0}ʽ", "\u{1bf0}", "ᯄ᯲ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᯄ\u{1be6}", "ᯄ\u{1be6}ʽ", "ᯎ", "ᯎʽ", "ᯝ", "ᯚ\u{1be6}", "ᯚ\u{1be6}ʽ", "ᯐ", "ᯐʽ", "ᯠ", "ᯖʽ", "ᯖʽ", "ᯑʽ", "ᯑʽ", "ᯊʽ", "ᯖ", "ᯖʽ", "ᯑ", "ᯑʽ", "ᯊ", "ᯇ", "ᯇʽ", "ᯅ", "ᯅʽ", "ᯔ", "ᯛ", "ᯒ", "ᯞ", "ᯍ", "ᯚʽ", "ᯚʽ", "ᯚ", "ᯄ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᯄ\u{1be6}ʽ", "ᯄ\u{1be6}ʽ", "ᯎʽ", "ᯐʽ", "ᯑʽ", "ᯑʽ", "ᯇʽ", "ᯛʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1bf0}ᯎʽ", "\u{1bf0}ᯐʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯅʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯞʽ", "ᯞʽ", "ᯒʽ", "ᯊʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᯄ᯲ʽʼ"].iter().map(|&s| s.into()).collect(), om: ["ᯥᯔ᯲ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", "."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᯀ", "ᯀʽ", "ᯤ", "ᯤʽ", "ᯥ", "ᯥʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "ᯤʽ", "ᯀᯤʽ", "ᯥʽ", "ᯀᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯤʽ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᯤʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯤʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "ᯪ", "ᯪʽ", "ᯮ", "ᯮʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "\u{1be9}ʽ", "ᯤʽ", "ᯬʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1be9}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1be9}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1be9}", "ᯬ"].iter().map(|&s| s.into()).collect(), virama: ["᯲"].iter().map(|&s| s.into()).collect() } },




    "ahom" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1172a}ʽ", "\u{1172a}", "𑜑\u{1172b}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑜀", "𑜁", "𑜕", "𑜗", "𑜂", "𑜋ʽ", "𑜋", "𑜊", "𑜙", "𑜐", "𑜄ʽ", "𑜌ʽ", "𑜓ʽ", "𑜔ʽ", "𑜃ʽ", "𑜄", "𑜌", "𑜓", "𑜔", "𑜃", "𑜆", "𑜇", "𑜈", "𑜘", "𑜉", "𑜊ʽ", "𑜍", "𑜎", "𑜈ʽ", "𑜏ʽ", "𑜏ʽ", "𑜏", "𑜑"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑜀ʽ", "𑜁ʽ", "𑜕ʽ", "𑜊ʽ", "𑜓ʽ", "𑜔ʽ", "𑜇ʽ", "𑜊ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1172a}𑜕ʽ", "\u{1172a}𑜊ʽ", "\u{1172a}𑜓ʽ", "\u{1172a}𑜓ʽ", "\u{1172a}𑜈ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑜎ʽ", "𑜎ʽ", "𑜍ʽ", "𑜃ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑜰", "𑜱", "𑜲", "𑜳", "𑜴", "𑜵", "𑜶", "𑜷", "𑜸", "𑜹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑜑\u{1172b}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑜒\u{1172a}\u{11728}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "𑜼", "𑜽"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑜒", "𑜒𑜡", "𑜒\u{11722}", "𑜒\u{11723}", "𑜒\u{11724}", "𑜒\u{11725}", "𑜍\u{11724}ʽ", "𑜍\u{11725}ʽ", "𑜎\u{11724}ʽ", "𑜎\u{11725}ʽ", "𑜒𑜦\u{11727}", "𑜒\u{11729}", "𑜒𑜦𑜡", "𑜒\u{11727}\u{11728}"].iter().map(|&s| s.into()).collect(), modern: ["𑜒𑜠", "𑜒𑜡ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑜒𑜦ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑜒𑜦\u{11727}ʽ", "𑜒𑜦𑜡ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑜡", "\u{11722}", "\u{11723}", "\u{11724}", "\u{11725}", "\u{1171e}\u{11724}ʽ", "\u{1171e}\u{11725}ʽ", "\u{1171d}\u{11724}ʽ", "\u{1171d}\u{11725}ʽ", "𑜦\u{11727}", "\u{11729}", "𑜦𑜡", "\u{11727}\u{11728}"].iter().map(|&s| s.into()).collect(), modern: ["𑜠", "𑜡ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑜦ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑜦\u{11727}ʽ", "𑜦𑜡ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1172b}"].iter().map(|&s| s.into()).collect() } },




    "tamilbrahmi" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑀫\u{11046}ʽ", "𑀫\u{11046}ʽ", "𑀂ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑀓", "𑀓ʽ", "𑀓ʽ", "𑀓ʽ", "𑀗", "𑀘", "𑀘ʽ", "𑀚", "𑀚ʽ", "𑀜", "𑀝", "𑀝ʽ", "𑀝ʽ", "𑀝ʽ", "𑀡", "𑀢", "𑀢ʽ", "𑀢ʽ", "𑀥", "𑀦", "𑀧", "𑀧ʽ", "𑀧ʽ", "𑀧ʽ", "𑀫", "𑀬", "𑀭", "𑀮", "𑀯", "𑀰", "𑀱", "𑀲", "𑀳"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑀓ʽ", "𑀓ʽ", "𑀓ʽ", "𑀚ʽ", "𑀝ʽ", "𑀝ʽ", "𑀧ʽ", "𑀬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑀗\u{11046}𑀓ʽ", "𑀜\u{11046}𑀚ʽ", "𑀡\u{11046}𑀝ʽ", "𑀦\u{11046}𑀢ʽ", "𑀫\u{11046}𑀧ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑀴", "𑀵", "𑀶", "𑀷"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑀂"].iter().map(|&s| s.into()).collect(), om: ["𑀑𑀫\u{11046}"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑀅", "𑀆", "𑀇", "𑀈", "𑀉", "𑀊", "𑀭\u{1103c}ʽ", "𑀭\u{1103d}ʽ", "𑀮\u{1103c}ʽ", "𑀮\u{1103d}ʽ", "𑀏", "𑀐", "𑀑", "𑀒"].iter().map(|&s| s.into()).collect(), modern: ["𑀏\u{11046}ʽ", "𑀆ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑀏ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑀏\u{11046}", "𑀑\u{11046}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{11038}", "\u{1103a}", "\u{1103b}", "\u{1103c}", "\u{1103d}", "\u{11046}𑀭\u{1103c}ʽ", "\u{11046}𑀭\u{1103d}ʽ", "\u{11046}𑀮\u{1103c}ʽ", "\u{11046}𑀮\u{1103d}ʽ", "\u{11042}", "\u{11043}", "\u{11044}", "\u{11045}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11042}\u{11046}ʽ", "\u{11038}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11042}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11042}\u{11046}", "\u{11044}\u{11046}"].iter().map(|&s| s.into()).collect(), virama: ["\u{11046}"].iter().map(|&s| s.into()).collect() } },




    "kaithi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11080}", "\u{11081}", "𑂂"].iter().map(|&s| s.into()).collect(), nukta: ["\u{110ba}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑂍", "𑂎", "𑂏", "𑂐", "𑂑", "𑂒", "𑂓", "𑂔", "𑂕", "𑂖", "𑂗", "𑂘", "𑂙", "𑂛", "𑂝", "𑂞", "𑂟", "𑂠", "𑂡", "𑂢", "𑂣", "𑂤", "𑂥", "𑂦", "𑂧", "𑂨", "𑂩", "𑂪", "𑂫", "𑂬", "𑂭", "𑂮", "𑂯"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑂍\u{110ba}", "𑂎\u{110ba}", "𑂏\u{110ba}", "𑂔\u{110ba}", "𑂚", "𑂜", "𑂤\u{110ba}", "𑂨\u{110ba}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11080}𑂏ʽ", "\u{11080}𑂔ʽ", "\u{11080}𑂙ʽ", "\u{11080}𑂠ʽ", "\u{11080}𑂥ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑂪\u{110ba}", "𑂭\u{110ba}", "𑂩\u{110ba}", "𑂢\u{110ba}"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑂂ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑂋\u{11081}"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "𑃀", "𑃁"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑂃", "𑂄", "𑂅", "𑂆", "𑂇", "𑂈", "𑂩𑂱ʽ", "𑂩𑂲ʽ", "𑂪𑂱ʽ", "𑂪𑂲ʽ", "𑂉", "𑂊", "𑂋", "𑂌"].iter().map(|&s| s.into()).collect(), modern: ["𑂉ʽ", "𑂄ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑂉ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑂉ʽ", "𑂋ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑂰", "𑂱", "𑂲", "\u{110b3}", "\u{110b4}", "\u{110b9}𑂩𑂱ʽ", "\u{110b9}𑂩𑂲ʽ", "\u{110b9}𑂪𑂱ʽ", "\u{110b9}𑂪𑂲ʽ", "\u{110b5}", "\u{110b6}", "𑂷", "𑂸"].iter().map(|&s| s.into()).collect(), modern: ["\u{110b5}ʽ", "𑂰ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{110b5}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{110b5}ʽ", "𑂷ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{110b9}"].iter().map(|&s| s.into()).collect() } },




    "aksharaa" => Script { combiningsigns: CombiningSign { ayogavaha: ["m;", "m'", "h'"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ng'", "ch", "chh", "j", "jh", "nj'", "t'", "t'h", "d'", "d'h", "n'", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "sh", "shh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "qh", "g;", "z", "d;", "d;h", "f", "y;"].iter().map(|&s| s.into()).collect(), sinhala: ["ng;", "nj;", "nd';", "nd;", "mb;"].iter().map(|&s| s.into()).collect(), south: ["l'", "zh", "r'", "n;"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["_k"].iter().map(|&s| s.into()).collect(), om: ["oom'"].iter().map(|&s| s.into()).collect(), symbols: ["a;", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ii", "u", "uu", "ru'", "ruu'", "lu'", "luu'", "ee", "ai", "oo", "au"].iter().map(|&s| s.into()).collect(), modern: ["e'", "o'"].iter().map(|&s| s.into()).collect(), sinhala: ["ee'"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ii", "u", "uu", "ru'", "ruu'", "lu'", "luu'", "ee", "ai", "oo", "au"].iter().map(|&s| s.into()).collect(), modern: ["e'", "o'"].iter().map(|&s| s.into()).collect(), sinhala: ["ee'"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "russiancyrillic" => Script { combiningsigns: CombiningSign { ayogavaha: ["м\u{310}", "м\u{323}", "х\u{323}"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["к", "кх", "г", "гх", "н\u{307}", "ч", "чх", "дж", "джх", "н\u{303}", "т\u{323}", "т\u{323}х", "д\u{323}", "д\u{323}х", "н\u{323}", "т", "тх", "д", "дх", "н", "п", "пх", "б", "бх", "м", "й", "р", "л", "в", "ш\u{301}", "ш", "с", "х"].iter().map(|&s| s.into()).collect(), persoarabic: ["ԛ", "к\u{35f}х", "г\u{307}", "з", "р\u{324}", "р\u{324}х", "ф", "й\u{323}"].iter().map(|&s| s.into()).collect(), sinhala: ["н\u{306}г", "н\u{306}дж", "н\u{306}д\u{323}", "н\u{306}д", "м\u{306}б"].iter().map(|&s| s.into()).collect(), south: ["л\u{324}", "л\u{331}", "р\u{331}", "н\u{331}"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["к\u{331}"].iter().map(|&s| s.into()).collect(), om: ["ом\u{323}"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["а", "а\u{304}", "и", "ӣ", "у", "ӯ", "р\u{323}", "р\u{323}\u{304}", "л\u{323}", "л\u{323}\u{304}", "э", "аи", "о", "ау"].iter().map(|&s| s.into()).collect(), modern: ["ӕ", "о\u{302}"].iter().map(|&s| s.into()).collect(), sinhala: ["ӕ\u{304}"].iter().map(|&s| s.into()).collect(), south: ["э\u{306}", "о\u{306}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["а\u{304}", "и", "ӣ", "у", "ӯ", "р\u{323}", "р\u{323}\u{304}", "л\u{323}", "л\u{323}\u{304}", "э", "аи", "о", "ау"].iter().map(|&s| s.into()).collect(), modern: ["ӕ", "о\u{302}"].iter().map(|&s| s.into()).collect(), sinhala: ["ӕ\u{304}"].iter().map(|&s| s.into()).collect(), south: ["э\u{306}", "о\u{306}"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "tagbanwa" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᝫʽ", "ᝫʽ", "ᝣʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᝣ", "ᝣʽ", "ᝤ", "ᝤʽ", "ᝥ", "ᝰʽ", "ᝰʽ", "ᝧʽ", "ᝧʽ", "ᝨʽ", "ᝦʽ", "ᝦʽ", "ᝧʽ", "ᝧʽ", "ᝨʽ", "ᝦ", "ᝦʽ", "ᝧ", "ᝧʽ", "ᝨ", "ᝩ", "ᝩʽ", "ᝪ", "ᝪʽ", "ᝫ", "ᝬ", "ᝮʽ", "ᝮ", "ᝯ", "ᝰʽ", "ᝰʽ", "ᝰ", "ᝣʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᝣʽ", "ᝣʽ", "ᝤʽ", "ᝧʽ", "ᝧʽ", "ᝧʽ", "ᝩʽ", "ᝬʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᝥᝤʽ", "ᝨᝧʽ", "ᝨᝧʽ", "ᝨᝧʽ", "ᝫᝪʽ"].iter().map(|&s| s.into()).collect(), south: ["ᝮʽ", "ᝮʽ", "ᝮʽ", "ᝨʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᝣʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ᝢᝫʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "᜵", "᜶"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᝠ", "ᝠʽ", "ᝡ", "ᝡʽ", "ᝢ", "ᝢʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝡʽ", "ᝠᝡʽ", "ᝢʽ", "ᝠᝢʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᝡʽ", "ᝠʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᝡʽ"].iter().map(|&s| s.into()).collect(), south: ["ᝡʽ", "ᝢʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1772}", "\u{1772}ʽ", "\u{1773}", "\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "ᝮ\u{1773}ʽ", "\u{1772}ʽ", "ᝡʽ", "\u{1773}ʽ", "ᝢʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1772}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1772}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1772}ʽ", "\u{1773}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʽʽ"].iter().map(|&s| s.into()).collect() } },




    "tirhuta" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{114bf}", "\u{114c0}", "𑓁"].iter().map(|&s| s.into()).collect(), nukta: ["\u{114c3}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑒏", "𑒐", "𑒑", "𑒒", "𑒓", "𑒔", "𑒕", "𑒖", "𑒗", "𑒘", "𑒙", "𑒚", "𑒛", "𑒜", "𑒝", "𑒞", "𑒟", "𑒠", "𑒡", "𑒢", "𑒣", "𑒤", "𑒥", "𑒦", "𑒧", "𑒨", "𑒩", "𑒪", "𑒫", "𑒬", "𑒭", "𑒮", "𑒯"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑒏\u{114c3}", "𑒐\u{114c3}", "𑒑\u{114c3}", "𑒖\u{114c3}", "𑒛\u{114c3}", "𑒜\u{114c3}", "𑒤\u{114c3}", "𑒨\u{114c3}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{114bf}𑒑ʽ", "\u{114bf}𑒖ʽ", "\u{114bf}𑒛ʽ", "\u{114bf}𑒠ʽ", "\u{114bf}𑒥ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑒝\u{114c3}", "𑒭\u{114c3}", "𑒩ʽ", "𑒪\u{114c3}"].iter().map(|&s| s.into()).collect() }, numerals: ["𑓐", "𑓑", "𑓒", "𑓓", "𑓔", "𑓕", "𑓖", "𑓗", "𑓘", "𑓙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑓁ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑓇"].iter().map(|&s| s.into()).collect(), symbols: ["𑓄", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑒁", "𑒂", "𑒃", "𑒄", "𑒅", "𑒆", "𑒇", "𑒈", "𑒉", "𑒊", "𑒋", "𑒌", "𑒍", "𑒎"].iter().map(|&s| s.into()).collect(), modern: ["𑒋ʽ", "𑒂ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑒋ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑒁\u{114ba}", "𑒁\u{114bd}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{114b0}", "𑒱", "𑒲", "\u{114b3}", "\u{114b4}", "\u{114b5}", "\u{114b6}", "\u{114b7}", "\u{114b8}", "𑒹", "𑒻", "𑒼", "𑒾"].iter().map(|&s| s.into()).collect(), modern: ["𑒹ʽ", "\u{114b0}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑒹ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{114ba}", "\u{114bd}"].iter().map(|&s| s.into()).collect(), virama: ["\u{114c2}"].iter().map(|&s| s.into()).collect() } },




    "bhaiksuki" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11c3c}", "\u{11c3d}", "𑰾"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑰎", "𑰏", "𑰐", "𑰑", "𑰒", "𑰓", "𑰔", "𑰕", "𑰖", "𑰗", "𑰘", "𑰙", "𑰚", "𑰛", "𑰜", "𑰝", "𑰞", "𑰟", "𑰠", "𑰡", "𑰢", "𑰣", "𑰤", "𑰥", "𑰦", "𑰧", "𑰨", "𑰩", "𑰪", "𑰫", "𑰬", "𑰭", "𑰮"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑰎ʽ", "𑰏ʽ", "𑰐ʽ", "𑰕ʽ", "𑰚ʽ", "𑰛ʽ", "𑰣ʽ", "𑰧ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11c3c}ʽ𑰐", "\u{11c3c}ʽ𑰕", "\u{11c3c}ʽ𑰚", "\u{11c3c}ʽ𑰟", "\u{11c3c}ʽ𑰤"].iter().map(|&s| s.into()).collect(), south: ["𑰩ʽ", "𑰩ʽ", "𑰨ʽ", "𑰡ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑱐", "𑱑", "𑱒", "𑱓", "𑱔", "𑱕", "𑱖", "𑱗", "𑱘", "𑱙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑰾ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑰌\u{11c3c}"].iter().map(|&s| s.into()).collect(), symbols: ["𑱀", "𑱁", "𑱂"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑰀", "𑰁", "𑰂", "𑰃", "𑰄", "𑰅", "𑰆", "𑰇", "𑰈", "𑰈ʽ", "𑰊", "𑰋", "𑰌", "𑰍"].iter().map(|&s| s.into()).collect(), modern: ["𑰊ʽ", "𑰁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑰊ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑰊ʽ", "𑰌ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑰯", "\u{11c30}", "\u{11c31}", "\u{11c32}", "\u{11c33}", "\u{11c34}", "\u{11c35}", "\u{11c36}", "\u{11c36}ʽ", "\u{11c38}", "\u{11c39}", "\u{11c3a}", "\u{11c3b}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11c38}ʽ", "𑰯ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11c38}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11c38}ʽ", "\u{11c3a}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11c3f}"].iter().map(|&s| s.into()).collect() } },




    "vatteluttu" => Script { combiningsigns: CombiningSign { ayogavaha: ["ம\u{bcd}ʽ", "ம\u{bcd}ʽ", "꞉"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["க", "கʽ", "கʽ", "கʽ", "ங", "ச", "சʽ", "சʽ", "சʽ", "ஞ", "ட", "டʽ", "டʽ", "டʽ", "ண", "த", "தʽ", "தʽ", "தʽ", "ந", "ப", "பʽ", "பʽ", "பʽ", "ம", "ய", "ர", "ல", "வ", "சʽ", "சʽ", "சʽ", "கʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ʽக", "ʽக", "ʽக", "ʽச", "ʽட", "ʽட", "ʽப", "ʽய"].iter().map(|&s| s.into()).collect(), sinhala: ["ங\u{bcd}ʽக", "ஞ\u{bcd}ʽச", "ண\u{bcd}ʽட", "ந\u{bcd}ʽத", "ம\u{bcd}ʽப"].iter().map(|&s| s.into()).collect(), south: ["ள", "ழ", "ற", "ன"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ஃ"].iter().map(|&s| s.into()).collect(), om: ["ஓம\u{bcd}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["அ", "ஆ", "இ", "ஈ", "உ", "ஊ", "ருʽ", "ரூʽ", "லுʽ", "லூʽ", "ஏ", "ஐ", "ஓ", "ஔ"].iter().map(|&s| s.into()).collect(), modern: ["எʽ", "ஆʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ஏʽ"].iter().map(|&s| s.into()).collect(), south: ["எ", "ஒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{bbe}", "ி", "\u{bc0}", "ு", "ூ", "\u{bcd}ருʽ", "\u{bcd}ரூʽ", "\u{bcd}லுʽ", "\u{bcd}லூʽ", "ே", "ை", "ோ", "ௌ"].iter().map(|&s| s.into()).collect(), modern: ["ெʽ", "\u{bbe}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ேʽ"].iter().map(|&s| s.into()).collect(), south: ["ெ", "ொ"].iter().map(|&s| s.into()).collect(), virama: ["\u{bcd}"].iter().map(|&s| s.into()).collect() } },




    "pallava" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a981}ʽ", "\u{a981}", "ꦃ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꦏ", "ꦑ", "ꦒ", "ꦓ", "ꦔ", "ꦕ", "ꦖ", "ꦗ", "ꦙ", "ꦚ", "ꦛ", "ꦜ", "ꦝ", "ꦞ", "ꦟ", "ꦠ", "ꦡ", "ꦢ", "ꦣ", "ꦤ", "ꦥ", "ꦦ", "ꦧ", "ꦨ", "ꦩ", "ꦪ", "ꦫ", "ꦭ", "ꦮ", "ꦯ", "ꦰ", "ꦱ", "ꦲ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꦏʽ", "ꦑʽ", "ꦒʽ", "ꦗʽ", "ꦝʽ", "ꦞʽ", "ꦦʽ", "ꦪʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a981}ꦒʽ", "\u{a981}ꦗʽ", "\u{a981}ꦝʽ", "\u{a981}ꦢʽ", "\u{a981}ꦧʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦭʽ", "ꦰʽ", "ꦫʽ", "ꦤʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꦃʽ"].iter().map(|&s| s.into()).collect(), om: ["ꦎ\u{a981}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "|", "||"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꦄ", "ꦄꦴ", "ꦆ", "ꦇ", "ꦈ", "ꦈꦴ", "ꦫ\u{a9b6}ʽ", "ꦫ\u{a9b7}ʽ", "ꦭ\u{a9b6}ʽ", "ꦭ\u{a9b7}ʽ", "ꦌ", "ꦍ", "ꦎ", "ꦎꦴ"].iter().map(|&s| s.into()).collect(), modern: ["ꦌʽ", "ꦄꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꦌʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦌʽ", "ꦎʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꦴ", "\u{a9b6}", "\u{a9b7}", "\u{a9b8}", "\u{a9b9}", "꧀ꦫ\u{a9b6}ʽ", "꧀ꦫ\u{a9b7}ʽ", "꧀ꦭ\u{a9b6}ʽ", "꧀ꦭ\u{a9b7}ʽ", "ꦺ", "ꦻ", "ꦺꦴ", "ꦻꦴ"].iter().map(|&s| s.into()).collect(), modern: ["ꦺʽ", "ꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꦺʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦺʽ", "ꦺꦴʽ"].iter().map(|&s| s.into()).collect(), virama: ["꧀"].iter().map(|&s| s.into()).collect() } },




    "velthuis" => Script { combiningsigns: CombiningSign { ayogavaha: ["~m", ".m", ".h"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "\"n", "c", "ch", "j", "jh", "~n", ".t", ".th", ".d", ".dh", ".n", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "\"s", ".s", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "_kh", ".g", "z", "..r", "..rh", "f", ".y"].iter().map(|&s| s.into()).collect(), sinhala: ["n*g", "n*j", "n*.d", "n*d", "m*b"].iter().map(|&s| s.into()).collect(), south: ["..l", "_l", "_r", "_n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["_k"].iter().map(|&s| s.into()).collect(), om: ["o.m"].iter().map(|&s| s.into()).collect(), symbols: [".a", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ii", "u", "uu", ".r", ".R", ".l", ".L", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["aE", "aO"].iter().map(|&s| s.into()).collect(), sinhala: ["AE"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ii", "u", "uu", ".r", ".R", ".l", ".L", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["aE", "aO"].iter().map(|&s| s.into()).collect(), sinhala: ["AE"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "ariyaka" => Script { combiningsigns: CombiningSign { ayogavaha: ["Mʽ", "M", "h"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "K", "g", "G", "~", "c", "C", "j", "J", "Y", "T", "F", "D", "V", "N", "t", "f", "d", "@", "n", "p", "P", "b", "B", "m", "y", "r", "l", "v", "sʽ", "sʽ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kʽ", "Kʽ", "gʽ", "jʽ", "Dʽ", "Vʽ", "Pʽ", "yʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["Mgʽ", "Mjʽ", "MDʽ", "Mdʽ", "Mbʽ"].iter().map(|&s| s.into()).collect(), south: ["L", "Lʽ", "rʽ", "nʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["hʽ"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "ruʽ", "rUʽ", "luʽ", "lUʽ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["eʽ", "A"].iter().map(|&s| s.into()).collect(), sinhala: ["eʽ"].iter().map(|&s| s.into()).collect(), south: ["eʽ", "oʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "ruʽ", "rUʽ", "luʽ", "lUʽ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["eʽ", "A"].iter().map(|&s| s.into()).collect(), sinhala: ["eʽ"].iter().map(|&s| s.into()).collect(), south: ["eʽ", "oʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "taitham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1a74}ʽ", "\u{1a74}", "ᩡ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᨠ", "ᨡ", "ᨣ", "ᨥ", "ᨦ", "ᨧ", "ᨨ", "ᨩ", "ᨫ", "ᨬ", "ᨭ", "ᨮ", "ᨯ", "ᨰ", "ᨱ", "ᨲ", "ᨳ", "ᨴ", "ᨵ", "ᨶ", "ᨸ", "ᨹ", "ᨻ", "ᨽ", "ᨾ", "ᨿ", "ᩁ", "ᩃ", "ᩅ", "ᩆ", "ᩇ", "ᩈ", "ᩉ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᨠʽ", "ᨡʽ", "ᨣʽ", "ᨩʽ", "ᨯʽ", "ᨰʽ", "ᨹʽ", "ᨿʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1a74}ᨣʽ", "\u{1a74}ᨩʽ", "\u{1a74}ᨯʽ", "\u{1a74}ᨴʽ", "\u{1a74}ᨽʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩊ", "ᩊʽ", "ᩁʽ", "ᨶʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᪐", "᪑", "᪒", "᪓", "᪔", "᪕", "᪖", "᪗", "᪘", "᪙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᩡʽ"].iter().map(|&s| s.into()).collect(), om: ["ᩒ\u{1a74}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᪨", "᪩"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᩋ", "ᩋᩣ", "ᩍ", "ᩎ", "ᩏ", "ᩐ", "ᩂ", "ᩂᩣ", "ᩄ", "ᩄᩣ", "ᩑ", "ᩋᩱ", "ᩒ", "ᩏ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩑʽ", "ᩋᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩑʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩑʽ", "ᩒʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᩣ", "\u{1a65}", "\u{1a66}", "\u{1a69}", "\u{1a6a}", "\u{1a7a}ᩂ", "\u{1a7a}ᩂᩣ", "\u{1a7a}ᩄ", "\u{1a7a}ᩄᩣ", "ᩮ", "ᩱ", "ᩮᩣ", "ᩮ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩮʽ", "ᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩮʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩮʽ", "ᩮᩣʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1a7a}"].iter().map(|&s| s.into()).collect() } },




    "makasar" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑻥ʽ", "𑻥ʽ", "ʽʽʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑻠", "𑻠ʽ", "𑻡", "𑻡ʽ", "𑻢", "𑻩", "𑻩ʽ", "𑻪", "𑻪ʽ", "𑻫", "𑻦ʽ", "𑻦ʽ", "𑻧ʽ", "𑻧ʽ", "𑻨ʽ", "𑻦", "𑻦ʽ", "𑻧", "𑻧ʽ", "𑻨", "𑻣", "𑻣ʽ", "𑻤", "𑻤ʽ", "𑻥", "𑻬", "𑻭", "𑻮", "𑻯", "𑻰ʽ", "𑻰ʽ", "𑻰", "𑻠ʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑻠ʽ", "𑻠ʽ", "𑻡ʽ", "𑻪ʽ", "𑻧ʽ", "𑻧ʽ", "𑻣ʽ", "𑻬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑻥𑻡ʽ", "𑻥𑻪ʽ", "𑻥𑻧ʽ", "𑻥𑻧ʽ", "𑻥𑻤ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑻮ʽ", "𑻮ʽ", "𑻭ʽ", "𑻨ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ʽʽʽʼ"].iter().map(|&s| s.into()).collect(), om: ["𑻱𑻶𑻥ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "𑻷", "𑻷𑻷"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑻱", "𑻱ʽ", "𑻱\u{11ef3}", "𑻱\u{11ef3}ʽ", "𑻱\u{11ef4}", "𑻱\u{11ef4}ʽ", "𑻭\u{11ef4}ʽ", "𑻭\u{11ef4}ʽ", "𑻮\u{11ef4}ʽ", "𑻮\u{11ef4}ʽ", "𑻱𑻵ʽ", "𑻱𑻱\u{11ef3}ʽ", "𑻱𑻶ʽ", "𑻱𑻱\u{11ef4}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑻱𑻵ʽ", "𑻱ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑻱ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑻱𑻵", "𑻱𑻶"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{11ef3}", "\u{11ef3}ʽ", "\u{11ef4}", "\u{11ef4}ʽ", "𑻭\u{11ef4}ʽ", "𑻭\u{11ef4}ʽ", "𑻮\u{11ef4}ʽ", "𑻮\u{11ef4}ʽ", "𑻵ʽ", "𑻱\u{11ef3}ʽ", "𑻶ʽ", "𑻱\u{11ef4}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑻵ʽ", "ʽʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑻵ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑻵", "𑻶"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "sylotinagri" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a80b}ʽ", "\u{a80b}", "ꠢ\u{a806}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꠇ", "ꠈ", "ꠉ", "ꠊ", "ꠘʽ", "ꠌ", "ꠍ", "ꠎ", "ꠏ", "ꠘʽ", "ꠐ", "ꠑ", "ꠒ", "ꠓ", "ꠘʽ", "ꠔ", "ꠕ", "ꠖ", "ꠗ", "ꠘ", "ꠙ", "ꠚ", "ꠛ", "ꠜ", "ꠝ", "ꠎʽ", "ꠞ", "ꠟ", "ꠛʽ", "ꠡʽ", "ꠡʽ", "ꠡ", "ꠢ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꠇʽ", "ꠈʽ", "ꠉʽ", "ꠎʽ", "ꠠ", "ꠓʽ", "ꠚʽ", "ꠎʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a80b}ꠉʽ", "\u{a80b}ꠎʽ", "\u{a80b}ꠒʽ", "\u{a80b}ꠖʽ", "\u{a80b}ꠛʽ"].iter().map(|&s| s.into()).collect(), south: ["ꠟʽ", "ꠟʽ", "ꠞʽ", "ꠘʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["০", "১", "২", "৩", "৪", "৫", "৬", "৭", "৮", "৯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꠢ\u{a806}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ꠅ\u{a80b}"].iter().map(|&s| s.into()).collect(), symbols: ["ঽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꠅ", "ꠀ", "ꠁ", "ꠁʽ", "ꠃ", "ꠃʽ", "ꠞꠤʽ", "ꠞꠤʽ", "ꠟꠤʽ", "ꠟꠤʽ", "ꠄ", "ꠅ\u{a802}", "ꠅʽ", "ꠅꠃ"].iter().map(|&s| s.into()).collect(), modern: ["ꠄʽ", "ꠀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꠄʽ"].iter().map(|&s| s.into()).collect(), south: ["ꠄʽ", "ꠅʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꠣ", "ꠤ", "ꠤʽ", "\u{a825}", "\u{a825}ʽ", "\u{a806}ꠞꠤʽ", "\u{a806}ꠞꠤʽ", "\u{a806}ꠟꠤʽ", "\u{a806}ꠟꠤʽ", "\u{a826}", "\u{a802}", "ꠧ", "ꠃʽʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{a826}ʽ", "ꠣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a826}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{a826}ʽ", "ꠧʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{a806}"].iter().map(|&s| s.into()).collect() } },




    "iast" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṃ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ṅ", "c", "ch", "j", "jh", "ñ", "ṭ", "ṭh", "ḍ", "ḍh", "ṇ", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}h", "ġ", "z", "r\u{324}", "r\u{324}h", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["l\u{324}", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["oṃ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "ḷ", "ḹ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "ḷ", "ḹ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "khuentham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1a74}ʽ", "\u{1a74}", "ᩡ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᨠ", "ᨡ", "ᨣ", "ᨥ", "ᨦ", "ᨧ", "ᨨ", "ᨩ", "ᨫ", "ᨬ", "ᨭ", "ᨮ", "ᨯ", "ᨰ", "ᨱ", "ᨲ", "ᨳ", "ᨴ", "ᨵ", "ᨶ", "ᨸ", "ᨹ", "ᨻ", "ᨽ", "ᨾ", "ᨿ", "ᩁ", "ᩃ", "ᩅ", "ᩆ", "ᩇ", "ᩈ", "ᩉ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᨠʽ", "ᨡʽ", "ᨣʽ", "ᨩʽ", "ᨯʽ", "ᨰʽ", "ᨹʽ", "ᨿʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1a74}ᨣʽ", "\u{1a74}ᨩʽ", "\u{1a74}ᨯʽ", "\u{1a74}ᨴʽ", "\u{1a74}ᨽʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩊ", "ᩊʽ", "ᩁʽ", "ᨶʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᪐", "᪑", "᪒", "᪓", "᪔", "᪕", "᪖", "᪗", "᪘", "᪙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᩡʽ"].iter().map(|&s| s.into()).collect(), om: ["ᩒ\u{1a74}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᪨", "᪩"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᩋ", "ᩋᩣ", "ᩍ", "ᩎ", "ᩏ", "ᩐ", "ᩂ", "ᩂᩣ", "ᩄ", "ᩄᩣ", "ᩑ", "ᩋᩱ", "ᩒ", "ᩏ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩑʽ", "ᩋᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩑʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩑʽ", "ᩒʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᩣ", "\u{1a65}", "\u{1a66}", "\u{1a69}", "\u{1a6a}", "\u{1a7a}ᩂ", "\u{1a7a}ᩂᩣ", "\u{1a7a}ᩄ", "\u{1a7a}ᩄᩣ", "ᩮ", "ᩱ", "ᩮᩣ", "ᩮ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩮʽ", "ᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩮʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩮʽ", "ᩮᩣʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1a7a}"].iter().map(|&s| s.into()).collect() } },




    "saurashtra" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a8c5}", "ꢀ", "ꢁ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꢒ", "ꢓ", "ꢔ", "ꢕ", "ꢖ", "ꢗ", "ꢘ", "ꢙ", "ꢚ", "ꢛ", "ꢜ", "ꢝ", "ꢞ", "ꢟ", "ꢠ", "ꢡ", "ꢢ", "ꢣ", "ꢤ", "ꢥ", "ꢦ", "ꢧ", "ꢨ", "ꢩ", "ꢪ", "ꢫ", "ꢬ", "ꢭ", "ꢮ", "ꢯ", "ꢰ", "ꢱ", "ꢲ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꢒʽ", "ꢓʽ", "ꢔʽ", "ꢙʽ", "ꢞʽ", "ꢟʽ", "ꢧʽ", "ꢫʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꢀʽꢔ", "ꢀʽꢙ", "ꢀʽꢞ", "ꢀʽꢣ", "ꢀʽꢨ"].iter().map(|&s| s.into()).collect(), south: ["ꢳ", "ꢳʽ", "ꢬʽ", "ꢥʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["꣐", "꣑", "꣒", "꣓", "꣔", "꣕", "꣖", "꣗", "꣘", "꣙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꢁʼ"].iter().map(|&s| s.into()).collect(), om: ["ꢐꢀ"].iter().map(|&s| s.into()).collect(), symbols: ["ఽ", "꣎", "꣏"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꢂ", "ꢃ", "ꢄ", "ꢅ", "ꢆ", "ꢇ", "ꢈ", "ꢉ", "ꢊ", "ꢋ", "ꢍ", "ꢎ", "ꢐ", "ꢑ"].iter().map(|&s| s.into()).collect(), modern: ["ꢌʽ", "ꢃʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꢌʽ"].iter().map(|&s| s.into()).collect(), south: ["ꢌ", "ꢏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꢵ", "ꢶ", "ꢷ", "ꢸ", "ꢹ", "ꢺ", "ꢻ", "ꢼ", "ꢽ", "ꢿ", "ꣀ", "ꣂ", "ꣃ"].iter().map(|&s| s.into()).collect(), modern: ["ꢾʽ", "ꢵʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꢿʽ"].iter().map(|&s| s.into()).collect(), south: ["ꢾ", "ꣁ"].iter().map(|&s| s.into()).collect(), virama: ["\u{a8c4}"].iter().map(|&s| s.into()).collect() } },




    "laopali" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{ecd}ʽ", "\u{ecd}", "ຫ\u{ecc}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ກ", "ຂ", "ຄ", "ຆ", "ງ", "ຈ", "ຉ", "ຊ", "ຌ", "ຎ", "ຏ", "ຐ", "ຑ", "ຒ", "ຓ", "ຕ", "ຖ", "ທ", "ຘ", "ນ", "ປ", "ຜ", "ພ", "ຠ", "ມ", "ຍ", "ຣ", "ລ", "ວ", "ຨ", "ຩ", "ສ", "ຫ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ກʽ", "ຂʽ", "ຄʽ", "ຊʽ", "ຐʽ", "ຑʽ", "ຝ", "ຢ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{ecd}ຄʽ", "\u{ecd}ຊʽ", "\u{ecd}ຐʽ", "\u{ecd}ທʽ", "\u{ecd}ພʽ"].iter().map(|&s| s.into()).collect(), south: ["ຬ", "ຬʽ", "ຮ", "ນʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["໐", "໑", "໒", "໓", "໔", "໕", "໖", "໗", "໘", "໙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ຫ\u{ecc}ʽ"].iter().map(|&s| s.into()).collect(), om: ["ໂອ\u{ecd}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", "ຯ", "ຯຯ"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ອ", "ອາ", "ອ\u{eb4}", "ອ\u{eb5}", "ອ\u{eb8}", "ອ\u{eb9}", "ຣ\u{eb8}ʽ", "ຣ\u{eb9}ʽ", "ລ\u{eb8}ʽ", "ລ\u{eb9}ʽ", "ອເ", "ອໄ", "ອໂ", "ອເ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ອແະ", "ອເາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ອແ"].iter().map(|&s| s.into()).collect(), south: ["ອເະ", "ອໂະ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["າ", "\u{eb4}", "\u{eb5}", "\u{eb8}", "\u{eb9}", "\u{eba}ຣ\u{eb8}ʽ", "\u{eba}ຣ\u{eb9}ʽ", "\u{eba}ລ\u{eb8}ʽ", "\u{eba}ລ\u{eb9}ʽ", "ເ", "ໄ", "ໂ", "ເ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ແະ", "ເາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ແ"].iter().map(|&s| s.into()).collect(), south: ["ເະ", "ໂະ"].iter().map(|&s| s.into()).collect(), virama: ["\u{eba}"].iter().map(|&s| s.into()).collect() } },




    "warangciti" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑣀ʽ", "𑣀", "𑣄"].iter().map(|&s| s.into()).collect(), nukta: ["ʿ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑣌", "𑣌\u{200d}𑣙", "𑣋", "𑣋\u{200d}𑣙", "𑣊", "𑣏", "𑣏\u{200d}𑣙", "𑣎", "𑣎\u{200d}𑣙", "𑣍", "𑣒", "𑣒\u{200d}𑣙", "𑣑", "𑣑\u{200d}𑣙", "𑣐", "𑣕", "𑣕\u{200d}𑣙", "𑣔", "𑣔\u{200d}𑣙", "𑣓", "𑣘", "𑣘\u{200d}𑣙", "𑣗", "𑣗\u{200d}𑣙", "𑣖", "𑣅", "𑣜", "𑣚", "𑣟", "𑣝ʽ", "𑣝", "𑣞", "𑣙"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑣌ʽ", "𑣌\u{200d}𑣙ʽ", "𑣋ʽ", "𑣎ʽ", "𑣛", "𑣛\u{200d}𑣙", "𑣘ʽ", "𑣅ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑣀𑣋ʽ", "𑣀𑣎ʽ", "𑣀𑣑ʽ", "𑣀𑣔ʽ", "𑣀𑣗ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑣚ʽ", "𑣚ʽ", "𑣜ʽ", "𑣓ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑣠", "𑣡", "𑣢", "𑣣", "𑣤", "𑣥", "𑣦", "𑣧", "𑣨", "𑣩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑣄ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑣿ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑣁", "𑣁𑣙ʾ", "𑣂", "𑣆", "𑣃", "𑣇", "𑣜𑣃ʽ", "𑣜𑣇ʽ", "𑣚𑣃ʽ", "𑣚𑣇ʽ", "𑣈", "𑣆ʽ", "𑣉", "𑣇ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑣈ʽ", "𑣁𑣙ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑣈ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑣈ʽ", "𑣉ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑣁𑣙ʾ", "𑣂", "𑣆", "𑣃", "𑣇", "𑣜𑣃ʽ", "𑣜𑣇ʽ", "𑣚𑣃ʽ", "𑣚𑣇ʽ", "𑣈", "𑣆ʽ", "𑣉", "𑣇ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑣈ʽ", "𑣁𑣙ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑣈ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑣈ʽ", "𑣉ʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "khomthai" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{e4d}ʽ", "\u{e4d}", "ห\u{e3a}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ก", "ข", "ค", "ฆ", "ง", "จ", "ฉ", "ช", "ฌ", "ญ", "ฏ", "ฐ", "ฑ", "ฒ", "ณ", "ต", "ถ", "ท", "ธ", "น", "ป", "ผ", "พ", "ภ", "ม", "ย", "ร", "ล", "ว", "สʽ", "สʽ", "ส", "ห"].iter().map(|&s| s.into()).collect(), persoarabic: ["กʽ", "ขʽ", "คʽ", "ชʽ", "รʽ", "ร\u{e3a}หʽ", "ผʽ", "ยʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{e4d}คʽ", "\u{e4d}ชʽ", "\u{e4d}ฑʽ", "\u{e4d}ทʽ", "\u{e4d}พʽ"].iter().map(|&s| s.into()).collect(), south: ["ฬ", "ฬʽ", "รʽ", "นʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["๐", "๑", "๒", "๓", "๔", "๕", "๖", "๗", "๘", "๙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ห\u{e3a}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["อโ\u{e4d}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "ฯ", "๚"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["อ", "อา", "อ\u{e34}", "อ\u{e35}", "อ\u{e38}", "อ\u{e39}", "ร\u{e38}ʽ", "ร\u{e39}ʽ", "ล\u{e38}ʽ", "ล\u{e39}ʽ", "อเ", "อย\u{e3a}ʽ", "อโ", "อว\u{e3a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["อแʽ", "อาʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["อแ"].iter().map(|&s| s.into()).collect(), south: ["อเʽ", "อโʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["า", "\u{e34}", "\u{e35}", "\u{e38}", "\u{e39}", "\u{e3a}ฤ", "\u{e3a}ฤๅ", "\u{e3a}ล\u{e38}ʽ", "\u{e3a}ล\u{e39}ʽ", "เ", "ใ", "โ", "ว\u{e3a}ʽ"].iter().map(|&s| s.into()).collect(), modern: ["แʽ", "าʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["แ"].iter().map(|&s| s.into()).collect(), south: ["เʽ", "โʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{e3a}"].iter().map(|&s| s.into()).collect() } },




    "rejang" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a94f}ʽ", "\u{a94f}", "ꥒ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꤰ", "ꤰʽ", "ꤱ", "ꤱʽ", "ꤲ", "ꤹ", "ꤹʽ", "ꤺ", "ꤺʽ", "ꤻ", "ꤳʽ", "ꤳʽ", "ꤴʽ", "ꤴʽ", "ꤵʽ", "ꤳ", "ꤳʽ", "ꤴ", "ꤴʽ", "ꤵ", "ꤶ", "ꤶʽ", "ꤷ", "ꤷʽ", "ꤸ", "ꤿ", "ꤽ", "ꤾ", "ꥀ", "ꤼʽ", "ꤼʽ", "ꤼ", "ꥁ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꤰʽ", "ꤰʽ", "ꤱʽ", "ꤺʽ", "ꤴʽ", "ꤴʽ", "ꤶʽ", "ꤿʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꥃ", "ꥅ", "ꥄʽ", "ꥄ", "ꥂ"].iter().map(|&s| s.into()).collect(), south: ["ꤾʽ", "ꤾʽ", "ꤽʽ", "ꤵʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꥒʽ"].iter().map(|&s| s.into()).collect(), om: ["ꥆ\u{a94b}\u{a94f}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꥆ", "ꥆʽ", "ꥆ\u{a947}", "ꥆ\u{a947}ʽ", "ꥆ\u{a948}", "ꥆ\u{a948}ʽ", "ꤽ\u{a948}ʽ", "ꤽ\u{a948}ʽ", "ꤾ\u{a948}ʽ", "ꤾ\u{a948}ʽ", "ꥆ\u{a949}ʽ", "ꥆ\u{a94a}", "ꥆ\u{a94b}ʽ", "ꥆ\u{a94c}"].iter().map(|&s| s.into()).collect(), modern: ["ꥆ\u{a94e}", "ꥆ\u{a94d}"].iter().map(|&s| s.into()).collect(), sinhala: ["ꥆ\u{a94e}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ꥆ\u{a949}", "ꥆ\u{a94b}"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{a947}", "\u{a947}ʽ", "\u{a948}", "\u{a948}ʽ", "꥓ꤽ\u{a948}ʽ", "꥓ꤽ\u{a948}ʽ", "꥓ꤾ\u{a948}ʽ", "꥓ꤾ\u{a948}ʽ", "\u{a949}ʽ", "\u{a94a}", "\u{a94b}ʽ", "\u{a94c}"].iter().map(|&s| s.into()).collect(), modern: ["\u{a94e}", "\u{a94d}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a94e}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{a949}", "\u{a94b}"].iter().map(|&s| s.into()).collect(), virama: ["꥓"].iter().map(|&s| s.into()).collect() } },




    "buhid" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᝋʽ", "ᝋʽ", "ᝃʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᝃ", "ᝃʽ", "ᝄ", "ᝄʽ", "ᝅ", "ᝐʽ", "ᝐʽ", "ᝇʽ", "ᝇʽ", "ᝈʽ", "ᝆʽ", "ᝆʽ", "ᝇʽ", "ᝇʽ", "ᝈʽ", "ᝆ", "ᝆʽ", "ᝇ", "ᝇʽ", "ᝈ", "ᝉ", "ᝉʽ", "ᝊ", "ᝊʽ", "ᝋ", "ᝌ", "ᝍ", "ᝎ", "ᝏ", "ᝐʽ", "ᝐʽ", "ᝐ", "ᝃʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᝃʽ", "ᝃʽ", "ᝄʽ", "ᝇʽ", "ᝇʽ", "ᝇʽ", "ᝉʽ", "ᝌʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᝅᝄʽ", "ᝈᝇʽ", "ᝈᝇʽ", "ᝈᝇʽ", "ᝋᝊʽ"].iter().map(|&s| s.into()).collect(), south: ["ᝎʽ", "ᝎʽ", "ᝎʽ", "ᝈʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᝃʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ᝂᝋʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "᜵", "᜶"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᝀ", "ᝀʽ", "ᝁ", "ᝁʽ", "ᝂ", "ᝂʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝁʽ", "ᝀᝁʽ", "ᝂʽ", "ᝀᝂʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᝁʽ", "ᝀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᝁʽ"].iter().map(|&s| s.into()).collect(), south: ["ᝁʽ", "ᝂʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1752}", "\u{1752}ʽ", "\u{1753}", "\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "ᝎ\u{1753}ʽ", "\u{1752}ʽ", "ᝁʽ", "\u{1753}ʽ", "ᝂʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1752}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1752}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1752}ʽ", "\u{1753}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["ʽʽ"].iter().map(|&s| s.into()).collect() } },




    "wx" => Script { combiningsigns: CombiningSign { ayogavaha: ["z", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "K", "g", "G", "f", "c", "C", "j", "J", "F", "t", "T", "d", "D", "N", "w", "W", "x", "X", "n", "p", "P", "b", "B", "m", "y", "r", "l", "v", "S", "R", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kY", "KY", "GY", "zY", "dY", "DY", "PY", "yY"].iter().map(|&s| s.into()).collect(), sinhala: ["nYYg", "nYYj", "nYYd", "nYYx", "mYYb"].iter().map(|&s| s.into()).collect(), south: ["lY", "lYY", "rY", "nY"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["kYY"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: ["Z", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "q", "qV", "L", "LV", "e", "E", "o", "O"].iter().map(|&s| s.into()).collect(), modern: ["aEV", "aOV"].iter().map(|&s| s.into()).collect(), sinhala: ["AEV"].iter().map(|&s| s.into()).collect(), south: ["eV", "oV"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "q", "qV", "L", "LV", "e", "E", "o", "O"].iter().map(|&s| s.into()).collect(), modern: ["aEV", "aOV"].iter().map(|&s| s.into()).collect(), sinhala: ["AEV"].iter().map(|&s| s.into()).collect(), south: ["eV", "oV"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "santali" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᱸ", "ᱝ", "ᱷ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᱠ", "ᱠᱷ", "ᱜ", "ᱜᱷ", "ᱶ", "ᱪ", "ᱪᱷ", "ᱡ", "ᱡᱷ", "ᱧ", "ᱴ", "ᱴᱷ", "ᱰ", "ᱰᱷ", "ᱬ", "ᱛ", "ᱛᱷ", "ᱫ", "ᱫᱷ", "ᱱ", "ᱯ", "ᱯᱷ", "ᱵ", "ᱵᱷ", "ᱢ", "ᱭ", "ᱨ", "ᱞ", "ᱣ", "ᱥʽ", "ᱥʽ", "ᱥ", "ᱦ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᱠʽ", "ᱠᱷʽ", "ᱜʽ", "ᱡʽ", "ᱲ", "ᱲᱷ", "ᱯʽ", "ᱭʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᱸᱜʽ", "ᱸᱡʽ", "ᱸᱰʽ", "ᱸᱫʽ", "ᱸᱵʽ"].iter().map(|&s| s.into()).collect(), south: ["ᱞʽ", "ᱞʽ", "ᱨʽ", "ᱱʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᱐", "᱑", "᱒", "᱓", "᱔", "᱕", "᱖", "᱗", "᱘", "᱙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᱷʽ"].iter().map(|&s| s.into()).collect(), om: ["ᱳᱸ"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᱾", "᱿"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᱚ", "ᱟ", "ᱤ", "ᱤᱻ", "ᱩ", "ᱩᱻ", "ᱨᱩʽ", "ᱨᱩᱻʽ", "ᱞᱩʽ", "ᱞᱩᱻʽ", "ᱮ", "ᱚᱤ", "ᱳ", "ᱚᱩ"].iter().map(|&s| s.into()).collect(), modern: ["ᱚᱹ", "ᱟᱹ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᱚᱹʽ"].iter().map(|&s| s.into()).collect(), south: ["ᱮᱹ", "ᱳʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᱟ", "ᱤ", "ᱤᱻ", "ᱩ", "ᱩᱻ", "ᱨᱩʽ", "ᱨᱩᱻʽ", "ᱞᱩʽ", "ᱞᱩᱻʽ", "ᱮ", "ᱚᱤ", "ᱳ", "ᱚᱩ"].iter().map(|&s| s.into()).collect(), modern: ["ᱚᱹ", "ᱟᱹ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᱚᱹʽ"].iter().map(|&s| s.into()).collect(), south: ["ᱮᱹ", "ᱳʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "tagalog" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᜋ\u{1714}ʽ", "ᜋ\u{1714}ʽ", "ᜑ\u{1714}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᜃ", "ᜃʽ", "ᜄ", "ᜄʽ", "ᜅ", "ᜐʽ", "ᜐʽ", "ᜇʽ", "ᜇʽ", "ᜈʽ", "ᜆʽ", "ᜆʽ", "ᜇʽ", "ᜇʽ", "ᜈʽ", "ᜆ", "ᜆʽ", "ᜇ", "ᜇʽ", "ᜈ", "ᜉ", "ᜉʽ", "ᜊ", "ᜊʽ", "ᜋ", "ᜌ", "ᜍ", "ᜎ", "ᜏ", "ᜐʽ", "ᜐʽ", "ᜐ", "ᜑ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᜃʽ", "ᜃʽ", "ᜄʽ", "ᜇʽ", "ᜇʽ", "ᜇʽ", "ᜉʽ", "ᜌʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᜅ\u{1714}ᜄʽ", "ᜈᜇᜄʽ", "ᜈᜇᜄʽ", "ᜈᜇᜄʽ", "ᜋᜊᜄʽ"].iter().map(|&s| s.into()).collect(), south: ["ᜎʽ", "ᜎʽ", "ᜍʽ", "ᜈʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᜑ\u{1714}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ᜂᜋ\u{1714}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "᜵", "᜶"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᜀ", "ᜀʽ", "ᜁ", "ᜁʽ", "ᜂ", "ᜂʽ", "ᜎ\u{1713}ʽ", "ᜎ\u{1713}ʽ", "ᜎ\u{1713}ʽ", "ᜎ\u{1713}ʽ", "ᜁʽ", "ᜀᜁʽ", "ᜂʽ", "ᜀᜂʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᜁʽ", "ᜀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᜁʽ"].iter().map(|&s| s.into()).collect(), south: ["ᜁʽ", "ᜂʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1712}", "\u{1712}ʽ", "\u{1713}", "\u{1713}ʽ", "\u{1714}ᜎ\u{1713}ʽ", "\u{1714}ᜎ\u{1713}ʽ", "\u{1714}ᜎ\u{1713}ʽ", "\u{1714}ᜎ\u{1713}ʽ", "\u{1712}ʽ", "ᜁʽ", "\u{1713}ʽ", "ᜂʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1712}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1712}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1712}ʽ", "\u{1713}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1714}"].iter().map(|&s| s.into()).collect() } },




    "gurmukhi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a01}", "\u{a02}", "ਃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{a3c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ਕ", "ਖ", "ਗ", "ਘ", "ਙ", "ਚ", "ਛ", "ਜ", "ਝ", "ਞ", "ਟ", "ਠ", "ਡ", "ਢ", "ਣ", "ਤ", "ਥ", "ਦ", "ਧ", "ਨ", "ਪ", "ਫ", "ਬ", "ਭ", "ਮ", "ਯ", "ਰ", "ਲ", "ਵ", "ਸ਼", "ਸ਼\u{a3c}", "ਸ", "ਹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ਕ\u{a3c}", "ਖ਼", "ਗ਼", "ਜ਼", "ੜ", "ਢ\u{a3c}", "ਫ਼", "ਯ\u{a3c}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a01}ˆਗ", "\u{a01}ˆਜ", "\u{a01}ˆਡ", "\u{a01}ˆਦ", "\u{a01}ˆਬ"].iter().map(|&s| s.into()).collect(), south: ["ਲ਼", "ਲ਼\u{a3c}", "ਰ\u{a3c}", "ਨ\u{a3c}"].iter().map(|&s| s.into()).collect() }, numerals: ["੦", "੧", "੨", "੩", "੪", "੫", "੬", "੭", "੮", "੯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ਃʼ"].iter().map(|&s| s.into()).collect(), om: ["ੴ"].iter().map(|&s| s.into()).collect(), symbols: ["(ਅ)", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ਅ", "ਆ", "ਇ", "ਈ", "ਉ", "ਊ", "ਰ\u{a41}ʼ", "ਰ\u{a42}ʼ", "ਲ\u{a41}ʼ", "ਲ\u{a42}ʼ", "ਏ", "ਐ", "ਓ", "ਔ"].iter().map(|&s| s.into()).collect(), modern: ["ਏʼ", "ਆʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ਏˇ"].iter().map(|&s| s.into()).collect(), south: ["ਏ˘", "ਓ˘"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ਾ", "ਿ", "ੀ", "\u{a41}", "\u{a42}", "\u{a4d}ਰ\u{a41}ʼ", "\u{a4d}ਰ\u{a42}ʼ", "\u{a4d}ਲ\u{a41}ʼ", "\u{a4d}ਲ\u{a42}ʼ", "\u{a47}", "\u{a48}", "\u{a4b}", "\u{a4c}"].iter().map(|&s| s.into()).collect(), modern: ["\u{a47}ʼ", "ਾʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a47}ˇ"].iter().map(|&s| s.into()).collect(), south: ["\u{a47}˘", "\u{a4b}˘"].iter().map(|&s| s.into()).collect(), virama: ["\u{a4d}"].iter().map(|&s| s.into()).collect() } },




    "mon" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1036}ʽ", "\u{1036}", "း"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["က", "ခ", "ဂ", "ဃ", "ၚ", "စ", "ဆ", "ဇ", "ၛ", "ည", "ဋ", "ဌ", "ဍ", "ဎ", "ဏ", "တ", "ထ", "ဒ", "ဓ", "န", "ပ", "ဖ", "ဗ", "ဘ", "မ", "ယ", "ရ", "လ", "ဝ", "ၐ", "ၑ", "သ", "ဟ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ကʽ", "ခʽ", "ဂʽ", "ဇʽ", "ဍʽ", "ဎʽ", "ဖʽ", "ယʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1036}ဂʽ", "\u{1036}ဇʽ", "\u{1036}ဍʽ", "\u{1036}ဒʽ", "\u{1036}ဗʽ"].iter().map(|&s| s.into()).collect(), south: ["ဠ", "ဠʽ", "ရʽ", "နʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["၀", "၁", "၂", "၃", "၄", "၅", "၆", "၇", "၈", "၉"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["းʽ"].iter().map(|&s| s.into()).collect(), om: ["ဥ\u{102f}\u{1036}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "၊", "။"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["အ", "အာ", "ဣ", "ဣ\u{1033}", "ဥ", "ဥ\u{1030}", "ၒ", "ၓ", "ၔ", "ၕ", "ဨ", "အ\u{1032}", "ဩ", "ဪ"].iter().map(|&s| s.into()).collect(), modern: ["ဨʽ", "အာʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ဨʽ"].iter().map(|&s| s.into()).collect(), south: ["ဨʽ", "ဩʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ာ", "\u{102d}", "\u{1033}", "\u{102f}", "\u{1030}", "ၖ", "ၗ", "\u{1058}", "\u{1059}", "ေ", "\u{1032}", "ော", "ော\u{103a}"].iter().map(|&s| s.into()).collect(), modern: ["ေʽ", "ာʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ေʽ"].iter().map(|&s| s.into()).collect(), south: ["ေʽ", "ောʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{103a}"].iter().map(|&s| s.into()).collect() } },




    "multani" => Script { combiningsigns: CombiningSign { ayogavaha: ["𑊚ʽ", "𑊚ʽ", "𑊦ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑊄", "𑊅", "𑊆", "𑊈", "𑊚ʽ", "𑊊", "𑊋", "𑊌", "𑊌ʽ", "𑊏", "𑊐", "𑊑", "𑊒", "𑊔", "𑊕", "𑊖", "𑊗", "𑊘", "𑊙", "𑊚", "𑊛", "𑊜", "𑊝", "𑊟", "𑊠", "𑊡", "𑊢", "𑊣", "𑊤", "𑊥ʽ", "𑊥ʽ", "𑊥", "𑊦"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑊄ʽ", "𑊅ʽ", "𑊆ʽ", "𑊌ʽ", "𑊧", "𑊨", "𑊜ʽ", "𑊡ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑊚𑊆ʽ", "𑊚𑊌ʽ", "𑊚𑊒ʽ", "𑊚𑊘ʽ", "𑊠𑊝ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑊣ʽ", "𑊣ʽ", "𑊢ʽ", "𑊚ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["੦", "੧", "੨", "੩", "੪", "੫", "੬", "੭", "੮", "੯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑊦ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["𑊂𑊠ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑊀", "𑊀ʽ", "𑊁", "𑊁ʽ", "𑊂", "𑊂ʽ", "𑊢𑊂ʽ", "𑊢𑊂ʽ", "𑊣𑊂ʽ", "𑊣𑊂ʽ", "𑊃", "𑊃ʽ", "𑊂ʽ", "𑊂ʽ"].iter().map(|&s| s.into()).collect(), modern: ["𑊃ʽ", "𑊀ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑊃ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑊃ʽ", "𑊂ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑊀ʿ", "𑊁ʿ", "𑊁ʿ", "𑊂ʿ", "𑊂ʿ", "𑊢𑊂ʿ", "𑊢𑊂ʿ", "𑊣𑊂ʿ", "𑊣𑊂ʿ", "𑊃ʿ", "𑊃ʿ", "𑊂ʿ", "𑊂ʿ"].iter().map(|&s| s.into()).collect(), modern: ["𑊃ʿ", "𑊀ʿ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑊃ʿ"].iter().map(|&s| s.into()).collect(), south: ["𑊃ʿ", "𑊂ʿ"].iter().map(|&s| s.into()).collect(), virama: ["ʾ"].iter().map(|&s| s.into()).collect() } },




    "kawi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{a980}", "\u{a981}", "ꦃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{a9b3}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꦏ", "ꦑ", "ꦒ", "ꦓ", "ꦔ", "ꦕ", "ꦖ", "ꦗ", "ꦙ", "ꦚ", "ꦛ", "ꦜ", "ꦝ", "ꦞ", "ꦟ", "ꦠ", "ꦡ", "ꦢ", "ꦣ", "ꦤ", "ꦥ", "ꦦ", "ꦧ", "ꦨ", "ꦩ", "ꦪ", "ꦫ", "ꦭ", "ꦮ", "ꦯ", "ꦰ", "ꦱ", "ꦲ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꦏ\u{a9b3}", "ꦑ\u{a9b3}", "ꦒ\u{a9b3}", "ꦗ\u{a9b3}", "ꦝ\u{a9b3}", "ꦞ\u{a9b3}", "ꦦ\u{a9b3}", "ꦪ\u{a9b3}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a980}ꦒʽ", "\u{a980}ꦗʽ", "\u{a980}ꦝʽ", "\u{a980}ꦢʽ", "\u{a980}ꦧʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦭ\u{a9b3}", "ꦰ\u{a9b3}", "ꦫ\u{a9b3}", "ꦤ\u{a9b3}"].iter().map(|&s| s.into()).collect() }, numerals: ["꧐", "꧑", "꧒", "꧓", "꧔", "꧕", "꧖", "꧗", "꧘", "꧙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꦃʽ"].iter().map(|&s| s.into()).collect(), om: ["ꦎ\u{a980}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "꧈", "꧉"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꦄ", "ꦄꦴ", "ꦆ", "ꦇ", "ꦈ", "ꦈꦴ", "ꦉ", "ꦉꦴ", "ꦊ", "ꦋ", "ꦌ", "ꦍ", "ꦎ", "ꦎꦴ"].iter().map(|&s| s.into()).collect(), modern: ["ꦄ\u{a9bc}", "ꦄꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꦄ\u{a9bc}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦌʽ", "ꦎʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ꦴ", "\u{a9b6}", "\u{a9b7}", "\u{a9b8}", "\u{a9b9}", "\u{a9bd}", "꧀ꦉꦴ", "꧀ꦊ", "꧀ꦋ", "ꦺ", "ꦻ", "ꦺꦴ", "ꦻꦴ"].iter().map(|&s| s.into()).collect(), modern: ["\u{a9bc}", "ꦴʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{a9bc}ʽ"].iter().map(|&s| s.into()).collect(), south: ["ꦺʽ", "ꦺꦴʽ"].iter().map(|&s| s.into()).collect(), virama: ["꧀"].iter().map(|&s| s.into()).collect() } },




    "romanreadable" => Script { combiningsigns: CombiningSign { ayogavaha: ["m'", "M", "h'"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ng", "ch", "chh", "j", "jh", "nj", "t'", "t'h", "d'", "d'h", "n", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "sh", "sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "kh", "g", "z", "r", "rh", "f", "y"].iter().map(|&s| s.into()).collect(), sinhala: ["ng", "nj", "nd'", "nd", "mb"].iter().map(|&s| s.into()).collect(), south: ["l'", "zh", "r'", "n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["g"].iter().map(|&s| s.into()).collect(), om: ["om"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ee", "u", "oo", "ri'", "ree'", "li'", "lee'", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e'", "o'"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ee", "u", "oo", "ri'", "ree'", "li'", "lee'", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e'", "o'"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "gunjalagondi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11d95}ʽ", "\u{11d95}", "𑶖"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑵱", "𑵲", "𑵶", "𑵷", "𑶄", "𑵻", "𑵼", "𑶀", "𑶁", "𑵺ʾ", "𑵽", "𑵾", "𑶂", "𑶃", "𑵺ʿ", "𑵳", "𑵴", "𑵸", "𑵹", "𑵺", "𑶅", "𑶆", "𑵮", "𑵯", "𑵰", "𑵬", "𑶈", "𑵵", "𑵭", "𑶉ʽ", "𑶉ʽ", "𑶉", "𑶇"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑵱ʽ", "𑵲ʽ", "𑵶ʽ", "𑶀ʽ", "𑶂ʽ", "𑶃ʽ", "𑶆ʽ", "𑵬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11d95}𑵶ʽ", "\u{11d95}𑶀ʽ", "\u{11d95}𑶂ʽ", "\u{11d95}𑵸ʽ", "\u{11d95}𑵮ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑵿", "𑵿ʽ", "𑶈ʽ", "𑵺ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑶠", "𑶡", "𑶢", "𑶣", "𑶤", "𑶥", "𑶦", "𑶧", "𑶨", "𑶩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑶖ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑶘"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑵠", "𑵡", "𑵢", "𑵣", "𑵤", "𑵥", "𑶈𑶍ʽ", "𑶈𑶎ʽ", "𑵵𑶍ʽ", "𑵵𑶎ʽ", "𑵧", "𑵨", "𑵪", "𑵫"].iter().map(|&s| s.into()).collect(), modern: ["𑵧ʽ", "𑵡ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑵧ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑵧ʽ", "𑵪ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑶊", "𑶋", "𑶌", "𑶍", "𑶎", "\u{11d97}𑶈𑶍ʽ", "\u{11d97}𑶈𑶎ʽ", "\u{11d97}𑵵𑶍ʽ", "\u{11d97}𑵵𑶎ʽ", "\u{11d90}", "\u{11d91}", "𑶓", "𑶔"].iter().map(|&s| s.into()).collect(), modern: ["\u{11d90}ʽ", "𑶊ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11d90}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11d90}ʽ", "𑶓ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11d97}"].iter().map(|&s| s.into()).collect() } },




    "laotham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1a74}ʽ", "\u{1a74}", "ᩡ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᨠ", "ᨡ", "ᨣ", "ᨥ", "ᨦ", "ᨧ", "ᨨ", "ᨩ", "ᨫ", "ᨬ", "ᨭ", "ᨮ", "ᨯ", "ᨰ", "ᨱ", "ᨲ", "ᨳ", "ᨴ", "ᨵ", "ᨶ", "ᨸ", "ᨹ", "ᨻ", "ᨽ", "ᨾ", "ᨿ", "ᩁ", "ᩃ", "ᩅ", "ᩆ", "ᩇ", "ᩈ", "ᩉ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᨠʽ", "ᨡʽ", "ᨣʽ", "ᨩʽ", "ᨯʽ", "ᨰʽ", "ᨹʽ", "ᨿʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1a74}ᨣʽ", "\u{1a74}ᨩʽ", "\u{1a74}ᨯʽ", "\u{1a74}ᨴʽ", "\u{1a74}ᨽʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩊ", "ᩊʽ", "ᩁʽ", "ᨶʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᪐", "᪑", "᪒", "᪓", "᪔", "᪕", "᪖", "᪗", "᪘", "᪙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᩡʽ"].iter().map(|&s| s.into()).collect(), om: ["ᩒ\u{1a74}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᪨", "᪩"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᩋ", "ᩋᩣ", "ᩍ", "ᩎ", "ᩏ", "ᩐ", "ᩂ", "ᩂᩣ", "ᩄ", "ᩄᩣ", "ᩑ", "ᩋᩱ", "ᩒ", "ᩏ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩑʽ", "ᩋᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩑʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩑʽ", "ᩒʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᩣ", "\u{1a65}", "\u{1a66}", "\u{1a69}", "\u{1a6a}", "\u{1a7a}ᩂ", "\u{1a7a}ᩂᩣ", "\u{1a7a}ᩄ", "\u{1a7a}ᩄᩣ", "ᩮ", "ᩱ", "ᩮᩣ", "ᩮ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩮʽ", "ᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩮʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩮʽ", "ᩮᩣʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1a7a}"].iter().map(|&s| s.into()).collect() } },




    "modi" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1163d}ʽ", "\u{1163d}", "𑘾"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑘎", "𑘏", "𑘐", "𑘑", "𑘒", "𑘓", "𑘔", "𑘕", "𑘖", "𑘗", "𑘘", "𑘙", "𑘚", "𑘛", "𑘜", "𑘝", "𑘞", "𑘟", "𑘠", "𑘡", "𑘢", "𑘣", "𑘤", "𑘥", "𑘦", "𑘧", "𑘨", "𑘩", "𑘪", "𑘫", "𑘬", "𑘭", "𑘮"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑘎ʽ", "𑘏ʽ", "𑘐ʽ", "𑘕ʽ", "𑘚ʽ", "𑘛ʽ", "𑘣ʽ", "𑘧ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1163d}𑘐ʽ", "\u{1163d}𑘕ʽ", "\u{1163d}𑘚ʽ", "\u{1163d}𑘟ʽ", "\u{1163d}𑘤ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑘯", "𑘯ʽ", "𑘬ʽ", "𑘡ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["𑙐", "𑙑", "𑙒", "𑙓", "𑙔", "𑙕", "𑙖", "𑙗", "𑙘", "𑙙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑘾ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑘌\u{1163d}"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "𑙁", "𑙂"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑘀", "𑘁", "𑘂", "𑘃", "𑘄", "𑘅", "𑘆", "𑘇", "𑘈", "𑘉", "𑘊", "𑘋", "𑘌", "𑘍"].iter().map(|&s| s.into()).collect(), modern: ["𑘀\u{11640}", "𑘁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑘊ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑘊ʽ", "𑘌ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑘰", "𑘱", "𑘲", "\u{11633}", "\u{11634}", "\u{11635}", "\u{11636}", "\u{11637}", "\u{11638}", "\u{11639}", "\u{1163a}", "𑘻", "𑘼"].iter().map(|&s| s.into()).collect(), modern: ["\u{11640}", "𑘰ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11639}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11639}ʽ", "𑘻ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1163f}"].iter().map(|&s| s.into()).collect() } },




    "urdu" => Script { combiningsigns: CombiningSign { ayogavaha: ["ںʽ", "ں", "ہ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ک\u{64e}", "کھ\u{64e}", "گ\u{64e}", "گھ\u{64e}", "نʽ\u{64e}", "چ\u{64e}", "چھ\u{64e}", "ج\u{64e}", "جھ\u{64e}", "نʽ\u{64e}", "ٹ\u{64e}", "ٹھ\u{64e}", "ڈ\u{64e}", "ڈھ\u{64e}", "نʽ\u{64e}", "ت\u{64e}", "تھ\u{64e}", "د\u{64e}", "دھ\u{64e}", "ن\u{64e}", "پ\u{64e}", "پھ\u{64e}", "ب\u{64e}", "بھ\u{64e}", "م\u{64e}", "ی\u{64e}", "ر\u{64e}", "ل\u{64e}", "و\u{64e}", "ش\u{64e}", "ش\u{64e}ʽ", "س\u{64e}", "ہ\u{64e}"].iter().map(|&s| s.into()).collect(), persoarabic: ["ق\u{64e}", "خ\u{64e}", "غ\u{64e}", "ز\u{64e}", "ڑ\u{64e}", "ڑھ\u{64e}", "ف\u{64e}", "ی\u{64e}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ںگʽ\u{64e}", "ںجʽ\u{64e}", "ںڈʽ\u{64e}", "ںدʽ\u{64e}", "ںبʽ\u{64e}"].iter().map(|&s| s.into()).collect(), south: ["لʽ\u{64e}", "لʽ\u{64e}", "رʽ\u{64e}", "نʽ\u{64e}"].iter().map(|&s| s.into()).collect() }, numerals: ["۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ہʽ"].iter().map(|&s| s.into()).collect(), om: ["اوم\u{652}"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "۔", "۔۔"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ا\u{64e}", "آ", "ا\u{650}", "ا\u{650}ی", "ا\u{64f}", "ا\u{64f}و", "ر\u{650}ʽ", "ر\u{650}یʽ", "ل\u{650}ʽ", "ل\u{650}یʽ", "ای", "ا\u{64e}\u{64e}ی", "او", "ا\u{64e}\u{64e}و"].iter().map(|&s| s.into()).collect(), modern: ["ایʽ", "آʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["اےʽ"].iter().map(|&s| s.into()).collect(), south: ["ایʽ", "اوʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ا", "\u{650}", "\u{650}ی", "\u{64f}", "\u{64f}و", "\u{652}ر\u{650}ʽ", "\u{652}ر\u{650}یʽ", "\u{652}ل\u{650}ʽ", "\u{652}ل\u{650}یʽ", "ی", "\u{64e}\u{64e}ی", "و", "\u{64e}\u{64e}و"].iter().map(|&s| s.into()).collect(), modern: ["یʽ", "اʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["یʽ"].iter().map(|&s| s.into()).collect(), south: ["یʽ", "وʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{652}"].iter().map(|&s| s.into()).collect() } },




    "luetham" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1a74}ʽ", "\u{1a74}", "ᩡ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᨠ", "ᨡ", "ᨣ", "ᨥ", "ᨦ", "ᨧ", "ᨨ", "ᨩ", "ᨫ", "ᨬ", "ᨭ", "ᨮ", "ᨯ", "ᨰ", "ᨱ", "ᨲ", "ᨳ", "ᨴ", "ᨵ", "ᨶ", "ᨸ", "ᨹ", "ᨻ", "ᨽ", "ᨾ", "ᨿ", "ᩁ", "ᩃ", "ᩅ", "ᩆ", "ᩇ", "ᩈ", "ᩉ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᨠʽ", "ᨡʽ", "ᨣʽ", "ᨩʽ", "ᨯʽ", "ᨰʽ", "ᨹʽ", "ᨿʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1a74}ᨣʽ", "\u{1a74}ᨩʽ", "\u{1a74}ᨯʽ", "\u{1a74}ᨴʽ", "\u{1a74}ᨽʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩊ", "ᩊʽ", "ᩁʽ", "ᨶʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᪐", "᪑", "᪒", "᪓", "᪔", "᪕", "᪖", "᪗", "᪘", "᪙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᩡʽ"].iter().map(|&s| s.into()).collect(), om: ["ᩒ\u{1a74}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᪨", "᪩"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᩋ", "ᩋᩣ", "ᩍ", "ᩎ", "ᩏ", "ᩐ", "ᩂ", "ᩂᩣ", "ᩄ", "ᩄᩣ", "ᩑ", "ᩋᩱ", "ᩒ", "ᩏ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩑʽ", "ᩋᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩑʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩑʽ", "ᩒʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᩣ", "\u{1a65}", "\u{1a66}", "\u{1a69}", "\u{1a6a}", "\u{1a7a}ᩂ", "\u{1a7a}ᩂᩣ", "\u{1a7a}ᩄ", "\u{1a7a}ᩄᩣ", "ᩮ", "ᩱ", "ᩮᩣ", "ᩮ\u{1a6b}ᩣ"].iter().map(|&s| s.into()).collect(), modern: ["ᩮʽ", "ᩣʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᩮʽ"].iter().map(|&s| s.into()).collect(), south: ["ᩮʽ", "ᩮᩣʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{1a7a}"].iter().map(|&s| s.into()).collect() } },




    "hanunoo" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᜫ᜴ʽ", "ᜫ᜴ʽ", "ᜣ᜴ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᜣ", "ᜣʽ", "ᜤ", "ᜤʽ", "ᜥ", "ᜰʽ", "ᜰʽ", "ᜧʽ", "ᜧʽ", "ᜨʽ", "ᜦʽ", "ᜦʽ", "ᜧʽ", "ᜧʽ", "ᜨʽ", "ᜦ", "ᜦʽ", "ᜧ", "ᜧʽ", "ᜨ", "ᜩ", "ᜩʽ", "ᜪ", "ᜪʽ", "ᜫ", "ᜬ", "ᜭ", "ᜮ", "ᜯ", "ᜰʽ", "ᜰʽ", "ᜰ", "ᜣʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᜣʽ", "ᜣʽ", "ᜤʽ", "ᜧʽ", "ᜧʽ", "ᜧʽ", "ᜩʽ", "ᜬʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᜥᜤʽ", "ᜨᜧʽ", "ᜨᜧʽ", "ᜨᜧʽ", "ᜫᜪʽ"].iter().map(|&s| s.into()).collect(), south: ["ᜮʽ", "ᜮʽ", "ᜮʽ", "ᜨʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᜣ᜴ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ᜢᜫ᜴ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽ", "᜵", "᜶"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᜠ", "ᜠʽ", "ᜡ", "ᜡʽ", "ᜢ", "ᜢʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜡʽ", "ᜠᜡʽ", "ᜢʽ", "ᜠᜢʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᜡʽ", "ᜠʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᜡʽ"].iter().map(|&s| s.into()).collect(), south: ["ᜡʽ", "ᜢʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1732}", "\u{1732}ʽ", "\u{1733}", "\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "ᜮ\u{1733}ʽ", "\u{1732}ʽ", "ᜡʽ", "\u{1733}ʽ", "ᜢʽ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1732}ʽ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1732}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1732}ʽ", "\u{1733}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["᜴"].iter().map(|&s| s.into()).collect() } },




    "kannada" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{c81}", "ಂ", "ಃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{cbc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ಕ", "ಖ", "ಗ", "ಘ", "ಙ", "ಚ", "ಛ", "ಜ", "ಝ", "ಞ", "ಟ", "ಠ", "ಡ", "ಢ", "ಣ", "ತ", "ಥ", "ದ", "ಧ", "ನ", "ಪ", "ಫ", "ಬ", "ಭ", "ಮ", "ಯ", "ರ", "ಲ", "ವ", "ಶ", "ಷ", "ಸ", "ಹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ಕ\u{cbc}", "ಖ\u{cbc}", "ಗ\u{cbc}", "ಜ\u{cbc}", "ಡ\u{cbc}", "ಢ\u{cbc}", "ಫ\u{cbc}", "ಯ\u{cbc}"].iter().map(|&s| s.into()).collect(), sinhala: ["ಂˆಗ", "ಂˆಜ", "ಂˆಡ", "ಂˆದ", "ಂˆಬ"].iter().map(|&s| s.into()).collect(), south: ["ಳ", "ೞ", "ಱ", "ನ\u{cbc}"].iter().map(|&s| s.into()).collect() }, numerals: ["೦", "೧", "೨", "೩", "೪", "೫", "೬", "೭", "೮", "೯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ಃʼ"].iter().map(|&s| s.into()).collect(), om: ["ಓಂ"].iter().map(|&s| s.into()).collect(), symbols: ["ಽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ಅ", "ಆ", "ಇ", "ಈ", "ಉ", "ಊ", "ಋ", "ೠ", "ಌ", "ೡ", "ಏ", "ಐ", "ಓ", "ಔ"].iter().map(|&s| s.into()).collect(), modern: ["ಎʼ", "ಆʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ಏˇ"].iter().map(|&s| s.into()).collect(), south: ["ಎ", "ಒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ಾ", "\u{cbf}", "ೀ", "ು", "\u{cc2}", "ೃ", "ೄ", "\u{ce2}", "\u{ce3}", "ೇ", "ೈ", "ೋ", "\u{ccc}"].iter().map(|&s| s.into()).collect(), modern: ["\u{cc6}ʼ", "ಾʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ೇˇ"].iter().map(|&s| s.into()).collect(), south: ["\u{cc6}", "ೊ"].iter().map(|&s| s.into()).collect(), virama: ["\u{ccd}"].iter().map(|&s| s.into()).collect() } },




    "meeteimayek" => Script { combiningsigns: CombiningSign { ayogavaha: ["ꯪʽ", "ꯪ", "ꫵ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ꯀ", "ꯈ", "ꯒ", "ꯘ", "ꯉ", "ꯆ", "ꫢ", "ꯖ", "ꯓ", "ꫣ", "ꫤ", "ꫥ", "ꫦ", "ꫧ", "ꫨ", "ꯇ", "ꯊ", "ꯗ", "ꯙ", "ꯅ", "ꯄ", "ꯐ", "ꯕ", "ꯚ", "ꯃ", "ꯌ", "ꯔ", "ꯂ", "ꯋ", "ꫩ", "ꫪ", "ꯁ", "ꯍ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ꯀʽ", "ꯈʽ", "ꯒʽ", "ꯖʽ", "ꯗʽ", "ꯙʽ", "ꯐʽ", "ꯌʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꯪꯒʽ", "ꯪꯖʽ", "ꯪꯗʽ", "ꯪꯗʽ", "ꯪꯕʽ"].iter().map(|&s| s.into()).collect(), south: ["ꯂʽ", "ꯂʽ", "ꯔʽ", "ꯅʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["꯰", "꯱", "꯲", "꯳", "꯴", "꯵", "꯶", "꯷", "꯸", "꯹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ꫵʼ"].iter().map(|&s| s.into()).collect(), om: ["ꯑꯣꯪ"].iter().map(|&s| s.into()).collect(), symbols: ["'", "꯫", "꯫꯫"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ꯑ", "ꯑ\u{abe5}", "ꯏ", "ꯑꫫ", "ꯎ", "ꯑ\u{aaec}", "ꯔ\u{abe8}ʽ", "ꯔ\u{aaec}ʽ", "ꯂ\u{abe8}ʽ", "ꯂ\u{aaec}ʽ", "ꯑꯦ", "ꯑꯩ", "ꯑꯣ", "ꯑꯧ"].iter().map(|&s| s.into()).collect(), modern: ["ꯑꯦʽ", "ꯑ\u{abe5}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꯑꯦʽ"].iter().map(|&s| s.into()).collect(), south: ["ꯑꯦʽ", "ꯑꯣʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{abe5}", "ꯤ", "ꫫ", "\u{abe8}", "\u{aaec}", "\u{abed}ꯔ\u{abe8}ʽ", "\u{abed}ꯔ\u{aaec}ʽ", "\u{abed}ꯂ\u{abe8}ʽ", "\u{abed}ꯂ\u{aaec}ʽ", "ꯦ", "ꯩ", "ꯣ", "ꯧ"].iter().map(|&s| s.into()).collect(), modern: ["ꯦʽ", "\u{abe5}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ꯦʽ"].iter().map(|&s| s.into()).collect(), south: ["ꯦʽ", "ꯣʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{abed}"].iter().map(|&s| s.into()).collect() } },




    "oriya" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{b01}", "ଂ", "ଃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{b3c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["କ", "ଖ", "ଗ", "ଘ", "ଙ", "ଚ", "ଛ", "ଜ", "ଝ", "ଞ", "ଟ", "ଠ", "ଡ", "ଢ", "ଣ", "ତ", "ଥ", "ଦ", "ଧ", "ନ", "ପ", "ଫ", "ବ", "ଭ", "ମ", "ଯ", "ର", "ଲ", "ୱ", "ଶ", "ଷ", "ସ", "ହ"].iter().map(|&s| s.into()).collect(), persoarabic: ["କ\u{b3c}", "ଖ\u{b3c}", "ଗ\u{b3c}", "ଜ\u{b3c}", "ଡ଼", "ଢ଼", "ଫ\u{b3c}", "ୟ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{b01}ˆଗ", "\u{b01}ˆଜ", "\u{b01}ˆଡ", "\u{b01}ˆଦ", "\u{b01}ˆବ"].iter().map(|&s| s.into()).collect(), south: ["ଳ", "ଳ\u{b3c}", "ର\u{b3c}", "ନ\u{b3c}"].iter().map(|&s| s.into()).collect() }, numerals: ["୦", "୧", "୨", "୩", "୪", "୫", "୬", "୭", "୮", "୯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ଃʼ"].iter().map(|&s| s.into()).collect(), om: ["ଓ\u{b01}"].iter().map(|&s| s.into()).collect(), symbols: ["ଽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ଅ", "ଆ", "ଇ", "ଈ", "ଉ", "ଊ", "ଋ", "ୠ", "ଌ", "ୡ", "ଏ", "ଐ", "ଓ", "ଔ"].iter().map(|&s| s.into()).collect(), modern: ["ଏʼ", "ଆʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ଏˇ"].iter().map(|&s| s.into()).collect(), south: ["ଏ˘", "ଓ˘"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{b3e}", "\u{b3f}", "ୀ", "\u{b41}", "\u{b42}", "\u{b43}", "\u{b44}", "\u{b62}", "\u{b63}", "େ", "ୈ", "ୋ", "ୌ"].iter().map(|&s| s.into()).collect(), modern: ["େʼ", "\u{b3e}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["େˇ"].iter().map(|&s| s.into()).collect(), south: ["େ˘", "ୋ˘"].iter().map(|&s| s.into()).collect(), virama: ["\u{b4d}"].iter().map(|&s| s.into()).collect() } },




    "khmer" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{17c6}ʽ", "\u{17c6}", "ះ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ក", "ខ", "គ", "ឃ", "ង", "ច", "ឆ", "ជ", "ឈ", "ញ", "ដ", "ឋ", "ឌ", "ឍ", "ណ", "ត", "ថ", "ទ", "ធ", "ន", "ប", "ផ", "ព", "ភ", "ម", "យ", "រ", "ល", "វ", "ឝ", "ឞ", "ស", "ហ"].iter().map(|&s| s.into()).collect(), persoarabic: ["កʽ", "ខʽ", "គʽ", "ជʽ", "ឌʽ", "ឍʽ", "ផʽ", "យʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{17c6}គʽ", "\u{17c6}ជʽ", "\u{17c6}ឌʽ", "\u{17c6}ទʽ", "\u{17c6}ពʽ"].iter().map(|&s| s.into()).collect(), south: ["ឡ", "ឡʽ", "រʽ", "នʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["០", "១", "២", "៣", "៤", "៥", "៦", "៧", "៨", "៩"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ះʽ"].iter().map(|&s| s.into()).collect(), om: ["ឱ\u{17c6}"].iter().map(|&s| s.into()).collect(), symbols: ["ៜ", "។", "៕"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["អ", "អា", "ឥ", "ឦ", "ឧ", "ឩ", "ឫ", "ឬ", "ឭ", "ឮ", "ឯ", "ឰ", "ឱ", "ឳ"].iter().map(|&s| s.into()).collect(), modern: ["ឯʽ", "អាʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ឯʽ"].iter().map(|&s| s.into()).collect(), south: ["ឯʽ", "ឱʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ា", "\u{17b7}", "\u{17b8}", "\u{17bb}", "\u{17bc}", "\u{17d2}ឫ", "\u{17d2}ឬ", "\u{17d2}ឭ", "\u{17d2}ឮ", "េ", "ៃ", "ោ", "ៅ"].iter().map(|&s| s.into()).collect(), modern: ["េʽ", "ាʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["េʽ"].iter().map(|&s| s.into()).collect(), south: ["េʽ", "ោʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{17d1}"].iter().map(|&s| s.into()).collect() } },




    "wx-kok" => Script { combiningsigns: CombiningSign { ayogavaha: ["~", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["QY"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "K", "g", "G", "f", "c", "C", "j", "J", "F", "t", "T", "d", "D", "N", "w", "W", "x", "X", "n", "p", "P", "b", "B", "m", "y", "r", "l", "v", "z", "S", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kYY", "KYY", "GYY", "zYY", "dYY", "DYY", "PYY", "yYY"].iter().map(|&s| s.into()).collect(), sinhala: ["nYYgY", "nYYjY", "nYYdY", "nYYxY", "mYYbY"].iter().map(|&s| s.into()).collect(), south: ["L", "lYYY", "R", "nYY"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["kYYY"].iter().map(|&s| s.into()).collect(), om: ["oMY"].iter().map(|&s| s.into()).collect(), symbols: ["'Y", ".Y", "..Y"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "q", "qVY", "LY", "LVY", "E", "Y", "O", "Q"].iter().map(|&s| s.into()).collect(), modern: ["Z", "V"].iter().map(|&s| s.into()).collect(), sinhala: ["AEVY"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "q", "qVY", "LY", "LVY", "E", "Y", "O", "Q"].iter().map(|&s| s.into()).collect(), modern: ["Z", "V"].iter().map(|&s| s.into()).collect(), sinhala: ["AEVY"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "avestan" => Script { combiningsigns: CombiningSign { ayogavaha: ["𐬩ʽ", "𐬩", "𐬵"].iter().map(|&s| s.into()).collect(), nukta: ["ʿ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𐬐", "𐬑", "𐬔", "𐬖", "𐬢", "𐬗", "𐬗ʽ", "𐬘", "𐬘ʽ", "𐬦", "𐬙ʽ", "𐬚ʽ", "𐬛ʽ", "𐬛ʽ", "𐬧", "𐬙", "𐬚", "𐬛", "𐬜", "𐬥", "𐬞", "𐬞ʽ", "𐬠", "𐬠ʽ", "𐬨", "𐬫", "𐬭", "𐬮", "𐬬", "𐬱", "𐬴", "𐬯", "𐬵"].iter().map(|&s| s.into()).collect(), persoarabic: ["𐬐ʽ", "𐬓", "𐬕", "𐬰", "𐬛ʽ", "𐬜ʽ", "𐬟", "𐬪"].iter().map(|&s| s.into()).collect(), sinhala: ["𐬢𐬔ʽ", "𐬣𐬘ʽ", "𐬥𐬛ʽ", "𐬥𐬛ʽ", "𐬨𐬠ʽ"].iter().map(|&s| s.into()).collect(), south: ["𐬮ʽ", "𐬮ʽ", "𐬭ʽ", "𐬥ʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𐬑ʽ"].iter().map(|&s| s.into()).collect(), om: ["𐬋𐬨"].iter().map(|&s| s.into()).collect(), symbols: ["ʽ", "𐬼\u{200f}", "𐬽\u{200f}"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𐬀", "𐬁", "𐬌", "𐬍", "𐬎", "𐬏", "𐬆𐬭𐬆", "𐬇𐬭𐬇", "𐬆𐬮𐬆", "𐬇𐬮𐬇", "𐬉", "𐬀𐬌", "𐬋", "𐬀𐬎"].iter().map(|&s| s.into()).collect(), modern: ["𐬆", "𐬂"].iter().map(|&s| s.into()).collect(), sinhala: ["𐬇"].iter().map(|&s| s.into()).collect(), south: ["𐬈", "𐬊"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𐬁", "𐬌", "𐬍", "𐬎", "𐬏", "𐬆𐬭𐬆", "𐬇𐬭𐬇", "𐬆𐬮𐬆", "𐬇𐬮𐬇", "𐬉", "𐬀𐬌", "𐬋", "𐬀𐬎"].iter().map(|&s| s.into()).collect(), modern: ["𐬆", "𐬂"].iter().map(|&s| s.into()).collect(), sinhala: ["𐬇"].iter().map(|&s| s.into()).collect(), south: ["𐬈", "𐬊"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "iastloc" => Script { combiningsigns: CombiningSign { ayogavaha: ["m\u{310}", "ṃ", "ḥ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{308}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "ṅ", "c", "ch", "j", "jh", "ñ", "ṭ", "ṭh", "ḍ", "ḍh", "ṇ", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "ś", "ṣ", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "k\u{35f}h", "ġ", "z", "r\u{324}", "r\u{324}h", "f", "ẏ"].iter().map(|&s| s.into()).collect(), sinhala: ["n\u{306}g", "n\u{306}j", "n\u{306}ḍ", "n\u{306}d", "m\u{306}b"].iter().map(|&s| s.into()).collect(), south: ["l\u{324}", "ḻ", "ṟ", "ṉ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ḵ"].iter().map(|&s| s.into()).collect(), om: ["oṃ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "ḷ", "ḹ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ā", "i", "ī", "u", "ū", "ṛ", "ṝ", "ḷ", "ḹ", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["æ", "ô"].iter().map(|&s| s.into()).collect(), sinhala: ["ǣ"].iter().map(|&s| s.into()).collect(), south: ["ĕ", "ŏ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "lao" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{ecd}ʽ", "\u{ecd}", "ຫ\u{eba}ʽ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{eb0a}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ກ", "ຂ", "ຄ", "ຄʽ", "ງ", "ຈ", "ຈʽ", "ຊ", "ຊʽ", "ຍ", "ຕʽ", "ຖʽ", "ທʽ", "ທʽ", "ນʽ", "ຕ", "ຖ", "ທ", "ທʽ", "ນ", "ປ", "ຜ", "ພ", "ພʽ", "ມ", "ຢ", "ຣ", "ລ", "ວ", "ສʽ", "ສʽ", "ສ", "ຫ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ກʽ", "ຂʽ", "ຄʽ", "ຊʽ", "ທʽ", "ທʽ", "ຝ", "ຢʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{ecd}ຄʽ", "\u{ecd}ຊʽ", "\u{ecd}ທʽ", "\u{ecd}ທʽ", "\u{ecd}ພʽ"].iter().map(|&s| s.into()).collect(), south: ["ລʽ", "ລʽ", "ຮ", "ນʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["໐", "໑", "໒", "໓", "໔", "໕", "໖", "໗", "໘", "໙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ຫ\u{eba}ʽʽ"].iter().map(|&s| s.into()).collect(), om: ["ໂອງ\u{eba}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "ຯ", "ຯຯ"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ອ", "ອາ", "ອ\u{eb4}", "ອ\u{eb5}", "ອ\u{eb8}", "ອ\u{eb9}", "ຣ\u{eb8}ʽ", "ຣ\u{eb9}ʽ", "ລ\u{eb8}ʽ", "ລ\u{eb9}ʽ", "ອເ", "ອໄ", "ອໂ", "ອເ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ອແະ", "ອເາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ອແ"].iter().map(|&s| s.into()).collect(), south: ["ອເະ", "ອໂະ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["າ", "\u{eb4}", "\u{eb5}", "\u{eb8}", "\u{eb9}", "\u{eba}ຣ\u{eb8}ʽ", "\u{eba}ຣ\u{eb9}ʽ", "\u{eba}ລ\u{eb8}ʽ", "\u{eba}ລ\u{eb9}ʽ", "ເ", "ໄ", "ໂ", "ເ\u{ebb}າ"].iter().map(|&s| s.into()).collect(), modern: ["ແະ", "ເາະ"].iter().map(|&s| s.into()).collect(), sinhala: ["ແ"].iter().map(|&s| s.into()).collect(), south: ["ເະ", "ໂະ"].iter().map(|&s| s.into()).collect(), virama: ["\u{eba}"].iter().map(|&s| s.into()).collect() } },




    "bengali" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{981}", "ং", "ঃ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{9bc}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ক", "খ", "গ", "ঘ", "ঙ", "চ", "ছ", "জ", "ঝ", "ঞ", "ট", "ঠ", "ড", "ঢ", "ণ", "ত", "থ", "দ", "ধ", "ন", "প", "ফ", "ব", "ভ", "ম", "য", "র", "ল", "ভ\u{9bc}", "শ", "ষ", "স", "হ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ক\u{9bc}", "খ\u{9bc}", "গ\u{9bc}", "জ\u{9bc}", "ড়", "ঢ়", "ফ\u{9bc}", "য়"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{981}ˆগ", "\u{981}ˆজ", "\u{981}ˆড", "\u{981}ˆদ", "\u{981}ˆব"].iter().map(|&s| s.into()).collect(), south: ["ল\u{9bc}", "ষ\u{9bc}", "র\u{9bc}", "ন\u{9bc}"].iter().map(|&s| s.into()).collect() }, numerals: ["০", "১", "২", "৩", "৪", "৫", "৬", "৭", "৮", "৯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ঃʼ"].iter().map(|&s| s.into()).collect(), om: ["ও\u{981}"].iter().map(|&s| s.into()).collect(), symbols: ["ঽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["অ", "আ", "ই", "ঈ", "উ", "ঊ", "ঋ", "ৠ", "ঌ", "ৡ", "এ", "ঐ", "ও", "ঔ"].iter().map(|&s| s.into()).collect(), modern: ["এʼ", "আʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["এˇ"].iter().map(|&s| s.into()).collect(), south: ["এ˘", "ও˘"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{9be}", "ি", "ী", "\u{9c1}", "\u{9c2}", "\u{9c3}", "\u{9c4}", "\u{9e2}", "\u{9e3}", "ে", "ৈ", "ো", "ৌ"].iter().map(|&s| s.into()).collect(), modern: ["েʼ", "\u{9be}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["েˇ"].iter().map(|&s| s.into()).collect(), south: ["ে˘", "ো˘"].iter().map(|&s| s.into()).collect(), virama: ["\u{9cd}"].iter().map(|&s| s.into()).collect() } },




    "devanagari" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{901}", "\u{902}", "ः"].iter().map(|&s| s.into()).collect(), nukta: ["\u{93c}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["क", "ख", "ग", "घ", "ङ", "च", "छ", "ज", "झ", "ञ", "ट", "ठ", "ड", "ढ", "ण", "त", "थ", "द", "ध", "न", "प", "फ", "ब", "भ", "म", "य", "र", "ल", "व", "श", "ष", "स", "ह"].iter().map(|&s| s.into()).collect(), persoarabic: ["क़", "ख़", "ग़", "ज़", "ड़", "ढ़", "फ़", "य़"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{901}ˆग", "\u{901}ˆज", "\u{901}ˆड", "\u{901}ˆद", "\u{901}ˆब"].iter().map(|&s| s.into()).collect(), south: ["ळ", "ऴ", "ऱ", "ऩ"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ःʼ"].iter().map(|&s| s.into()).collect(), om: ["ॐ"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["अ", "आ", "इ", "ई", "उ", "ऊ", "ऋ", "ॠ", "ऌ", "ॡ", "ए", "ऐ", "ओ", "औ"].iter().map(|&s| s.into()).collect(), modern: ["ऍ", "ऑ"].iter().map(|&s| s.into()).collect(), sinhala: ["ए\u{955}"].iter().map(|&s| s.into()).collect(), south: ["ऎ", "ऒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ा", "ि", "ी", "\u{941}", "\u{942}", "\u{943}", "\u{944}", "\u{962}", "\u{963}", "\u{947}", "\u{948}", "ो", "ौ"].iter().map(|&s| s.into()).collect(), modern: ["\u{945}", "ॉ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{955}"].iter().map(|&s| s.into()).collect(), south: ["\u{946}", "ॊ"].iter().map(|&s| s.into()).collect(), virama: ["\u{94d}"].iter().map(|&s| s.into()).collect() } },




    "tamil" => Script { combiningsigns: CombiningSign { ayogavaha: ["ம\u{bcd}ˮ", "ம\u{bcd}ʼ", "꞉"].iter().map(|&s| s.into()).collect(), nukta: ["·"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["க", "க²", "க³", "க⁴", "ங", "ச", "ச²", "ஜ", "ஜ²", "ஞ", "ட", "ட²", "ட³", "ட⁴", "ண", "த", "த²", "த³", "த⁴", "ந", "ப", "ப²", "ப³", "ப⁴", "ம", "ய", "ர", "ல", "வ", "ஶ", "ஷ", "ஸ", "ஹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ஃʼக", "ஃக²", "ஃக³", "ஃஜ", "ஃட²", "ஃட³", "ஃப", "ஃய"].iter().map(|&s| s.into()).collect(), sinhala: ["ங\u{bcd}ˆக³", "ஞ\u{bcd}ˆஜ³", "ண\u{bcd}ˆட³", "ந\u{bcd}ˆத³", "ம\u{bcd}ˆப³"].iter().map(|&s| s.into()).collect(), south: ["ள", "ழ", "ற", "ன"].iter().map(|&s| s.into()).collect() }, numerals: ["௦", "௧", "௨", "௩", "௪", "௫", "௬", "௭", "௮", "௯"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ஃ"].iter().map(|&s| s.into()).collect(), om: ["ௐ"].iter().map(|&s| s.into()).collect(), symbols: ["(அ)", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["அ", "ஆ", "இ", "ஈ", "உ", "ஊ", "ருʼ", "ரூʼ", "லுʼ", "லூʼ", "ஏ", "ஐ", "ஓ", "ஔ"].iter().map(|&s| s.into()).collect(), modern: ["எʼ", "ஆʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ஏˇ"].iter().map(|&s| s.into()).collect(), south: ["எ", "ஒ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{bbe}", "ி", "\u{bc0}", "ு", "ூ", "\u{bcd}ருʼ", "\u{bcd}ரூʼ", "\u{bcd}லுʼ", "\u{bcd}லூʼ", "ே", "ை", "ோ", "ௌ"].iter().map(|&s| s.into()).collect(), modern: ["ெʼ", "\u{bbe}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ேˇ"].iter().map(|&s| s.into()).collect(), south: ["ெ", "ொ"].iter().map(|&s| s.into()).collect(), virama: ["\u{bcd}"].iter().map(|&s| s.into()).collect() } },




    "mongolian" => Script { combiningsigns: CombiningSign { ayogavaha: ["ᢀʽ", "ᢀ", "ᢁ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᢉ", "ᠻ", "ᠺ", "ᠺᠾ", "ᢊ", "ᢋ", "ᠼ", "ᢖ", "ᢖᠾ", "ᡛ", "ᢌ", "ᢍ", "ᢎ", "ᢎᠾ", "ᢏ", "ᢐ", "ᠲ", "ᢑ", "ᢑᠾ", "ᠨ", "ᢒ", "ᠹ", "ᠪ", "ᠪᠾ", "ᠮ", "ᠶ", "ᠷ", "ᠯ", "ᠸ", "ᠱ", "ᢔ", "ᠰ", "ᡙ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᢉʽ", "ᠻʽ", "ᠺʽ", "ᢖ", "ᢎʽ", "ᢎᠾʽ", "ᠹʽ", "ᠶʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᢀᠺʽ", "ᢀᢖʽ", "ᢀᢎʽ", "ᢀᢑʽ", "ᢀᠪʽ"].iter().map(|&s| s.into()).collect(), south: ["ᠯʽ", "ᠯʽ", "ᠷʽ", "ᠨʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᠐", "᠑", "᠒", "᠓", "᠔", "᠕", "᠖", "᠗", "᠘", "᠙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᢁʽ"].iter().map(|&s| s.into()).collect(), om: ["ᢀᠣᠸᠠ"].iter().map(|&s| s.into()).collect(), symbols: ["ʽʽʽ", "᠂", "᠂᠂"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᠠ\u{180b}", "ᠠ\u{180b}\u{180e}ᠠ", "ᢈ", "ᠢᠢ", "ᠦ", "ᠤᠦ", "ᠷᠢ", "ᠷᠢᠢ", "ᠯᠢ", "ᠯᠢᠢ", "ᠧ", "ᠧʼᠧ", "ᠣᠸᠠ", "ᠣᠸᠸᠠ"].iter().map(|&s| s.into()).collect(), modern: ["ᠣᠸᠠʽ", "ᠠʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᠣᠸᠠʽ"].iter().map(|&s| s.into()).collect(), south: ["ᠧʽ", "ᠣᠸᠠʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ᠠ\u{180b}\u{180e}ᠠ", "ᢈ", "ᠢᠢ", "ᠦ", "ᠤᠦ", "ᠷᠢ", "ᠷᠢᠢ", "ᠯᠢ", "ᠯᠢᠢ", "ᠧ", "ᠧʼᠧ", "ᠣᠸᠠ", "ᠣᠸᠸᠠ"].iter().map(|&s| s.into()).collect(), modern: ["ᠣᠸᠠʽ", "ᠠʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᠣᠸᠠʽ"].iter().map(|&s| s.into()).collect(), south: ["ᠧʽ", "ᠣᠸᠠʽ"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "dogra" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{11837}ʽ", "\u{11837}", "𑠸"].iter().map(|&s| s.into()).collect(), nukta: ["\u{1183a}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["𑠊", "𑠋", "𑠌", "𑠍", "𑠎", "𑠏", "𑠐", "𑠑", "𑠒", "𑠓", "𑠔", "𑠕", "𑠖", "𑠗", "𑠘", "𑠙", "𑠚", "𑠛", "𑠜", "𑠝", "𑠞", "𑠟", "𑠠", "𑠡", "𑠢", "𑠣", "𑠤", "𑠥", "𑠦", "𑠧", "𑠨", "𑠩", "𑠪"].iter().map(|&s| s.into()).collect(), persoarabic: ["𑠊\u{1183a}", "𑠋\u{1183a}", "𑠌\u{1183a}", "𑠑\u{1183a}", "𑠫", "𑠗\u{1183a}", "𑠟\u{1183a}", "𑠣\u{1183a}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11837}𑠌ʽ", "\u{11837}𑠑ʽ", "\u{11837}𑠖ʽ", "\u{11837}𑠛ʽ", "\u{11837}𑠠ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑠥\u{1183a}", "𑠨\u{1183a}", "𑠤\u{1183a}", "𑠝\u{1183a}"].iter().map(|&s| s.into()).collect() }, numerals: ["०", "१", "२", "३", "४", "५", "६", "७", "८", "९"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["𑠸ʽ"].iter().map(|&s| s.into()).collect(), om: ["𑠈\u{11837}"].iter().map(|&s| s.into()).collect(), symbols: ["ऽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["𑠀", "𑠁", "𑠂", "𑠃", "𑠄", "𑠅", "𑠤𑠭ʽ", "𑠤𑠮ʽ", "𑠥𑠭ʽ", "𑠥𑠮ʽ", "𑠆", "𑠇", "𑠈", "𑠉"].iter().map(|&s| s.into()).collect(), modern: ["𑠆ʽ", "𑠁ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["𑠆ʽ"].iter().map(|&s| s.into()).collect(), south: ["𑠆ʽ", "𑠈ʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["𑠬", "𑠭", "𑠮", "\u{1182f}", "\u{11830}", "\u{11831}", "\u{11832}", "\u{11839}𑠥𑠭ʽ", "\u{11839}𑠥𑠮ʽ", "\u{11833}", "\u{11834}", "\u{11835}", "\u{11836}"].iter().map(|&s| s.into()).collect(), modern: ["\u{11833}ʽ", "𑠬ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{11833}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{11833}ʽ", "\u{11835}ʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{11839}"].iter().map(|&s| s.into()).collect() } },




    "balinese" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1b01}", "\u{1b02}", "ᬄ"].iter().map(|&s| s.into()).collect(), nukta: ["\u{1b34}"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᬓ", "ᬔ", "ᬕ", "ᬖ", "ᬗ", "ᬘ", "ᬙ", "ᬚ", "ᬛ", "ᬜ", "ᬝ", "ᬞ", "ᬟ", "ᬠ", "ᬡ", "ᬢ", "ᬣ", "ᬤ", "ᬥ", "ᬦ", "ᬧ", "ᬨ", "ᬩ", "ᬪ", "ᬫ", "ᬬ", "ᬭ", "ᬮ", "ᬯ", "ᬰ", "ᬱ", "ᬲ", "ᬳ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᬓ\u{1b34}", "ᬔ\u{1b34}", "ᬕ\u{1b34}", "ᬚ\u{1b34}", "ᬟ\u{1b34}", "ᬠ\u{1b34}", "ᬧ\u{1b34}", "ᬬ\u{1b34}"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1b01}ᬕʽ", "\u{1b01}ᬚʽ", "\u{1b01}ᬟʽ", "\u{1b01}ᬤʽ", "\u{1b01}ᬩʽ"].iter().map(|&s| s.into()).collect(), south: ["ᬮ\u{1b34}", "ᬱ\u{1b34}", "ᬭ\u{1b34}", "ᬦ\u{1b34}"].iter().map(|&s| s.into()).collect() }, numerals: ["᭐", "᭑", "᭒", "᭓", "᭔", "᭕", "᭖", "᭗", "᭘", "᭙"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᬄʽ"].iter().map(|&s| s.into()).collect(), om: ["ᬒ\u{1b01}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "᭞", "᭟"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᬅ", "ᬆ", "ᬇ", "ᬈ", "ᬉ", "ᬊ", "ᬋ", "ᬌ", "ᬍ", "ᬎ", "ᬏ", "ᬐ", "ᬑ", "ᬒ"].iter().map(|&s| s.into()).collect(), modern: ["ᬳ\u{1b42}ʽ", "ᬆʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᬳᭃʽ"].iter().map(|&s| s.into()).collect(), south: ["ᬏʽ", "ᬑʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{1b35}", "\u{1b36}", "\u{1b37}", "\u{1b38}", "\u{1b39}", "\u{1b3a}", "ᬻ", "\u{1b3c}", "ᬽ", "ᬾ", "ᬿ", "ᭀ", "ᭁ"].iter().map(|&s| s.into()).collect(), modern: ["\u{1b42}", "\u{1b35}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᭃ"].iter().map(|&s| s.into()).collect(), south: ["ᬾʽ", "ᭀʽ"].iter().map(|&s| s.into()).collect(), virama: ["᭄"].iter().map(|&s| s.into()).collect() } },




    "hk" => Script { combiningsigns: CombiningSign { ayogavaha: ["~", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["Q"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "G", "c", "ch", "j", "jh", "J", "T", "Th", "D", "Dh", "N", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "z", "S", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["q", "qh", "g2", "z2", "r3", "r3h", "f", "Y"].iter().map(|&s| s.into()).collect(), sinhala: ["n*g", "n*j", "n*D", "n*d", "m*b"].iter().map(|&s| s.into()).collect(), south: ["L", "Z", "r2", "n2"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["K"].iter().map(|&s| s.into()).collect(), om: ["oM"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "A", "i", "I", "u", "U", "R", "RR", "lR", "lRR", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["aE", "aO"].iter().map(|&s| s.into()).collect(), sinhala: ["AE"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["A", "i", "I", "u", "U", "R", "RR", "lR", "lRR", "e", "ai", "o", "au"].iter().map(|&s| s.into()).collect(), modern: ["aE", "aO"].iter().map(|&s| s.into()).collect(), sinhala: ["AE"].iter().map(|&s| s.into()).collect(), south: ["E", "O"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "burmese" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1036}ʽ", "\u{1036}", "း"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["က", "ခ", "ဂ", "ဃ", "င", "စ", "ဆ", "ဇ", "ဈ", "ဉ", "ဋ", "ဌ", "ဍ", "ဎ", "ဏ", "တ", "ထ", "ဒ", "ဓ", "န", "ပ", "ဖ", "ဗ", "ဘ", "မ", "ယ", "ရ", "လ", "ဝ", "ၐ", "ၑ", "သ", "ဟ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ကʽ", "ခʽ", "ဂʽ", "ဇʽ", "ဍʽ", "ဎʽ", "ဖʽ", "ယʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1036}ဂʽ", "\u{1036}ဇʽ", "\u{1036}ဍʽ", "\u{1036}ဒʽ", "\u{1036}ဗʽ"].iter().map(|&s| s.into()).collect(), south: ["ဠ", "ဠʽ", "ရʽ", "နʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["၀", "၁", "၂", "၃", "၄", "၅", "၆", "၇", "၈", "၉"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["းʽ"].iter().map(|&s| s.into()).collect(), om: ["ဥ\u{102f}\u{1036}"].iter().map(|&s| s.into()).collect(), symbols: ["'", "၊", "။"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["အ", "အာ", "ဣ", "ဤ", "ဥ", "ဦ", "ၒ", "ၓ", "ၔ", "ၕ", "ဧ", "အ\u{1032}", "ဩ", "ဪ"].iter().map(|&s| s.into()).collect(), modern: ["ဧʽ", "အာʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ဧʽ"].iter().map(|&s| s.into()).collect(), south: ["ဧʽ", "ဩʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ာ", "\u{102d}", "\u{102e}", "\u{102f}", "\u{1030}", "ၖ", "ၗ", "\u{1058}", "\u{1059}", "ေ", "\u{1032}", "ော", "ော\u{103a}"].iter().map(|&s| s.into()).collect(), modern: ["ေʽ", "ာʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ေʽ"].iter().map(|&s| s.into()).collect(), south: ["ေʽ", "ောʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{103a}"].iter().map(|&s| s.into()).collect() } },




    "barahasouth" => Script { combiningsigns: CombiningSign { ayogavaha: ["~M", "M", "H"].iter().map(|&s| s.into()).collect(), nukta: ["x"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "kh", "g", "gh", "~g", "c", "C", "j", "jh", "~j", "T", "Th", "D", "Dh", "N", "t", "th", "d", "dh", "n", "p", "ph", "b", "bh", "m", "y", "r", "l", "v", "S", "Sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["kx", "Kx", "gx", "z", "Dx", "Dhx", "f", "yx"].iter().map(|&s| s.into()).collect(), sinhala: ["~ng", "~nj", "~nD", "~nd", "~mb"].iter().map(|&s| s.into()).collect(), south: ["L", "Lx", "rx", "nx"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["~H"].iter().map(|&s| s.into()).collect(), om: ["oum"].iter().map(|&s| s.into()).collect(), symbols: ["&", "|", "||"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ee", "u", "oo", "Ru", "RU", "~lu", "~lU", "E", "ai", "O", "au"].iter().map(|&s| s.into()).collect(), modern: ["~e", "~o"].iter().map(|&s| s.into()).collect(), sinhala: ["~~e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ee", "u", "oo", "Ru", "RU", "~lu", "~lU", "E", "ai", "O", "au"].iter().map(|&s| s.into()).collect(), modern: ["~e", "~o"].iter().map(|&s| s.into()).collect(), sinhala: ["~~e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },




    "sundanese" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1b80}ʽ", "\u{1b80}", "ᮂ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᮊ", "ᮊʽ", "ᮌ", "ᮌʽ", "ᮍ", "ᮎ", "ᮎʽ", "ᮏ", "ᮏʽ", "ᮑ", "ᮒʽ", "ᮒʽ", "ᮓʽ", "ᮓʽ", "ᮔʽ", "ᮒ", "ᮒʽ", "ᮓ", "ᮓʽ", "ᮔ", "ᮕ", "ᮕʽ", "ᮘ", "ᮽ", "ᮙ", "ᮚ", "ᮛ", "ᮜ", "ᮝ", "ᮯ", "ᮯʽ", "ᮞ", "ᮠ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᮋ", "ᮮ", "ᮌʽ", "ᮐ", "ᮓʽ", "ᮓʽ", "ᮖ", "ᮚʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1b80}ᮌʽ", "\u{1b80}ᮏʽ", "\u{1b80}ᮓʽ", "\u{1b80}ᮓʽ", "\u{1b80}ᮘʽ"].iter().map(|&s| s.into()).collect(), south: ["ᮜʽ", "ᮜʽ", "ᮛʽ", "ᮔʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["᮰", "᮱", "᮲", "᮳", "᮴", "᮵", "᮶", "᮷", "᮸", "᮹"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ᮂʽ"].iter().map(|&s| s.into()).collect(), om: ["ᮇ\u{1b80}ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["ᮺ", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᮃ", "ᮃʽ", "ᮄ", "ᮄʽ", "ᮅ", "ᮅʽ", "ᮻ", "ᮻʽ", "ᮼ", "ᮼʽ", "ᮈʽ", "ᮃᮄʽ", "ᮇʽ", "ᮃᮅʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᮆ", "ᮉ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᮆʽ"].iter().map(|&s| s.into()).collect(), south: ["ᮈ", "ᮇ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "\u{1ba4}", "\u{1ba4}ʽ", "\u{1ba5}", "\u{1ba5}ʽ", "᮪ᮻ", "᮪ᮻʽ", "᮪ᮼ", "᮪ᮼʽ", "\u{1ba8}ʽ", "ᮄʽ", "ᮧʽ", "ᮅʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᮦ", "\u{1ba9}"].iter().map(|&s| s.into()).collect(), sinhala: ["ᮦʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1ba8}", "ᮧ"].iter().map(|&s| s.into()).collect(), virama: ["᮪"].iter().map(|&s| s.into()).collect() } },




    "granthapandya" => Script { combiningsigns: CombiningSign { ayogavaha: ["ംʽ", "ം", "ഃ"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ക", "ഖ", "ഗ", "ഘ", "ങ", "ച", "ഛ", "ജ", "ഝ", "ഞ", "ട", "ഠ", "ഡ", "ഢ", "ണ", "ത", "ഥ", "ദ", "ധ", "ന", "പ", "ഫ", "ബ", "ഭ", "മ", "യ", "ര", "ല", "വ", "ശ", "ഷ", "സ", "ഹ"].iter().map(|&s| s.into()).collect(), persoarabic: ["കʽ", "ഖʽ", "ഗʽ", "ജʽ", "ഡʽ", "ഢʽ", "ഫʽ", "യʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ംʽഗ", "ംʽജ", "ംʽഡ", "ംʽദ", "ംʽബ"].iter().map(|&s| s.into()).collect(), south: ["ള", "ളʽ", "രʽ", "നʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ഃʽ"].iter().map(|&s| s.into()).collect(), om: ["ഓം"].iter().map(|&s| s.into()).collect(), symbols: ["ഽ", "।", "॥"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["അ", "ആ", "ഇ", "ഈ", "ഉ", "ഊ", "ഋ", "ൠ", "ഌ", "ൡ", "ഏ", "ഐ", "ഓ", "ഔ"].iter().map(|&s| s.into()).collect(), modern: ["ഏʽ", "ആʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ഏʽ"].iter().map(|&s| s.into()).collect(), south: ["ഏʽ", "ഓʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{d3e}", "ി", "ീ", "\u{d41}", "\u{d42}", "\u{d43}", "\u{d44}", "\u{d62}", "\u{d63}", "േ", "ൈ", "ോ", "\u{d57}"].iter().map(|&s| s.into()).collect(), modern: ["േʽ", "\u{d3e}ʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["േʽ"].iter().map(|&s| s.into()).collect(), south: ["േʽ", "ോʽ"].iter().map(|&s| s.into()).collect(), virama: ["\u{d4d}"].iter().map(|&s| s.into()).collect() } },




    "sinhala" => Script { combiningsigns: CombiningSign { ayogavaha: ["ංʼ", "ං", "ඃ"].iter().map(|&s| s.into()).collect(), nukta: ["·"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ක", "ඛ", "ග", "ඝ", "ඞ", "ච", "ඡ", "ජ", "ඣ", "ඤ", "ට", "ඨ", "ඩ", "ඪ", "ණ", "ත", "ථ", "ද", "ධ", "න", "ප", "ඵ", "බ", "භ", "ම", "ය", "ර", "ල", "ව", "ශ", "ෂ", "ස", "හ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ක·", "ඛ·", "ග·", "ජ·", "ඩ·", "ඪ·", "ෆ", "ය·"].iter().map(|&s| s.into()).collect(), sinhala: ["ඟ", "ඦ", "ඬ", "ඳ", "ඹ"].iter().map(|&s| s.into()).collect(), south: ["ළ", "ළ·", "ර·", "න·"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["ඃʼ"].iter().map(|&s| s.into()).collect(), om: ["ඕං"].iter().map(|&s| s.into()).collect(), symbols: ["(අ)", ".", ".."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["අ", "ආ", "ඉ", "ඊ", "උ", "ඌ", "ඍ", "ඎ", "ඏ", "ඐ", "ඒ", "ඓ", "ඕ", "ඖ"].iter().map(|&s| s.into()).collect(), modern: ["ඇ", "ආʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ඈ"].iter().map(|&s| s.into()).collect(), south: ["එ", "ඔ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["\u{dcf}", "\u{dd2}", "\u{dd3}", "\u{dd4}", "\u{dd6}", "ෘ", "ෲ", "\u{ddf}", "ෳ", "ේ", "ෛ", "ෝ", "ෞ"].iter().map(|&s| s.into()).collect(), modern: ["ැ", "\u{dcf}ʼ"].iter().map(|&s| s.into()).collect(), sinhala: ["ෑ"].iter().map(|&s| s.into()).collect(), south: ["ෙ", "ො"].iter().map(|&s| s.into()).collect(), virama: ["\u{dca}"].iter().map(|&s| s.into()).collect() } },




    "batakpakpak" => Script { combiningsigns: CombiningSign { ayogavaha: ["\u{1bf0}ʽ", "\u{1bf0}", "\u{1bf1}"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["ᯂ", "ᯂʽ", "ᯎ", "ᯎʽ", "ᯝ", "ᯘʽ", "ᯘʽ", "ᯐ", "ᯐʽ", "ᯉʽ", "ᯗʽ", "ᯗʽ", "ᯑʽ", "ᯑʽ", "ᯉʽ", "ᯗ", "ᯗʽ", "ᯑ", "ᯑʽ", "ᯉ", "ᯇ", "ᯇʽ", "ᯅ", "ᯅʽ", "ᯔ", "ᯛ", "ᯒ", "ᯞ", "ᯍ", "ᯘʽ", "ᯘʽ", "ᯘ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), persoarabic: ["ᯂʽ", "ᯂʽ", "ᯎʽ", "ᯐʽ", "ᯑʽ", "ᯑʽ", "ᯇʽ", "ᯛʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1bf0}ᯎʽ", "\u{1bf0}ᯐʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯑʽ", "\u{1bf0}ᯅʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯞʽ", "ᯞʽ", "ᯒʽ", "ᯉʽ"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["\u{1bf1}ʼ"].iter().map(|&s| s.into()).collect(), om: ["ᯥᯔ᯲ʽ"].iter().map(|&s| s.into()).collect(), symbols: ["'", ".", "."].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["ᯀ", "ᯀʽ", "ᯤ", "ᯤʽ", "ᯥ", "ᯥʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "ᯤʽ", "ᯀᯤʽ", "ᯥʽ", "ᯀᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯤʽ", "ᯀʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["ᯤʽ"].iter().map(|&s| s.into()).collect(), south: ["ᯤʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["ʽʽ", "ᯪ", "ᯪʽ", "ᯮ", "ᯮʽ", "ᯒᯮʽ", "ᯒᯮʽ", "ᯞᯮʽ", "ᯞᯮʽ", "\u{1be8}ʽ", "ᯤʽ", "ᯬʽ", "ᯥʽ"].iter().map(|&s| s.into()).collect(), modern: ["ᯧ", "ʽʽ"].iter().map(|&s| s.into()).collect(), sinhala: ["\u{1be9}ʽ"].iter().map(|&s| s.into()).collect(), south: ["\u{1be8}", "ᯬ"].iter().map(|&s| s.into()).collect(), virama: ["᯲"].iter().map(|&s| s.into()).collect() } },




    "romankana" => Script { combiningsigns: CombiningSign { ayogavaha: ["n", "n", "H"].iter().map(|&s| s.into()).collect(), nukta: ["ʽʽ"].iter().map(|&s| s.into()).collect() }, consonants: Consonant { main: ["k", "k", "g", "g", "k\u{309a}", "c", "c", "j", "j", "J", "t", "t", "d", "d", "n", "t", "t", "d", "d", "n", "p", "p", "b", "b", "m", "y", "r", "r\u{309a}", "v", "sh", "sh", "s", "h"].iter().map(|&s| s.into()).collect(), persoarabic: ["k", "k", "g", "z", "r", "r", "f", "y"].iter().map(|&s| s.into()).collect(), sinhala: ["ng", "nj", "nd", "nd", "nb"].iter().map(|&s| s.into()).collect(), south: ["r\u{309a}", "r\u{309a}", "r", "n"].iter().map(|&s| s.into()).collect() }, numerals: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"].iter().map(|&s| s.into()).collect(), others: Other { aytham: ["gu"].iter().map(|&s| s.into()).collect(), om: ["oon"].iter().map(|&s| s.into()).collect(), symbols: ["'", "。", "。。"].iter().map(|&s| s.into()).collect() }, vowels: Vowel { main: ["a", "aa", "i", "ii", "u", "uu", "ri", "rii", "r\u{309a}i", "r\u{309a}ii", "ee", "ai", "oo", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect() }, vowelsigns: VowelSign { main: ["aa", "i", "ii", "u", "uu", "ri", "rii", "r\u{309a}i", "r\u{309a}ii", "ee", "ai", "oo", "au"].iter().map(|&s| s.into()).collect(), modern: ["a", "o"].iter().map(|&s| s.into()).collect(), sinhala: ["e"].iter().map(|&s| s.into()).collect(), south: ["e", "o"].iter().map(|&s| s.into()).collect(), virama: ["×"].iter().map(|&s| s.into()).collect() } },


    };
}

// fn main() {
//     let foo = data::HASH_MAP;
//     println!("{:?}", foo);
// }
